2014-06-21 20:55  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp, tools/mk-ede-release.sh: Updating (c)
	  year in about dialog.

2014-06-20 09:29  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Logout.cpp: Added logout dialog,
	  confirmation is now binded to Enter key.

2014-06-20 09:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Fixing report string.

2014-03-02 11:12  Sanel Zukan <karijes@users.sourceforge.net>

	* pekwm/Action.hh, pekwm/AutoProperties.cc,
	  pekwm/ManagerWindows.cc, pekwm/PDecor.cc, pekwm/PImage.cc,
	  pekwm/PImageLoaderXpm.cc: Cleaning some compiler warnings.

2014-02-25 18:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Desktop.cpp, ede-desktop/DesktopIcon.cpp,
	  ede-desktop/DesktopIcon.h, ede-desktop/IconDialog.cpp,
	  ede-desktop/fl/icon_create.fl: Changed icon create/edit dialog,
	  so working path can be set, including startup options like
	  running in terminal or starting with startup nofication hints.
	  
	  Changed how icons are started. Previously, ede-desktop would
	  extract content from .desktop Exec key and explicitly run it.
	  This would not correctly handle other .desktop details, like
	  startup notification or running in terminal. Now, full .desktop
	  path is sent directly to ede-launch which will take care about
	  named startup details.
	  
	  These changes also fixes bug #235: "Working directory and startup
	  notification for desktop icons".

2014-02-25 18:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: If .desktop file set Path key, obey to
	  it and change current working directory.

2013-10-28 23:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp: free() requires stdlib.h, which is visible
	  in FLTK 1.3

2013-10-28 23:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Desktop.cpp, ede-desktop/DesktopIcon.cpp,
	  ede-desktop/DesktopIcon.h, ede-desktop/ede-desktop.cpp: Allow
	  last changes to be compileable with FLTK 1.1.x. This way I found
	  some rand()/srand() calls without stdlib.h inclusion...

2013-10-28 21:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Desktop.cpp, ede-desktop/DesktopIcon.cpp,
	  ede-desktop/DesktopIcon.h: Show tooltip over icon if icon
	  contains Comment key.

2013-10-02 01:35  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, doc/index.txt.in, emountd: Removing emountd; this code
	  isn't used much as HAL is deprecated long time ago. Obviously,
	  mounting notifications will be redone in future.

2013-06-24 14:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Desktop.cpp, ede-desktop/Desktop.h,
	  ede-desktop/DesktopIcon.cpp, ede-desktop/Globals.h,
	  ede-desktop/IconDialog.cpp, ede-desktop/IconDialog.h,
	  ede-desktop/Wallpaper.cpp, ede-desktop/ede-desktop.h: Removing
	  old ede-desktop.h. Adding support for editing existing icons.
	  
	  Editing will be done simply by creating first .desktop file and
	  letting ede-desktop to read it, performing some
	  checks to determin if only content was changed or file was
	  renamed. Using this scheme, beside it simplify the code,
	  it addresses the cases when icon was modified outside the desktop
	  or removed.
	  
	  These things could be solved by using DirWatch, but I'm trying to
	  rely less on OS notification system...

2013-06-07 22:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Desktop.cpp: Added fallback in case dirent's d_type
	  wasn't set. Seems how Slackware follows POSIX strictly than
	  others.

2013-06-06 09:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Desktop.cpp, ede-desktop/DesktopIcon.h: Better
	  handling if configuration isn't present.

2013-06-06 09:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp: Do not exit from read_config() even if
	  reading file fails; edelib::Config class will simply use fallback
	  values instead.

2013-06-06 09:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp: Load hider too.

2013-06-06 09:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp: Do not return from read_config() when
	  configuration isn't present: applet will not be loaded.

2013-06-05 16:34  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/MovableIcon.h, ede-desktop/Utils.h: Fixing some
	  accidentaly lowered chars.

2013-06-04 09:59  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/xmlrpc-c/deps/libutil/error.c,
	  ede-bug-tools/ede-bug-report/xmlrpc-c/include/xmlrpc-c/string_int.h,
	  ede-bug-tools/ede-bug-report/xmlrpc-c/include/xmlrpc-c/util.h:
	  Changing uneeded const specifier for given va_list type.

2013-06-03 21:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/battery-monitor/BatteryMonitor.cpp: Use flat
	  box so redraw() can update changed image correctly.

2013-06-03 17:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/AppletManager.cpp, ede-panel/Panel.cpp,
	  ede-panel/applets/battery-monitor/BatteryMonitor.cpp: Inside
	  battery applet, do not load icon on every change event by device.
	  Instead, check if we really need to change icon (e.g. states
	  between 'battery' and 'battery-caution' are changed) then load
	  it.
	  A small formatting inside Panle and AppletManager.

2013-06-03 13:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/Panel.h, ede-panel/ede-panel.cpp:
	  Read applets and hider from configuration. Go to builtin order as
	  fallback.

2013-06-03 11:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile, ede-panel/Panel.cpp, ede-panel/ede-panel.cpp:
	  Load system wide battery applet installation. Also added explicit
	  linkage for libdl...

2013-06-03 11:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/battery-monitor/BatteryMonitor.cpp: Removed
	  some test code.

2013-06-03 11:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/battery-monitor/BatteryMonitor.cpp: In case
	  DBus wasn't available, do not compile DBus related code.

2013-06-03 11:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/Jamfile, ede-panel/applets/battery-monitor,
	  ede-panel/applets/battery-monitor/BatteryMonitor.cpp,
	  ede-panel/applets/battery-monitor/Jamfile: Importing UPower
	  powered battery monitor.

2013-05-30 13:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Desktop.cpp, ede-desktop/Desktop.h,
	  ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h,
	  ede-desktop/Globals.h, ede-desktop/IconDialog.cpp,
	  ede-desktop/IconDialog.h, ede-desktop/Jamfile,
	  ede-desktop/MovableIcon.cpp, ede-desktop/MovableIcon.h,
	  ede-desktop/Utils.cpp, ede-desktop/Utils.h,
	  ede-desktop/Wallpaper.cpp, ede-desktop/Wallpaper.h,
	  ede-desktop/ede-desktop.cpp: Manualy merging ede-desktop2 branch.
	  SF merging facility (ignores valid login) sux badly.

2013-05-30 12:31  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in: These days linking with XShape
	  extension must be done explicitly.

2013-03-04 23:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/Panel.h: Cleaned a little bit
	  strut handling. Oddly, this fixed strut ignoring value for
	  xfwm4...

2013-02-18 23:38  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Set XDG_CURRENT_DESKTOP on startup.

2013-02-04 00:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-autostart/ede-autostart.cpp: Do not run .desktop files which
	  has OnlyShowIn/NotShowIn without 'EDE' as key.

2013-01-17 23:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/applets/start-menu/StartMenu.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp: Support for panel height
	  resize.
	  
	  Now, when panel height get resized, children will update their
	  height's too. Children height is always calculated in form
	  (parent()->h() - 10).

2013-01-17 22:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/Taskbar.cpp: Prevent switch to
	  different workspace when minimizing last window on current
	  workspace.

2013-01-16 22:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp: Updating year...

2013-01-11 19:03  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/mem-monitor/MemMonitor.cpp: Fixed disabled
	  #ifdef. Also moved refresh interval on 2secs, to easy panel a
	  little bit.

2013-01-09 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/XdgMenuReader.cpp: Warning cleanup.

2013-01-09 16:01  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, ede-panel/AppletManager.cpp,
	  ede-panel/AppletManager.h, ede-panel/Jamfile,
	  ede-panel/Panel.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.cpp,
	  ede-panel/applets/cpu-monitor/Jamfile,
	  ede-panel/applets/start-menu/StartMenu.cpp: More work on
	  opensolaris...
	  
	  Cleaning some warnings.
	  Added checks for kstat, so cpu applet can show usage via kstat
	  api. Added tests for kstat in configure script.

2013-01-09 14:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/mem-monitor/MemMonitor.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.h: In case we do not
	  have sysinfo() (!linux), create plain box with some info about
	  it.

2013-01-09 13:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile: Comment local applets option.

2013-01-09 13:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/AppletManager.cpp, ede-panel/Jamfile,
	  ede-panel/Panel.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.cpp: Moving memory query
	  status code to use sysinfo() instead of /proc.

2013-01-09 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/xmlrpc-c/deps/libutil/select.c:
	  Fixed stupid opensolaris requirement for c98...

2013-01-07 15:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Use more space for key values.

2013-01-07 15:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/PredefApps.h: Added a few terms more.

2013-01-07 15:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Fix for #186: ede-launch does not read
	  Terminal key from desktop.
	  
	  ede-launch now will read Terminal key, and if set to true, will
	  load default selected terminal (or one of known terminals). It
	  will also read now StartupNotify key, and initiate
	  startup-notification protocol if compiled in; by default, it will
	  not use startup notifications.
	  
	  Resource loading is now made lazy, so first need for ede-launch
	  configuration will load it from file.

2013-01-05 03:39  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Splash.cpp: Fixed #194: ede-desktop
	  will not save icon position on Shutdown. Code cleanup.
	  
	  When user hit shutdown or restart from dialog, evoke will
	  immediately sent shutdown/restart signal, causing abnormal X
	  termination, killing all childs. With this commit, evoke will
	  first close all X childs, then send shutdown/restart signal.

2013-01-04 15:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconDialog.cpp: Fix for icon pick from icon chooser.
	  
	  Now loader will use IconLoader::set() to fetch icon from choosen
	  result.

2013-01-04 14:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile: Comment debug build.

2013-01-04 14:36  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Hider.cpp, ede-panel/Hider.h, ede-panel/Jamfile,
	  ede-panel/Panel.cpp, ede-panel/Panel.h,
	  ede-panel/applets/Jamfile, ede-panel/applets/hider,
	  ede-panel/applets/system-tray/Tray.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp: Moving hider to panel
	  itself, instead as separate applet.
	  
	  Hider calls some Panel specific code and doing that from applet
	  will make shit like selinux or apparmor quite unhappy (due
	  relocations), which will refuse to start ede-panel. ...yet
	  another workaround for that crapy security junk.

2013-01-04 13:05  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/TaskButton.cpp,
	  ede-panel/applets/taskbar/TaskButton.h,
	  ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/Taskbar.h: Better handling on workspace
	  change and setting sticky tag for window. Implemented #217: all
	  windows in taskbar, no matter which desktop was used.

2013-01-04 10:33  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Applet.h,
	  ede-panel/applets/quick-launch/QuickLaunch.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp: Speed up removal items
	  from group (FLTK 1.3 added faster method). Also fixing strange
	  issue with desktop switch during minimize.
	  
	  Added AppletWidget class, an experimental code for widgets that
	  wants to accept custom methods. Needs completion though

2012-12-27 15:34  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/Jamfile: Do not create unnecessary
	  test binary. This also prevents TEXTRELS errors on systems where
	  relocations are tracked.

2012-12-26 01:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconDialog.cpp: Used new features from IconChooser.

2012-12-20 12:32  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Fixing #211: startede refers to old X11R6
	  resource path.
	  
	  In startede sysresources are refering to older X11R6 (now is
	  X11R7). Also as reported, on some systems the path '/usr/X11' is
	  used too. Solving by removing resource usage at all; not seeing
	  any usefulness of it...

2012-12-20 01:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/system-tray/Tray.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp: Fixing long standing issue
	  with tray space when tray icon gets destroyed.
	  
	  When tray icon gets destroyed, space it was occupying would not
	  be cleaned, yielding wholes inside taskbar. Fixing by explicitly
	  hiding and deleting FLTK window which holded application tray
	  window.

2012-12-20 01:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-panel/Panel.cpp: Added title for
	  panel and desktop, so we can find them in xrestop list.

2012-12-20 00:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/Taskbar.h: Implementing #213 (Make
	  taskbar buttons stretchable).
	  
	  Taskbar buttons now can be stretchable or fixed size as before.
	  This commit also fixes a couple of drawing issues when workspace
	  was changed.

2012-12-17 22:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/TaskButton.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp: Looks like sawfish likes
	  WM_WINDOW_STATE_ICONIC more than NETWM_STATE_HIDDEN.

2012-12-17 18:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/Taskbar.cpp: Removed usage...

2012-12-17 18:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/Taskbar.cpp: Removed unused list.

2012-12-17 15:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/applets/system-tray/Tray.cpp,
	  ede-panel/applets/taskbar/TaskButton.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/Taskbar.h, ede-panel/ede-panel.cpp:
	  Closing #212: Panel buttons are reodered on titlebar click.
	  
	  By default, pekwm will reorder window list on input focus
	  (probably to optimize things) and this would also reorder buttons
	  inside taskbar. Also, on new window list, all panel buttons would
	  be recreated again, causing many allocations and deallocations.
	  Now, window list received from wm is compared agains internal
	  window storage for diffs.
	  
	  Fixing this issue made removal some old edewm specific code and
	  made panel nicely working under sawfish ;)

2012-12-06 01:21  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/keys, data/pekwm/mouse,
	  data/pekwm/themes/default/theme: Removing decor from titlebar
	  menus. Fixing some shortcuts so titlebar menus does not appear.

2012-12-06 00:37  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/menu: Do not allow running commands from window menu.

2012-12-06 00:34  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/menu: Menu somehow got erased :S. Sanitizing it...

2012-12-05 15:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/MenuRules.h: s/struct/class to make
	  clang happy

2012-12-05 15:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/mem-monitor/MemMonitor.cpp: Fixing #205 (Memory
	  applet shows negative swap size).
	  
	  Fixing bug which is related to memory applet in ede-panel, when
	  swap is used, where negative value was never shown.

2012-11-26 19:45  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Splash.cpp: Removing obsolete comment. Small
	  reformatting...

2012-11-26 19:38  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp: Fixed #198.
	  
	  When user logout or shutdown the system, a warning dialog was
	  showing about wrong DBus reply. Now are used
	  ConsoleKit commands 'CanStop' and 'CanRestart' to check can user
	  perform the action.

2012-11-15 03:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.h: Clang warnings fix

2012-11-07 12:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/Bugzilla.cpp,
	  ede-bug-tools/ede-bug-report/Bugzilla.h,
	  ede-bug-tools/ede-bug-report/BugzillaSender.cpp,
	  ede-bug-tools/ede-bug-report/BugzillaSender.h,
	  ede-bug-tools/ede-bug-report/PulseProgress.cpp,
	  ede-bug-tools/ede-bug-report/ede-bug-report.cpp,
	  ede-bug-tools/ede-bug-report/fl/ede-bug-report.fl: Added support
	  for receiving notifications.
	  
	  When issue gets update, reporter can receive mail notifications,
	  but has to have bugzilla account first. The later could not be
	  avoided. Implements #201.

2012-11-02 11:57  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Xsm.cpp: Space cleanup.

2012-10-23 12:44  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Program.jam: Removing obsolete efltk rule.

2012-10-23 11:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-crasher/CrashDialog.cpp: Get FLTK and X
	  versions.

2012-10-23 10:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-crasher/GdbOutput.cpp: Cleanup.

2012-10-23 10:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-crasher/CrashDialog.cpp,
	  ede-bug-tools/ede-crasher/GdbOutput.cpp: Removing some warning
	  lines.

2012-10-23 10:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Use also 'edelib-' matcher for
	  debugger invoke. Also, emit PID to ede-crasher for further
	  inspection.

2012-10-23 10:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-crasher/CrashDialog.cpp,
	  ede-bug-tools/ede-crasher/GdbOutput.cpp,
	  ede-bug-tools/ede-crasher/GdbOutput.h: Try to read 'core.PID' if
	  can or fallback on 'core'.

2012-10-08 15:40  Sanel Zukan <karijes@users.sourceforge.net>

	* emountd/emountd.cpp: Use str_hash(). Some cleanup.

2012-09-24 14:01  Sanel Zukan <karijes@users.sourceforge.net>

	* pekwm/InputDialog.cc, pekwm/Util.cc: iconv() is a mess between
	  os-es; const char**, char**,... oh my...

2012-09-24 13:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Removing some incomplete code.

2012-09-24 13:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-crasher/CrashDialog.cpp: Required size_t but
	  not visible in sys/utsname.h. Minix again.

2012-09-24 13:43  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in,
	  ede-bug-tools/ede-bug-report/xmlrpc-c/xmlrpc_config.h: Minix does
	  not have pselect(). This is also good time to refactor xmlrpc-c
	  dependency check in main configure.in script.

2012-09-24 13:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Minix does not have setrlimit().

2012-09-18 17:49  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h, ede-launch/ede-launch.cpp,
	  ede-notify-daemon/ede-notify-daemon.cpp, evoke/EvokeService.cpp,
	  evoke/Xsm.cpp, evoke/Xsm.h, tools/mk-ede-release.sh,
	  tools/svn2cl, tools/svn2cl/authors.xml, tools/svn2cl/svn2cl.sh,
	  tools/svn2cl/svn2cl.xsl: Importing svn2cl as it is used from
	  script that makes release archives.
	  Making code DBus optional; all DBus related code is wrapped
	  inside EDELIB_HAVE_DBUS.

2012-09-03 13:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/ede-notify-daemon.cpp: Removing locks. We need
	  better way to determin if FLTK has compiled in locking support or
	  not.

2012-09-03 13:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/keyboard-layout/KeyLayout.cpp: Added missing
	  stdlib.h header.

2012-08-24 14:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/keyboard-layout/KeyLayout.cpp,
	  ede-panel/applets/taskbar/TaskButton.cpp: Let panel taskbar tries
	  to fetch icons of desired size, if possible. Also squashed a
	  small memory leak in keyboard applet.

2012-08-23 02:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/StartMenu.cpp: ifdef-ed some FLTK
	  1.3.0 specific code.

2012-08-06 14:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/StartMenu.cpp: Added guards in case
	  autoupdate feature is disabled.

2012-08-06 14:52  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.cpp,
	  ede-panel/applets/start-menu/MenuRules.h,
	  ede-panel/applets/start-menu/StartMenu.cpp,
	  ede-panel/applets/start-menu/XdgMenuReader.cpp,
	  ede-panel/applets/start-menu/XdgMenuReader.h: Menu reload support
	  and clean of some memory leaks.
	  
	  Menu reload is using DirWatch to monitor application menu folders
	  for changes. With this, any change on some content will trigger
	  menu update. Update is trying to be safe as possible: when menu
	  is open, a backup menu will be constructed and replaced as soon
	  as menu
	  was closed; when is closed, it will be directly replaced.
	  
	  This still can include races, but I'm hoping they will not occur.
	  
	  Related to memory leaks: on couple of places in cpu applet,
	  delete was wronly called instead delete[]. Also, when ede-panel
	  exits,
	  AppletManager would not clean loaded apples. Strange. So now
	  explicit clear was added on exit.

2012-08-06 12:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/TaskButton.cpp,
	  ede-panel/applets/taskbar/TaskButton.h,
	  ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/Taskbar.h: Added copyright/legal info.
	  Cleared some deprecation warnings.

2012-08-05 23:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/ede-bug-report.cpp,
	  ede-bug-tools/ede-bug-report/fl/ede-bug-report.fl: Center the
	  window and fixed one spelling issue.

2012-07-19 08:23  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Made it static.

2012-07-19 08:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Removed some old code causing
	  undefined behavior.
	  
	  There were leftovers from previous menu version, where icon will
	  be set for certain MenuItem. However, some of those items are
	  removed causing values to be set outside array's bounds. Yuck!

2012-07-17 08:05  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/NotifyWindow.cpp,
	  ede-notify-daemon/NotifyWindow.h,
	  ede-notify-daemon/ede-notify-daemon.cpp: Copyright header and
	  window preservation on mouse enter.
	  
	  When notification was shown, if given timeout, it can be
	  preserved on screen by entering
	  with mouse in window area. This can be useful when message with
	  long was shown.

2012-06-07 09:32  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/Panel.h,
	  ede-panel/applets/start-menu/DesktopEntry.h,
	  ede-panel/applets/start-menu/XdgMenuReader.cpp: Fixing panel
	  placement when screen size was changed. Updating main menu to use
	  MenuTooltip code.
	  
	  When screen dimensions are shrinked, panel will be moved at the
	  correct location but will not be resized correctly. Also,
	  when screen dimensions are changed again, increasing sizes, panel
	  would not catch that. Here, 'the hack' is to track
	  root window dimension changes and react on that, since relaying
	  on _NET_WORKAREA is not always good; struts dimentions affects
	  workarea size.
	  
	  Main menu now has tooltips, which is Comment value from .desktop
	  files. Also, since XdgMenuReader directly plays with MenuItem,
	  MenuItem::init_extensions() is used to reset uncommon values.

2012-06-03 12:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Applet.h: Prevent crashes. Have to investigate further.

2012-05-30 10:23  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Applet.h, ede-panel/Panel.cpp, ede-panel/Panel.h,
	  ede-panel/applets/clock/Clock.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.h,
	  ede-panel/applets/demo/AppletDemo.cpp,
	  ede-panel/applets/keyboard-layout/KeyLayout.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.h,
	  ede-panel/applets/pager/Pager.cpp,
	  ede-panel/applets/quick-launch/QuickLaunch.cpp,
	  ede-panel/applets/start-menu/StartMenu.cpp,
	  ede-panel/applets/system-tray/Tray.h,
	  ede-panel/applets/taskbar/Taskbar.h: Code cleanup.
	  
	  Removing usage of EDE_PANEL_APPLET_CLASS since there is no much
	  usage of it. Also, marked all applet widgets as
	  EDE_PANEL_WIDGET_TYPE so panel knows it is widget.
	  
	  Added license info in some code, but whole ede2 tree needs to be
	  revised for that.

2012-05-28 14:25  Sanel Zukan <karijes@users.sourceforge.net>

	* README, doc/index.txt.in: Small cleanup. Added link for
	  ede-notify-daemon docs.

2012-05-28 10:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Applet.h, ede-panel/AppletManager.cpp,
	  ede-panel/AppletManager.h, ede-panel/Panel.cpp,
	  ede-panel/applets/clock/Clock.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.h,
	  ede-panel/applets/demo/AppletDemo.cpp,
	  ede-panel/applets/keyboard-layout/KeyLayout.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.h,
	  ede-panel/applets/pager/Pager.cpp,
	  ede-panel/applets/quick-launch/QuickLaunch.cpp,
	  ede-panel/applets/start-menu/StartMenu.cpp,
	  ede-panel/applets/system-tray/Tray.cpp,
	  ede-panel/applets/system-tray/Tray.h,
	  ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/Taskbar.h, ede-panel/ede-panel.cpp:
	  Moving all class declarations to EDE_PANEL_APPLET_CLASS macro.
	  
	  This change should make base applet code easier to modify without
	  modifying applets itself. This is also
	  a starting point for implementation of better routing netwm
	  messages to applets without adding specific listener
	  to each applet.

2012-05-28 10:00  Sanel Zukan <karijes@users.sourceforge.net>

	* pekwm/Frame.cc: Cleaning up some warnings.

2012-05-21 11:29  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Marked current code as next versionn

2012-05-18 12:47  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/mk-ede-release.sh: Simple script for doing release magic

2012-05-18 12:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/IconDialog.cpp,
	  ede-desktop/ede-desktop.h: Reuse desktop folder path from Desktop
	  class. Also small reordering, so only spaces are
	  replaced inside file name, not full desktop path.

2012-05-17 13:31  Sanel Zukan <karijes@users.sourceforge.net>

	* data/icon-themes/Jamfile: Added INSTALL_ICON_THEMES option.

2012-05-16 12:16  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, data/Jamfile, data/wallpapers,
	  data/wallpapers/COPYRIGHT, data/wallpapers/Jamfile,
	  data/wallpapers/raindrops-1600x1200.jpg,
	  data/wallpapers/summer-dreamin-3352x2304.jpg,
	  data/wallpapers/winter-sunset-3456x2304.jpg: Adding wallpapers

2012-05-16 11:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/hider/Hider.cpp: Redone animation code.
	  
	  Due large number of XFlush-es, on some OS-eses with bad graphic
	  driver (in my case FreeBSD on VirtualBox)
	  animation considerably slows down, making animation quit
	  OS/driver specific. Using FLTK timer code, animation should
	  be agnostic as possible.

2012-05-16 08:15  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, ede-timedate/locale: Removing obsolete locale dir.
	  Added checks for curl/types.h

2012-05-16 07:55  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/xmlrpc-c/deps/curl-transport/curlmulti.c,
	  ede-bug-tools/ede-bug-report/xmlrpc-c/deps/curl-transport/curltransaction.c,
	  ede-bug-tools/ede-bug-report/xmlrpc-c/deps/curl-transport/xmlrpc_curl_transport.c,
	  ede-bug-tools/ede-bug-report/xmlrpc-c/deps/util/include/pthreadx.h:
	  Fixes for new curl versions.
	  
	  Looks like type.h is removed from curl distribution rendering
	  xmlrpc-c code uncompileable. All code is wrapped
	  around HAVE_CURLTYPES_H. Also if _REENTRANT was defined, gcc will
	  report warning as it is defined by default (:S).

2012-05-15 13:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/ede-notify-daemon.cpp: Added missing config.h

2012-05-15 12:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconDialog.cpp: Focus input instead of image box

2012-05-15 12:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconDialog.cpp, ede-desktop/ede-desktop.cpp: Handle
	  case when icon wasn't selected.
	  
	  By default, 'empty' icon should be used. It is now shown in
	  preview box and will
	  be selected when icon wasn't explicitly chosen. Also, redraw full
	  desktop when icon was removed, to
	  prevent displaying icon which isn't available.
	  
	  Added small delay when icon was removed so directory watcher skip
	  remove event.

2012-05-15 11:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h: Icon renaming support.

2012-05-15 10:55  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconProperties.cpp, ede-desktop/IconProperties.h,
	  ede-desktop/fl/icon_properties.fl: Removing old code

2012-05-15 10:28  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/NotifyWindow.cpp,
	  ede-notify-daemon/NotifyWindow.h: Better resize support.
	  
	  Body widget is by default hidden and summary is lowered a little
	  bit,
	  to fill space gap. Also this commit fixes 'position' calls for
	  output
	  widgets, as this function for these widgets will move cursor at
	  given
	  position, instead to move widget. Yuck!

2012-05-15 09:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/ede-tip.cpp: Center window before it was shown

2012-05-10 13:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/NotifyWindow.cpp: Made window to use border
	  box.

2012-05-10 13:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/NotifyWindow.cpp, ede-notify-daemon/window.fl:
	  Small relayout check when body is visible.

2012-05-10 12:31  Sanel Zukan <karijes@users.sourceforge.net>

	* README, ede-notify-daemon/Jamfile,
	  ede-notify-daemon/ede-notify-daemon.txt: Small docs about
	  ede-notify-daemon. Also small update for README

2012-05-10 12:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/NotifyWindow.cpp: Set notification window as
	  notification type.

2012-05-10 12:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/NotifyWindow.cpp: Remove that silly focus box
	  from close button. Also hide those (again silly) cursors for text
	  output field.

2012-05-10 11:51  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-startup.conf,
	  evoke/splash-themes/scape/ede-notify-daemon.png,
	  evoke/splash-themes/standard/ede-notify-daemon.png: Better icons

2012-05-10 11:29  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/splash-themes/scape/ede-notify-daemon.png,
	  evoke/splash-themes/standard/ede-notify-daemon.png: Icons for
	  notify daemon

2012-05-10 11:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconDialog.cpp, ede-desktop/ede-desktop.cpp: Browsing
	  files support. Real removal, but yet incomplete

2012-05-10 11:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Updating

2012-05-10 11:16  Sanel Zukan <karijes@users.sourceforge.net>

	* elma: Moving login manager to branches. Incomplete too

2012-05-10 11:15  Sanel Zukan <karijes@users.sourceforge.net>

	* efiler: Moving file manager code to branches. Incomplete

2012-05-10 11:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon/NotifyWindow.cpp,
	  ede-notify-daemon/NotifyWindow.h,
	  ede-notify-daemon/ede-notify-daemon.cpp: * daemonization support
	  * better placement, alhough this can be improved
	  * resizing support if text is larger than window

2012-05-09 15:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-notify-daemon, ede-notify-daemon/Jamfile,
	  ede-notify-daemon/NotifyWindow.cpp,
	  ede-notify-daemon/NotifyWindow.h,
	  ede-notify-daemon/ede-notify-daemon.cpp,
	  ede-notify-daemon/test-notifications.sh,
	  ede-notify-daemon/window.fl: Initial commit of notification
	  daemon

2012-05-07 08:53  Sanel Zukan <karijes@users.sourceforge.net>

	* data/desktop-links/ede-xterm.desktop, ede-about/ede-about.cpp,
	  ede-bell-conf/ede-bell-conf.cpp,
	  ede-desktop-conf/ede-desktop-conf.cpp,
	  ede-desktop/DesktopIcon.cpp, ede-desktop/IconDialog.cpp,
	  ede-desktop/Jamfile, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h,
	  ede-keyboard-conf/ede-keyboard-conf.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-screensaver-conf/ede-screensaver-conf.cpp: Make dialog-like
	  windows centered. Work on implementing missing ede-desktop
	  functions

2012-04-25 16:28  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconDialog.cpp, ede-desktop/IconDialog.h,
	  ede-desktop/Jamfile, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h: Going toward implementing creating
	  icons on desktop

2012-04-25 09:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-image-view/ede-image-view.cpp: Better zooming, small fixes

2012-04-23 12:43  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h, ede-desktop/fl/icon_create.fl:
	  Implementing creating folders from menu. Also, try to store icon
	  of created item when mouse last clicked

2012-04-19 12:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/mem-monitor/MemMonitor.cpp,
	  ede-panel/applets/taskbar/TaskButton.cpp,
	  ede-panel/applets/taskbar/TaskButton.h: Prevent some memory leaks

2012-04-19 10:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/system-tray/Tray.cpp: Made it static

2012-04-19 10:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/hider, ede-panel/applets/hider/Hider.cpp,
	  ede-panel/applets/hider/Jamfile: How did I manage to miss this!?@

2012-04-19 10:08  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/system-tray/Tray.cpp,
	  ede-panel/applets/system-tray/Tray.h: Correctly set tray window
	  sizes so tray app can draw icon(s) on correct place.

2012-04-11 16:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/Panel.h,
	  ede-panel/applets/Jamfile, ede-panel/applets/clock/Clock.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.h,
	  ede-panel/applets/mem-monitor/MemMonitor.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.h: Do not run timeout
	  callbacks when panel is hidden. This will prevent reading cpu or
	  memory status when their widgets are not visible.

2012-04-09 19:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Handle case when 'ede-launch
	  ede-launch ...' was given.

2012-04-09 11:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Do not load itself if given as
	  parameter

2012-04-04 09:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/Panel.h: Implemented old #93
	  request: panel feature to be placed on screen by dragging (only
	  putting it to top and bottom are available) and setting panel
	  percentage width.

2012-04-03 09:05  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/pager/Pager.cpp: Small change and attempt to
	  fix workspace switch bug, but without success. Next time...

2012-04-02 19:12  Sanel Zukan <karijes@users.sourceforge.net>

	* data/menu/applications/ede-screen-lock.desktop: Swap names so
	  this item gets latest in the menu list

2012-04-02 19:04  Sanel Zukan <karijes@users.sourceforge.net>

	* data/menu/applications/ede-screen-lock.desktop: Menu entry

2012-04-02 18:59  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-help/ede-help.in, ede-screen-lock,
	  ede-screen-lock/Jamfile, ede-screen-lock/ede-screen-lock:
	  Importing new ede-screen-lock tool, a wrapper around various
	  locking engines. Also modified ede-help to
	  use 'command -v' instead of 'which', making it more portable.

2011-11-21 14:09  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, build/Program.jam, configure.in: Addopted to recent
	  changes in edelib-gui*.pc files

2011-11-20 23:38  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp: Use ConsoleKit (instead of obsolete Hal)
	  to do restart/shutdown

2011-11-14 08:54  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, efiler/Fl_Icon_Browser.h,
	  m4/pekwm.m4: Removing efltk checks. Small fix inside pekwm.m4

2011-11-14 08:48  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-shutdown.cpp: Fixing a typo

2011-11-13 20:42  Sanel Zukan <karijes@users.sourceforge.net>

	* data/wmanager.conf: Obsolete file

2011-11-13 20:24  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/menu: Empty menu should not be visible.

2011-11-10 14:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-panel/Panel.cpp, m4/pekwm.m4,
	  pekwm/Jamfile: Dummy way to search iconv on platformes where it
	  is separate library. More fixes on pekwm configure macros. Fixing
	  compilation for ede-desktop.cpp

2011-11-10 09:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Compilation fix by anonymous to
	  compile on TinyCore.

2011-11-09 16:30  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, services/Jamfile,
	  services/org.equinoxproject.StartupNotify.service.in: Removing
	  unused service

2011-11-09 14:09  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-settings-apply: Run edelib-update-font-cache

2011-11-09 14:08  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h,
	  ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h: Read font
	  from font cache and display it

2011-11-09 13:21  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile: pekwm knows about splash hint, so use it

2011-11-09 13:18  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/themes/Jamfile, data/pekwm/themes/default/Jamfile,
	  data/pekwm/themes/pekwm/Jamfile: Updating build scripts

2011-11-09 13:17  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/themes/EdeClassic, data/pekwm/themes/default: Moving
	  EdeClassic to default

2011-11-09 13:12  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/themes/default, data/pekwm/themes/pekwm: Moving pekwm
	  default theme to 'pekwm' name

2011-11-05 21:31  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/themes/EdeClassic/theme: Modularizing theme; adding
	  few missing parts

2011-11-05 13:44  Sanel Zukan <karijes@users.sourceforge.net>

	* data/pekwm/themes/EdeClassic,
	  data/pekwm/themes/EdeClassic/arrow-focus.png,
	  data/pekwm/themes/EdeClassic/arrow-sel.png,
	  data/pekwm/themes/EdeClassic/border.png,
	  data/pekwm/themes/EdeClassic/bottom-menu.png,
	  data/pekwm/themes/EdeClassic/close-press.png,
	  data/pekwm/themes/EdeClassic/close-unfocus.png,
	  data/pekwm/themes/EdeClassic/close.png,
	  data/pekwm/themes/EdeClassic/max-press.png,
	  data/pekwm/themes/EdeClassic/max-unfocus.png,
	  data/pekwm/themes/EdeClassic/max.png,
	  data/pekwm/themes/EdeClassic/menuline.png,
	  data/pekwm/themes/EdeClassic/min-press.png,
	  data/pekwm/themes/EdeClassic/min-unfocus.png,
	  data/pekwm/themes/EdeClassic/min.png,
	  data/pekwm/themes/EdeClassic/theme,
	  data/pekwm/themes/EdeClassic/title-unfocus.png,
	  data/pekwm/themes/EdeClassic/title.png,
	  data/pekwm/themes/EdeClassic/top-menu.png: Starting EDE specific
	  pekwm theme

2011-11-03 21:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-autostart/ede-autostart.cpp: Center it

2011-10-29 16:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/mem-monitor/MemMonitor.cpp: Explicit conversion
	  must be on freebsd gcc version

2011-10-29 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/AppChoice.cpp,
	  ede-preferred-applications/AppChoice.h: find_index() exists only
	  in fltk 1.3.x

2011-10-29 15:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Explicitly include limits.h for
	  PATH_MAX

2011-10-28 12:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Added example to help line

2011-10-28 12:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Support for running programs based on
	  guessed pattern

2011-10-28 09:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/TaskButton.cpp: Fixed issue with
	  drawing label

2011-10-27 15:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile, ede-panel/Panel.cpp,
	  ede-panel/applets/pager/PagerButton.cpp: Allow explicit building
	  of local applets. Shrinked buf size for numbers

2011-10-27 15:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/system-tray/Tray.cpp: Do not tray windows that
	  are not valid

2011-10-27 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/system-tray/Tray.cpp: Setup visual atom for app
	  icons

2011-10-27 12:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/system-tray/Jamfile,
	  ede-panel/applets/system-tray/Tray.cpp,
	  ede-panel/applets/system-tray/Tray.h,
	  ede-panel/applets/system-tray/TrayWindow.cpp,
	  ede-panel/applets/system-tray/TrayWindow.h: Fixing way how tray
	  icon window is drawn. This required changing a bit of code here

2011-10-26 16:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp,
	  ede-panel/applets/system-tray/TrayWindow.cpp: Removing debug
	  code.

2011-10-26 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/system-tray/Tray.cpp: Unused code

2011-10-26 16:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/Panel.h,
	  ede-panel/applets/Jamfile, ede-panel/applets/system-tray,
	  ede-panel/applets/system-tray/Jamfile,
	  ede-panel/applets/system-tray/Tray.cpp,
	  ede-panel/applets/system-tray/Tray.h,
	  ede-panel/applets/system-tray/TrayWindow.cpp,
	  ede-panel/applets/system-tray/TrayWindow.h,
	  ede-panel/applets/taskbar/Taskbar.cpp: Importing systray applet.
	  Not completed yet...

2011-10-26 09:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Fixed example so claws could work

2011-10-26 09:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/PredefApps.h: Added claws

2011-10-26 08:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-autostart/ede-autostart.cpp: Small refactoring

2011-10-25 14:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: mailto example in help

2011-10-25 14:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Let --launch [type] load program
	  without parameters

2011-10-25 13:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Improved launch tool with preferred
	  applications support.

2011-10-24 15:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Some cleanup

2011-10-24 14:59  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Removed non-implemented things, for
	  now...

2011-10-24 14:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp: Use same color as in
	  ede-desktop

2011-10-24 12:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/Jamfile, ede-launch/StartupNotify.cpp,
	  ede-launch/StartupNotify.h, ede-launch/ede-launch-sn.cpp,
	  ede-launch/ede-launch.cpp: Replacing external program
	  ede-launch-sn with StartupNotify code

2011-10-24 09:11  Sanel Zukan <karijes@users.sourceforge.net>

	* data/menu/applications/ede-preferred-applications.desktop,
	  ede-preferred-applications/ede-preferred-applications.cpp: Added
	  menu entry for ede-preferred-applications. Let it be centered on
	  screen when shown

2011-10-24 09:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Support for launching .desktop files

2011-10-24 08:17  Sanel Zukan <karijes@users.sourceforge.net>

	* edewm: Dumping efltk edewm

2011-10-24 08:15  Sanel Zukan <karijes@users.sourceforge.net>

	* README, configure.in, ede-bug-tools/ede-crasher/GdbOutput.h,
	  evoke/Xsm.cpp: Removing checks for efltk and updating README.
	  Squashing few warnings.

2011-10-23 00:10  Sanel Zukan <karijes@users.sourceforge.net>

	* AUTHORS.pekwm, Jamconfig.in, Jamfile, configure.in, data/Jamfile,
	  data/pekwm, data/pekwm/Jamfile, data/pekwm/autoproperties,
	  data/pekwm/autoproperties_typerules, data/pekwm/config,
	  data/pekwm/keys, data/pekwm/menu, data/pekwm/mouse,
	  data/pekwm/scripts, data/pekwm/scripts/Jamfile,
	  data/pekwm/scripts/pekwm_themeset.sh,
	  data/pekwm/scripts/pekwm_ws_menu.sh, data/pekwm/start,
	  data/pekwm/themes, data/pekwm/themes/Jamfile,
	  data/pekwm/themes/default, data/pekwm/themes/default-plain,
	  data/pekwm/themes/default-plain/theme,
	  data/pekwm/themes/default/Jamfile,
	  data/pekwm/themes/default/arrow.png,
	  data/pekwm/themes/default/arrow_focus.png,
	  data/pekwm/themes/default/bottom-border.png,
	  data/pekwm/themes/default/bottom-border_unfocus.png,
	  data/pekwm/themes/default/bottom-left.png,
	  data/pekwm/themes/default/bottom-left_unfocus.png,
	  data/pekwm/themes/default/bottom-right.png,
	  data/pekwm/themes/default/bottom-right_unfocus.png,
	  data/pekwm/themes/default/button.png,
	  data/pekwm/themes/default/button_hover.png,
	  data/pekwm/themes/default/button_press.png,
	  data/pekwm/themes/default/button_unfocus.png,
	  data/pekwm/themes/default/item.png,
	  data/pekwm/themes/default/item_focus.png,
	  data/pekwm/themes/default/left-border.png,
	  data/pekwm/themes/default/left-border_unfocus.png,
	  data/pekwm/themes/default/menu-bottom.png,
	  data/pekwm/themes/default/menu-bottom_unfocus.png,
	  data/pekwm/themes/default/menuline.png,
	  data/pekwm/themes/default/right-border.png,
	  data/pekwm/themes/default/right-border_unfocus.png,
	  data/pekwm/themes/default/tab-separator.png,
	  data/pekwm/themes/default/tab-separator_unfocus.png,
	  data/pekwm/themes/default/theme,
	  data/pekwm/themes/default/title.png,
	  data/pekwm/themes/default/title_unfocus.png,
	  data/pekwm/themes/default/top-border.png,
	  data/pekwm/themes/default/top-border_unfocus.png,
	  data/pekwm/themes/default/top-left.png,
	  data/pekwm/themes/default/top-left_unfocus.png,
	  data/pekwm/themes/default/top-right.png,
	  data/pekwm/themes/default/top-right_unfocus.png, data/pekwm/vars,
	  ede-launch/ede-launch.cpp, edewm/locale/messages.pot,
	  evoke/ede-startup.conf, m4/pekwm.m4, pekwm, pekwm/Action.hh,
	  pekwm/ActionHandler.cc, pekwm/ActionHandler.hh,
	  pekwm/ActionMenu.cc, pekwm/ActionMenu.hh, pekwm/Atoms.cc,
	  pekwm/Atoms.hh, pekwm/AutoProperties.cc, pekwm/AutoProperties.hh,
	  pekwm/CfgParser.cc, pekwm/CfgParser.hh, pekwm/CfgParserKey.cc,
	  pekwm/CfgParserKey.hh, pekwm/CfgParserSource.cc,
	  pekwm/CfgParserSource.hh, pekwm/Client.cc, pekwm/Client.hh,
	  pekwm/CmdDialog.cc, pekwm/CmdDialog.hh, pekwm/ColorHandler.cc,
	  pekwm/ColorHandler.hh, pekwm/Compat.cc, pekwm/Compat.hh,
	  pekwm/Completer.cc, pekwm/Completer.hh, pekwm/Config.cc,
	  pekwm/Config.hh, pekwm/DecorMenu.cc, pekwm/DecorMenu.hh,
	  pekwm/DockApp.cc, pekwm/DockApp.hh, pekwm/Exception.hh,
	  pekwm/FontHandler.cc, pekwm/FontHandler.hh, pekwm/Frame.cc,
	  pekwm/Frame.hh, pekwm/FrameListMenu.cc, pekwm/FrameListMenu.hh,
	  pekwm/Handler.hh, pekwm/Harbour.cc, pekwm/Harbour.hh,
	  pekwm/HarbourMenu.cc, pekwm/HarbourMenu.hh,
	  pekwm/ImageHandler.cc, pekwm/ImageHandler.hh,
	  pekwm/InputDialog.cc, pekwm/InputDialog.hh, pekwm/Jamfile,
	  pekwm/KeyGrabber.cc, pekwm/KeyGrabber.hh, pekwm/Makefile,
	  pekwm/Makefile.am, pekwm/Makefile.in, pekwm/ManagerWindows.cc,
	  pekwm/ManagerWindows.hh, pekwm/MenuHandler.cc,
	  pekwm/MenuHandler.hh, pekwm/Observable.cc, pekwm/Observable.hh,
	  pekwm/Observer.hh, pekwm/PDecor.cc, pekwm/PDecor.hh,
	  pekwm/PFont.cc, pekwm/PFont.hh, pekwm/PImage.cc, pekwm/PImage.hh,
	  pekwm/PImageIcon.cc, pekwm/PImageIcon.hh, pekwm/PImageLoader.hh,
	  pekwm/PImageLoaderJpeg.cc, pekwm/PImageLoaderJpeg.hh,
	  pekwm/PImageLoaderPng.cc, pekwm/PImageLoaderPng.hh,
	  pekwm/PImageLoaderXpm.cc, pekwm/PImageLoaderXpm.hh,
	  pekwm/PMenu.cc, pekwm/PMenu.hh, pekwm/PScreen.cc,
	  pekwm/PScreen.hh, pekwm/PTexture.hh, pekwm/PTexturePlain.cc,
	  pekwm/PTexturePlain.hh, pekwm/PWinObj.cc, pekwm/PWinObj.hh,
	  pekwm/PWinObjReference.cc, pekwm/PWinObjReference.hh,
	  pekwm/ParseUtil.hh, pekwm/PixmapHandler.cc,
	  pekwm/PixmapHandler.hh, pekwm/RegexString.cc,
	  pekwm/RegexString.hh, pekwm/ScreenResources.cc,
	  pekwm/ScreenResources.hh, pekwm/SearchDialog.cc,
	  pekwm/SearchDialog.hh, pekwm/StatusWindow.cc,
	  pekwm/StatusWindow.hh, pekwm/TextureHandler.cc,
	  pekwm/TextureHandler.hh, pekwm/Theme.cc, pekwm/Theme.hh,
	  pekwm/Timer.hh, pekwm/Types.hh, pekwm/Util.cc, pekwm/Util.hh,
	  pekwm/WORefMenu.cc, pekwm/WORefMenu.hh, pekwm/WindowManager.cc,
	  pekwm/WindowManager.hh, pekwm/WorkspaceIndicator.cc,
	  pekwm/WorkspaceIndicator.hh, pekwm/Workspaces.cc,
	  pekwm/Workspaces.hh, pekwm/main.cc, pekwm/pekwm.hh: Importing
	  pekwm as alternative wm. Adopting it to ede build system
	  including autoconf checks.
	  
	  Also center ede-launch window.

2011-10-22 10:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/PredefApps.h: Added evolution and
	  gnome-terminal to listed apps

2011-10-21 20:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Better terminal handling

2011-10-21 16:00  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Logout.cpp: Use edelib::Window

2011-10-21 15:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/PredefApps.h,
	  ede-preferred-applications/ede-preferred-applications.cpp: Some
	  hack to prevent gcc warnings. This could be solved by separate
	  file, but...

2011-10-21 15:41  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/AppChoice.cpp,
	  ede-preferred-applications/ede-preferred-applications.cpp:
	  Correctly write/read user supplied programs.

2011-10-21 15:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/AppChoice.cpp,
	  ede-preferred-applications/AppChoice.h,
	  ede-preferred-applications/Apps.cpp,
	  ede-preferred-applications/Apps.h,
	  ede-preferred-applications/Jamfile,
	  ede-preferred-applications/PredefApps.h,
	  ede-preferred-applications/ede-preferred-applications.cpp:
	  Refactoring...

2011-10-21 13:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/Apps.cpp,
	  ede-preferred-applications/Apps.h,
	  ede-preferred-applications/ede-preferred-applications.cpp: Handle
	  'Browse...' click.

2011-10-20 16:02  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-preferred-applications/Apps.cpp,
	  ede-preferred-applications/Apps.h,
	  ede-preferred-applications/ede-preferred-applications.cpp:
	  Support for storing/loading items

2011-10-20 15:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.conf: Added entry for
	  ede-preferred-applications

2011-10-20 15:13  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-preferred-applications,
	  ede-preferred-applications/Apps.cpp,
	  ede-preferred-applications/Apps.h,
	  ede-preferred-applications/Jamfile,
	  ede-preferred-applications/PredefApps.h,
	  ede-preferred-applications/ede-preferred-applications.cpp,
	  ede-preferred-applications/ede-preferred-applications.fld:
	  Importing new tool for configuring preferred applications. Not
	  finished

2011-10-20 14:18  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/create-project: Use SOURCE var where can

2011-10-20 09:17  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/create-project: Added translation part

2011-10-20 09:11  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/create-project: Tool for easier boilerplate creation

2011-10-18 08:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h: Small
	  refactoring

2011-10-18 08:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h,
	  ede-desktop/Jamfile, ede-desktop/MovableIcon.cpp,
	  ede-desktop/MovableIcon.h, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h: Refactoring some icon handling.
	  Dumping trash handling; this should be done by separate
	  application

2011-10-07 14:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/keyboard-layout/KeyLayout.cpp: Use for_each

2011-10-06 22:19  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Program.jam: Set E_LOG_DOMAIN var during compilation phase

2011-09-30 11:43  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp: Add it to loader

2011-09-30 11:41  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/mem-monitor/MemMonitor.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.h: Drawing code

2011-09-30 09:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/applets/Jamfile,
	  ede-panel/applets/mem-monitor,
	  ede-panel/applets/mem-monitor/Jamfile,
	  ede-panel/applets/mem-monitor/MemMonitor.cpp,
	  ede-panel/applets/mem-monitor/MemMonitor.h: Initial import of
	  memory monitor applet

2011-09-28 12:50  Sanel Zukan <karijes@users.sourceforge.net>

	* exset: Removed

2011-09-28 09:05  Sanel Zukan <karijes@users.sourceforge.net>

	* data/icon-themes/icon-theme-convert: Obsolete file

2011-09-15 14:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp: Updated year

2011-09-14 15:12  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/l10n-prepare.sh.in: Updating current dirs

2011-09-14 13:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ecolorconf: Cleanup too

2011-09-14 13:05  Sanel Zukan <karijes@users.sourceforge.net>

	* edisplayconf, efinder, einstaller, emenueditor, epanelconf,
	  evolume, ewmconf: Cleaning up some old stuff

2011-08-04 08:46  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Removed warning if 1.3.x branch was detected

2011-08-03 12:20  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/asciidoc/asciidoc.py, ede-desktop/DesktopIcon.cpp,
	  ede-image-view/ede-image-view.cpp: Fixed few things for easier
	  compilation with FLTK 1.3.
	  Forbidden asciidoc to read /etc/asciidoc folder, as it could have
	  newer incopatible asciidoc config files.

2010-03-29 03:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-autostart/ede-autostart.cpp: Do not show dialog if there are
	  no entries

2010-03-28 12:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp, ede-autostart/ede-autostart.cpp,
	  ede-bell-conf/ede-bell-conf.cpp,
	  ede-bug-tools/ede-bug-report/ede-bug-report.cpp,
	  ede-bug-tools/ede-crasher/ede-crasher.cpp, ede-conf/ede-conf.cpp,
	  ede-desktop-conf/ede-desktop-conf.cpp,
	  ede-desktop/ede-desktop.cpp, ede-dialog/ede-dialog.cpp,
	  ede-image-view/Jamfile, ede-image-view/ede-image-view.cpp,
	  ede-keyboard-conf/ede-keyboard-conf.cpp,
	  ede-launch/ede-launch.cpp, ede-panel/ede-panel.cpp,
	  ede-screensaver-conf/ede-screensaver-conf.cpp,
	  ede-timedate/ede-timedate.cpp, ede-tip/ede-tip.cpp,
	  evoke/evoke.cpp: Use EDE_APPLICATION to init localization code
	  and set default (and much saner) font size.

2010-03-22 01:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp: Updated year

2010-03-09 23:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/Taskbar.h: Update icon on demand

2010-03-08 22:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/TaskButton.cpp,
	  ede-panel/applets/taskbar/TaskButton.h,
	  ede-panel/applets/taskbar/Taskbar.cpp: Application icon support
	  in taskbar button

2010-03-08 00:03  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/clock/Clock.cpp: Added weekday name in tooltip

2010-03-07 23:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/cpu-monitor/CpuMonitor.cpp: Some tooltip text
	  beautification

2010-03-07 21:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/clock/Clock.cpp: Let tooltip shows a date

2010-03-07 21:33  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/clock/Clock.cpp: Use flat box by default

2010-03-07 14:03  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Do not state things that are not
	  implemented

2010-03-06 17:28  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, ede-bug-tools/ede-bug-report/Jamfile,
	  ede-bug-tools/ede-bug-report/xmlrpc-c/xmlrpc_config.h: Handle
	  case when va_list is array.

2010-02-23 16:28  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-keyboard-conf/ede-keyboard-conf.cpp: Line up with spaces

2010-02-23 16:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-keyboard-conf/ede-keyboard-conf.cpp: Prevent segfault when
	  '--apply' was issued.
	  Added some tooltips for better description of some checkboxes.

2010-01-19 14:41  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, data/startede.in, m4/expand.m4: Use sysconfdir
	  variable if was given via '--sysconfdir' flag to configure
	  script.

2010-01-19 14:01  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Use given prefix, instead builtin path.

2010-01-19 13:49  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in: Straight use of sysconfdir variable

2010-01-18 14:38  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, data/Jamfile: Dumped builtin paths as
	  distros can't use them for packaging. Noted by Thierry from NuTyX
	  project.

2010-01-06 14:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/Taskbar.cpp: Do not display transient
	  windows

2009-12-28 13:11  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Jamfile, doc/dbus-usage.txt: Removed jambuild.txt entry in
	  Jamfile.
	  Documented org.equinoxproject.Xsettings service.

2009-12-28 12:49  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/index.txt.in, doc/jambuild.txt: Dump unfinished item. This
	  should be completed on wiki.

2009-12-24 15:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Utils.cpp, ede-desktop/Utils.h,
	  ede-desktop/Wallpaper.cpp, ede-desktop/ede-desktop.cpp: Use
	  common netwm code from edelib.

2009-12-17 15:19  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/Jamfile: Do not compile and install demo applet

2009-12-17 15:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile, ede-panel/Netwm.cpp, ede-panel/Netwm.h,
	  ede-panel/Panel.cpp, ede-panel/applets/pager/Pager.cpp,
	  ede-panel/applets/taskbar/TaskButton.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp: Use wm specific code from
	  edelib.

2009-12-07 13:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-image-view/ede-image-view.cpp, evoke/Xsm.cpp,
	  evoke/test-dbus.sh: Added Remove(), Flush() and Set() D-Bus
	  calls, related to XSETTINGS, in evoke.
	  Use Fl_Double_Window in ede-image-view, to prevent flickering
	  when image gets resized.

2009-12-03 16:56  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Xsm.cpp, evoke/Xsm.h, evoke/test-dbus.sh: Added D-Bus
	  interface for querying XSETTINGS data.

2009-11-27 22:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-launch/ede-launch.cpp: Ignore if
	  TERM == dumb on ede-launch.
	  Check smallest allowed sizes for font and maxwidth in ede-desktop
	  icons.

2009-11-26 22:44  Sanel Zukan <karijes@users.sourceforge.net>

	* data/ede.desktop.in: Do not use TryExec; Exec should be enough.
	  Besides, gdm seems to ignore ede.desktop when TryExec contains
	  full path.

2009-11-26 20:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/Bugzilla.cpp: Squeeze warning on gcc
	  4.3.2

2009-11-26 14:08  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/extract-jam-doc: Importing tool for easier documenting jam
	  build sources.

2009-11-23 15:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bell-conf/ede-bell-conf.cpp, ede-calc/SciCalc.cpp,
	  ede-calc/SciCalc.fl, ede-keyboard-conf/ede-keyboard-conf.cpp,
	  ede-screensaver-conf/XScreenSaver.cpp: Squeezed some warnings.

2009-11-23 12:52  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Wallpaper.cpp: Some code reformatting.
	  Fixed pixmap creating issue for 24-bit displays.

2009-11-20 17:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/icons/bug.xpm,
	  ede-bug-tools/ede-crasher/GdbOutput.cpp: More warnings reduction.

2009-11-20 17:08  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, ede-about/icons/ede.xpm,
	  ede-autostart/ede-autostart.cpp,
	  ede-bug-tools/ede-crasher/icons/core.xpm,
	  ede-desktop-conf/ede-desktop-conf.cpp, ede-desktop/Utils.cpp,
	  ede-dialog/ede-dialog.cpp, ede-image-view/ede-image-view.cpp,
	  ede-keyboard-conf/Jamfile,
	  ede-keyboard-conf/ede-keyboard-conf.cpp,
	  ede-launch/ede-launch.cpp, ede-launch/icons/run.xpm,
	  ede-panel/Jamfile, ede-panel/applets/keyboard-layout/Jamfile,
	  ede-panel/applets/keyboard-layout/KeyLayout.cpp,
	  ede-panel/applets/pager/Pager.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/icons/window.xpm,
	  ede-screensaver-conf/XScreenSaver.cpp,
	  ede-screensaver-conf/icons/energy.xpm,
	  ede-timedate/ede-timedate.cpp, ede-timedate/icons/world.xpm,
	  ede-timedate/icons/world2.xpm, ede-tip/icons/hint.xpm,
	  evoke/Xsm.cpp: Reduced warnings on gcc 4.4.1.
	  Let panel applet use GLOBALFLAGS.
	  Check for XKBrules from XKB extension and conditionally compile
	  code using it.

2009-11-20 15:29  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh: Synced with autogen.sh from edelib.

2009-11-20 15:22  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh: Synced with autogen.sh from edelib.

2009-11-18 14:27  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Corrected warning message.

2009-11-18 14:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/Jamfile: Use CURL_CFLAGS in case
	  curl was installed in non-common directories.

2009-11-18 12:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp, ede-panel/Panel.cpp,
	  ede-panel/Panel.h, ede-panel/ede-panel.cpp: Let ede-launch use
	  xterm if TERM was inherited from login console.
	  Dumping usage of FL_SHOW event in ede-panel; everything is now
	  handled in Panel::show().
	  Call Panel::hide() even if ede-panel was ended/killed with
	  outside signal; with this configuration file will be stored.
	  Remember panel position (top/bottom).

2009-11-17 12:39  Sanel Zukan <karijes@users.sourceforge.net>

	* emountd/emountd.cpp: Use edelib implementation of daemon() since
	  Solaris family do not provide it.

2009-11-16 11:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-autostart/ede-autostart.cpp, ede-autostart/icons,
	  ede-keyboard-conf/ede-keyboard-conf.cpp,
	  evoke/ede-settings-apply: ede-autostart will use warning icon
	  from icon theme.
	  Apply keyboard settings at ede startup.
	  Do not change keyboard layout if it is the same as previous.

2009-11-13 11:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.conf, ede-desktop/ede-desktop.cpp,
	  ede-keyboard-conf/ede-keyboard-conf.cpp,
	  ede-panel/applets/keyboard-layout/KeyLayout.cpp: Call
	  ede-keyboard-conf when clicked on applet.
	  Let ede-keyboard-conf uses setxkbmap for setting changes.
	  ede-desktop foreign callback addopted for latest modification in
	  edelib.
	  ede-conf will display keyboard configuration.

2009-11-12 14:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp: Fixed some bounds misscalculations

2009-11-12 13:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile: ld on OpenSolaris uses different flag for
	  shared libraries

2009-11-12 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/keyboard-layout/Jamfile: Use X path if given

2009-11-12 12:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/ede-tip-compiler.c: Alias some types not known for
	  Solaris

2009-11-12 12:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-keyboard-conf/Jamfile: Specify X path in case the path is not
	  common

2009-11-10 14:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-keyboard-conf/ede-keyboard-conf.cpp: Use selected layout and
	  store it

2009-11-10 12:34  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/checkdir.m4: Quote macro name

2009-11-10 11:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp,
	  ede-desktop/ede-desktop.cpp: Use callback changes in edelib

2009-11-06 15:45  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-keyboard-conf, ede-keyboard-conf/Jamfile,
	  ede-keyboard-conf/ede-keyboard-conf.cpp,
	  ede-keyboard-conf/ede-keyboard-conf.fl: Importing tool for
	  keyboard configuration

2009-11-05 15:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/applets/Jamfile,
	  ede-panel/applets/cpu-monitor,
	  ede-panel/applets/cpu-monitor/CpuMonitor.cpp,
	  ede-panel/applets/cpu-monitor/CpuMonitor.h,
	  ede-panel/applets/cpu-monitor/Jamfile: Importing adapted CPU
	  monitor from old eworkpanel as applet

2009-10-15 14:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile, ede-panel/applets/start-menu/Jamfile: Added
	  -fPIC flag for start-menu applet code, that prevented linkage.
	  Common menu code will be compiled now once in separate library.

2009-10-13 15:51  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Install.jam: Applied a little bit modified patch from José
	  Romildo on bug #168 (DESTDIR support).

2009-10-13 14:50  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Program.jam: Apply patch for bug #170 from José Romildo,
	  for the case when EDELIBINCLUDE is empty

2009-10-13 10:41  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp: Implemented restart and shutdown. By
	  default, they will be done via HAL, if HAL was detected.
	  Fallback will be done via standard shell commands.

2009-10-12 11:25  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp, ede-panel/applets/Jamfile,
	  ede-panel/applets/keyboard-layout,
	  ede-panel/applets/keyboard-layout/Jamfile,
	  ede-panel/applets/keyboard-layout/KeyLayout.cpp: Importing applet
	  for displaying currently used keyboard layout

2009-10-09 16:07  Sanel Zukan <karijes@users.sourceforge.net>

	* ekeyconf: Unused code

2009-10-09 15:17  Sanel Zukan <karijes@users.sourceforge.net>

	* data/icon-themes/Jamfile, data/icon-themes/kbflags,
	  data/icon-themes/kbflags/21x14,
	  data/icon-themes/kbflags/21x14.new,
	  data/icon-themes/kbflags/21x14.new/C.png,
	  data/icon-themes/kbflags/21x14.new/ad.png,
	  data/icon-themes/kbflags/21x14.new/ae.png,
	  data/icon-themes/kbflags/21x14.new/af.png,
	  data/icon-themes/kbflags/21x14.new/ag.png,
	  data/icon-themes/kbflags/21x14.new/ai.png,
	  data/icon-themes/kbflags/21x14.new/al.png,
	  data/icon-themes/kbflags/21x14.new/am.png,
	  data/icon-themes/kbflags/21x14.new/an.png,
	  data/icon-themes/kbflags/21x14.new/ao.png,
	  data/icon-themes/kbflags/21x14.new/ar.png,
	  data/icon-themes/kbflags/21x14.new/as.png,
	  data/icon-themes/kbflags/21x14.new/at.png,
	  data/icon-themes/kbflags/21x14.new/au.png,
	  data/icon-themes/kbflags/21x14.new/aw.png,
	  data/icon-themes/kbflags/21x14.new/az.png,
	  data/icon-themes/kbflags/21x14.new/ba.png,
	  data/icon-themes/kbflags/21x14.new/bb.png,
	  data/icon-themes/kbflags/21x14.new/bd.png,
	  data/icon-themes/kbflags/21x14.new/be.png,
	  data/icon-themes/kbflags/21x14.new/bf.png,
	  data/icon-themes/kbflags/21x14.new/bg.png,
	  data/icon-themes/kbflags/21x14.new/bh.png,
	  data/icon-themes/kbflags/21x14.new/bi.png,
	  data/icon-themes/kbflags/21x14.new/bj.png,
	  data/icon-themes/kbflags/21x14.new/bm.png,
	  data/icon-themes/kbflags/21x14.new/bn.png,
	  data/icon-themes/kbflags/21x14.new/bo.png,
	  data/icon-themes/kbflags/21x14.new/br.png,
	  data/icon-themes/kbflags/21x14.new/bs.png,
	  data/icon-themes/kbflags/21x14.new/bt.png,
	  data/icon-themes/kbflags/21x14.new/bw.png,
	  data/icon-themes/kbflags/21x14.new/by.png,
	  data/icon-themes/kbflags/21x14.new/bz.png,
	  data/icon-themes/kbflags/21x14.new/ca.png,
	  data/icon-themes/kbflags/21x14.new/cc.png,
	  data/icon-themes/kbflags/21x14.new/cd.png,
	  data/icon-themes/kbflags/21x14.new/cf.png,
	  data/icon-themes/kbflags/21x14.new/cg.png,
	  data/icon-themes/kbflags/21x14.new/ch.png,
	  data/icon-themes/kbflags/21x14.new/ci.png,
	  data/icon-themes/kbflags/21x14.new/ck.png,
	  data/icon-themes/kbflags/21x14.new/cl.png,
	  data/icon-themes/kbflags/21x14.new/cm.png,
	  data/icon-themes/kbflags/21x14.new/cn.png,
	  data/icon-themes/kbflags/21x14.new/co.png,
	  data/icon-themes/kbflags/21x14.new/cr.png,
	  data/icon-themes/kbflags/21x14.new/cu.png,
	  data/icon-themes/kbflags/21x14.new/cv.png,
	  data/icon-themes/kbflags/21x14.new/cy.png,
	  data/icon-themes/kbflags/21x14.new/cz.png,
	  data/icon-themes/kbflags/21x14.new/de.png,
	  data/icon-themes/kbflags/21x14.new/dj.png,
	  data/icon-themes/kbflags/21x14.new/dk.png,
	  data/icon-themes/kbflags/21x14.new/dm.png,
	  data/icon-themes/kbflags/21x14.new/do.png,
	  data/icon-themes/kbflags/21x14.new/dz.png,
	  data/icon-themes/kbflags/21x14.new/ec.png,
	  data/icon-themes/kbflags/21x14.new/ee.png,
	  data/icon-themes/kbflags/21x14.new/eg.png,
	  data/icon-themes/kbflags/21x14.new/eh.png,
	  data/icon-themes/kbflags/21x14.new/er.png,
	  data/icon-themes/kbflags/21x14.new/es.png,
	  data/icon-themes/kbflags/21x14.new/et.png,
	  data/icon-themes/kbflags/21x14.new/fi.png,
	  data/icon-themes/kbflags/21x14.new/fj.png,
	  data/icon-themes/kbflags/21x14.new/fk.png,
	  data/icon-themes/kbflags/21x14.new/fm.png,
	  data/icon-themes/kbflags/21x14.new/fo.png,
	  data/icon-themes/kbflags/21x14.new/fr.png,
	  data/icon-themes/kbflags/21x14.new/ga.png,
	  data/icon-themes/kbflags/21x14.new/gb.png,
	  data/icon-themes/kbflags/21x14.new/gd.png,
	  data/icon-themes/kbflags/21x14.new/ge.png,
	  data/icon-themes/kbflags/21x14.new/gh.png,
	  data/icon-themes/kbflags/21x14.new/gi.png,
	  data/icon-themes/kbflags/21x14.new/gm.png,
	  data/icon-themes/kbflags/21x14.new/gn.png,
	  data/icon-themes/kbflags/21x14.new/gp.png,
	  data/icon-themes/kbflags/21x14.new/gq.png,
	  data/icon-themes/kbflags/21x14.new/gr.png,
	  data/icon-themes/kbflags/21x14.new/gt.png,
	  data/icon-themes/kbflags/21x14.new/gu.png,
	  data/icon-themes/kbflags/21x14.new/gw.png,
	  data/icon-themes/kbflags/21x14.new/gy.png,
	  data/icon-themes/kbflags/21x14.new/hk.png,
	  data/icon-themes/kbflags/21x14.new/hn.png,
	  data/icon-themes/kbflags/21x14.new/hr.png,
	  data/icon-themes/kbflags/21x14.new/ht.png,
	  data/icon-themes/kbflags/21x14.new/hu.png,
	  data/icon-themes/kbflags/21x14.new/id.png,
	  data/icon-themes/kbflags/21x14.new/ie.png,
	  data/icon-themes/kbflags/21x14.new/il.png,
	  data/icon-themes/kbflags/21x14.new/in.png,
	  data/icon-themes/kbflags/21x14.new/iq.png,
	  data/icon-themes/kbflags/21x14.new/ir.png,
	  data/icon-themes/kbflags/21x14.new/is.png,
	  data/icon-themes/kbflags/21x14.new/it.png,
	  data/icon-themes/kbflags/21x14.new/jm.png,
	  data/icon-themes/kbflags/21x14.new/jo.png,
	  data/icon-themes/kbflags/21x14.new/jp.png,
	  data/icon-themes/kbflags/21x14.new/ke.png,
	  data/icon-themes/kbflags/21x14.new/kg.png,
	  data/icon-themes/kbflags/21x14.new/kh.png,
	  data/icon-themes/kbflags/21x14.new/ki.png,
	  data/icon-themes/kbflags/21x14.new/km.png,
	  data/icon-themes/kbflags/21x14.new/kn.png,
	  data/icon-themes/kbflags/21x14.new/kp.png,
	  data/icon-themes/kbflags/21x14.new/kr.png,
	  data/icon-themes/kbflags/21x14.new/kw.png,
	  data/icon-themes/kbflags/21x14.new/ky.png,
	  data/icon-themes/kbflags/21x14.new/kz.png,
	  data/icon-themes/kbflags/21x14.new/la.png,
	  data/icon-themes/kbflags/21x14.new/lb.png,
	  data/icon-themes/kbflags/21x14.new/lc.png,
	  data/icon-themes/kbflags/21x14.new/li.png,
	  data/icon-themes/kbflags/21x14.new/lk.png,
	  data/icon-themes/kbflags/21x14.new/lr.png,
	  data/icon-themes/kbflags/21x14.new/ls.png,
	  data/icon-themes/kbflags/21x14.new/lt.png,
	  data/icon-themes/kbflags/21x14.new/lu.png,
	  data/icon-themes/kbflags/21x14.new/lv.png,
	  data/icon-themes/kbflags/21x14.new/ly.png,
	  data/icon-themes/kbflags/21x14.new/ma.png,
	  data/icon-themes/kbflags/21x14.new/mc.png,
	  data/icon-themes/kbflags/21x14.new/md.png,
	  data/icon-themes/kbflags/21x14.new/mg.png,
	  data/icon-themes/kbflags/21x14.new/mh.png,
	  data/icon-themes/kbflags/21x14.new/mk.png,
	  data/icon-themes/kbflags/21x14.new/ml.png,
	  data/icon-themes/kbflags/21x14.new/mm.png,
	  data/icon-themes/kbflags/21x14.new/mn.png,
	  data/icon-themes/kbflags/21x14.new/mo.png,
	  data/icon-themes/kbflags/21x14.new/mq.png,
	  data/icon-themes/kbflags/21x14.new/mr.png,
	  data/icon-themes/kbflags/21x14.new/ms.png,
	  data/icon-themes/kbflags/21x14.new/mt.png,
	  data/icon-themes/kbflags/21x14.new/mu.png,
	  data/icon-themes/kbflags/21x14.new/mv.png,
	  data/icon-themes/kbflags/21x14.new/mw.png,
	  data/icon-themes/kbflags/21x14.new/mx.png,
	  data/icon-themes/kbflags/21x14.new/my.png,
	  data/icon-themes/kbflags/21x14.new/mz.png,
	  data/icon-themes/kbflags/21x14.new/na.png,
	  data/icon-themes/kbflags/21x14.new/nc.png,
	  data/icon-themes/kbflags/21x14.new/ne.png,
	  data/icon-themes/kbflags/21x14.new/nf.png,
	  data/icon-themes/kbflags/21x14.new/ng.png,
	  data/icon-themes/kbflags/21x14.new/ni.png,
	  data/icon-themes/kbflags/21x14.new/nl.png,
	  data/icon-themes/kbflags/21x14.new/no.png,
	  data/icon-themes/kbflags/21x14.new/np.png,
	  data/icon-themes/kbflags/21x14.new/nr.png,
	  data/icon-themes/kbflags/21x14.new/nu.png,
	  data/icon-themes/kbflags/21x14.new/nz.png,
	  data/icon-themes/kbflags/21x14.new/om.png,
	  data/icon-themes/kbflags/21x14.new/pa.png,
	  data/icon-themes/kbflags/21x14.new/pe.png,
	  data/icon-themes/kbflags/21x14.new/pf.png,
	  data/icon-themes/kbflags/21x14.new/pg.png,
	  data/icon-themes/kbflags/21x14.new/ph.png,
	  data/icon-themes/kbflags/21x14.new/pk.png,
	  data/icon-themes/kbflags/21x14.new/pl.png,
	  data/icon-themes/kbflags/21x14.new/pm.png,
	  data/icon-themes/kbflags/21x14.new/pn.png,
	  data/icon-themes/kbflags/21x14.new/pr.png,
	  data/icon-themes/kbflags/21x14.new/ps.png,
	  data/icon-themes/kbflags/21x14.new/pt.png,
	  data/icon-themes/kbflags/21x14.new/pw.png,
	  data/icon-themes/kbflags/21x14.new/py.png,
	  data/icon-themes/kbflags/21x14.new/qa.png,
	  data/icon-themes/kbflags/21x14.new/ro.png,
	  data/icon-themes/kbflags/21x14.new/ru.png,
	  data/icon-themes/kbflags/21x14.new/rw.png,
	  data/icon-themes/kbflags/21x14.new/sa.png,
	  data/icon-themes/kbflags/21x14.new/sb.png,
	  data/icon-themes/kbflags/21x14.new/sc.png,
	  data/icon-themes/kbflags/21x14.new/sd.png,
	  data/icon-themes/kbflags/21x14.new/se.png,
	  data/icon-themes/kbflags/21x14.new/sg.png,
	  data/icon-themes/kbflags/21x14.new/sh.png,
	  data/icon-themes/kbflags/21x14.new/si.png,
	  data/icon-themes/kbflags/21x14.new/sk.png,
	  data/icon-themes/kbflags/21x14.new/sm.png,
	  data/icon-themes/kbflags/21x14.new/sn.png,
	  data/icon-themes/kbflags/21x14.new/so.png,
	  data/icon-themes/kbflags/21x14.new/sr.png,
	  data/icon-themes/kbflags/21x14.new/st.png,
	  data/icon-themes/kbflags/21x14.new/sv.png,
	  data/icon-themes/kbflags/21x14.new/sy.png,
	  data/icon-themes/kbflags/21x14.new/sz.png,
	  data/icon-themes/kbflags/21x14.new/tc.png,
	  data/icon-themes/kbflags/21x14.new/td.png,
	  data/icon-themes/kbflags/21x14.new/tg.png,
	  data/icon-themes/kbflags/21x14.new/th.png,
	  data/icon-themes/kbflags/21x14.new/tj.png,
	  data/icon-themes/kbflags/21x14.new/tk.png,
	  data/icon-themes/kbflags/21x14.new/tm.png,
	  data/icon-themes/kbflags/21x14.new/tn.png,
	  data/icon-themes/kbflags/21x14.new/to.png,
	  data/icon-themes/kbflags/21x14.new/tp.png,
	  data/icon-themes/kbflags/21x14.new/tr.png,
	  data/icon-themes/kbflags/21x14.new/tt.png,
	  data/icon-themes/kbflags/21x14.new/tv.png,
	  data/icon-themes/kbflags/21x14.new/tw.png,
	  data/icon-themes/kbflags/21x14.new/tz.png,
	  data/icon-themes/kbflags/21x14.new/ua.png,
	  data/icon-themes/kbflags/21x14.new/ug.png,
	  data/icon-themes/kbflags/21x14.new/us.png,
	  data/icon-themes/kbflags/21x14.new/uy.png,
	  data/icon-themes/kbflags/21x14.new/uz.png,
	  data/icon-themes/kbflags/21x14.new/va.png,
	  data/icon-themes/kbflags/21x14.new/vc.png,
	  data/icon-themes/kbflags/21x14.new/ve.png,
	  data/icon-themes/kbflags/21x14.new/vg.png,
	  data/icon-themes/kbflags/21x14.new/vi.png,
	  data/icon-themes/kbflags/21x14.new/vn.png,
	  data/icon-themes/kbflags/21x14.new/vu.png,
	  data/icon-themes/kbflags/21x14.new/wf.png,
	  data/icon-themes/kbflags/21x14.new/ws.png,
	  data/icon-themes/kbflags/21x14.new/ye.png,
	  data/icon-themes/kbflags/21x14.new/yu.png,
	  data/icon-themes/kbflags/21x14.new/za.png,
	  data/icon-themes/kbflags/21x14.new/zm.png,
	  data/icon-themes/kbflags/21x14.new/zw.png,
	  data/icon-themes/kbflags/21x14/C.png,
	  data/icon-themes/kbflags/21x14/ad.png,
	  data/icon-themes/kbflags/21x14/ae.png,
	  data/icon-themes/kbflags/21x14/af.png,
	  data/icon-themes/kbflags/21x14/ag.png,
	  data/icon-themes/kbflags/21x14/ai.png,
	  data/icon-themes/kbflags/21x14/al.png,
	  data/icon-themes/kbflags/21x14/am.png,
	  data/icon-themes/kbflags/21x14/an.png,
	  data/icon-themes/kbflags/21x14/ao.png,
	  data/icon-themes/kbflags/21x14/ar.png,
	  data/icon-themes/kbflags/21x14/as.png,
	  data/icon-themes/kbflags/21x14/at.png,
	  data/icon-themes/kbflags/21x14/au.png,
	  data/icon-themes/kbflags/21x14/aw.png,
	  data/icon-themes/kbflags/21x14/az.png,
	  data/icon-themes/kbflags/21x14/ba.png,
	  data/icon-themes/kbflags/21x14/bb.png,
	  data/icon-themes/kbflags/21x14/bd.png,
	  data/icon-themes/kbflags/21x14/be.png,
	  data/icon-themes/kbflags/21x14/bf.png,
	  data/icon-themes/kbflags/21x14/bg.png,
	  data/icon-themes/kbflags/21x14/bh.png,
	  data/icon-themes/kbflags/21x14/bi.png,
	  data/icon-themes/kbflags/21x14/bj.png,
	  data/icon-themes/kbflags/21x14/bm.png,
	  data/icon-themes/kbflags/21x14/bn.png,
	  data/icon-themes/kbflags/21x14/bo.png,
	  data/icon-themes/kbflags/21x14/br.png,
	  data/icon-themes/kbflags/21x14/bs.png,
	  data/icon-themes/kbflags/21x14/bt.png,
	  data/icon-themes/kbflags/21x14/bw.png,
	  data/icon-themes/kbflags/21x14/by.png,
	  data/icon-themes/kbflags/21x14/bz.png,
	  data/icon-themes/kbflags/21x14/ca.png,
	  data/icon-themes/kbflags/21x14/cc.png,
	  data/icon-themes/kbflags/21x14/cd.png,
	  data/icon-themes/kbflags/21x14/cf.png,
	  data/icon-themes/kbflags/21x14/cg.png,
	  data/icon-themes/kbflags/21x14/ch.png,
	  data/icon-themes/kbflags/21x14/ci.png,
	  data/icon-themes/kbflags/21x14/ck.png,
	  data/icon-themes/kbflags/21x14/cl.png,
	  data/icon-themes/kbflags/21x14/cm.png,
	  data/icon-themes/kbflags/21x14/cn.png,
	  data/icon-themes/kbflags/21x14/co.png,
	  data/icon-themes/kbflags/21x14/cr.png,
	  data/icon-themes/kbflags/21x14/cu.png,
	  data/icon-themes/kbflags/21x14/cv.png,
	  data/icon-themes/kbflags/21x14/cy.png,
	  data/icon-themes/kbflags/21x14/cz.png,
	  data/icon-themes/kbflags/21x14/de.png,
	  data/icon-themes/kbflags/21x14/dj.png,
	  data/icon-themes/kbflags/21x14/dk.png,
	  data/icon-themes/kbflags/21x14/dm.png,
	  data/icon-themes/kbflags/21x14/do.png,
	  data/icon-themes/kbflags/21x14/dz.png,
	  data/icon-themes/kbflags/21x14/ec.png,
	  data/icon-themes/kbflags/21x14/ee.png,
	  data/icon-themes/kbflags/21x14/eg.png,
	  data/icon-themes/kbflags/21x14/eh.png,
	  data/icon-themes/kbflags/21x14/er.png,
	  data/icon-themes/kbflags/21x14/es.png,
	  data/icon-themes/kbflags/21x14/et.png,
	  data/icon-themes/kbflags/21x14/fi.png,
	  data/icon-themes/kbflags/21x14/fj.png,
	  data/icon-themes/kbflags/21x14/fk.png,
	  data/icon-themes/kbflags/21x14/fm.png,
	  data/icon-themes/kbflags/21x14/fo.png,
	  data/icon-themes/kbflags/21x14/fr.png,
	  data/icon-themes/kbflags/21x14/ga.png,
	  data/icon-themes/kbflags/21x14/gb.png,
	  data/icon-themes/kbflags/21x14/gd.png,
	  data/icon-themes/kbflags/21x14/ge.png,
	  data/icon-themes/kbflags/21x14/gh.png,
	  data/icon-themes/kbflags/21x14/gi.png,
	  data/icon-themes/kbflags/21x14/gm.png,
	  data/icon-themes/kbflags/21x14/gn.png,
	  data/icon-themes/kbflags/21x14/gp.png,
	  data/icon-themes/kbflags/21x14/gq.png,
	  data/icon-themes/kbflags/21x14/gr.png,
	  data/icon-themes/kbflags/21x14/gt.png,
	  data/icon-themes/kbflags/21x14/gu.png,
	  data/icon-themes/kbflags/21x14/gw.png,
	  data/icon-themes/kbflags/21x14/gy.png,
	  data/icon-themes/kbflags/21x14/hk.png,
	  data/icon-themes/kbflags/21x14/hn.png,
	  data/icon-themes/kbflags/21x14/hr.png,
	  data/icon-themes/kbflags/21x14/ht.png,
	  data/icon-themes/kbflags/21x14/hu.png,
	  data/icon-themes/kbflags/21x14/id.png,
	  data/icon-themes/kbflags/21x14/ie.png,
	  data/icon-themes/kbflags/21x14/il.png,
	  data/icon-themes/kbflags/21x14/in.png,
	  data/icon-themes/kbflags/21x14/iq.png,
	  data/icon-themes/kbflags/21x14/ir.png,
	  data/icon-themes/kbflags/21x14/is.png,
	  data/icon-themes/kbflags/21x14/it.png,
	  data/icon-themes/kbflags/21x14/jm.png,
	  data/icon-themes/kbflags/21x14/jo.png,
	  data/icon-themes/kbflags/21x14/jp.png,
	  data/icon-themes/kbflags/21x14/ke.png,
	  data/icon-themes/kbflags/21x14/kg.png,
	  data/icon-themes/kbflags/21x14/kh.png,
	  data/icon-themes/kbflags/21x14/ki.png,
	  data/icon-themes/kbflags/21x14/km.png,
	  data/icon-themes/kbflags/21x14/kn.png,
	  data/icon-themes/kbflags/21x14/kp.png,
	  data/icon-themes/kbflags/21x14/kr.png,
	  data/icon-themes/kbflags/21x14/kw.png,
	  data/icon-themes/kbflags/21x14/ky.png,
	  data/icon-themes/kbflags/21x14/kz.png,
	  data/icon-themes/kbflags/21x14/la.png,
	  data/icon-themes/kbflags/21x14/lb.png,
	  data/icon-themes/kbflags/21x14/lc.png,
	  data/icon-themes/kbflags/21x14/li.png,
	  data/icon-themes/kbflags/21x14/lk.png,
	  data/icon-themes/kbflags/21x14/lr.png,
	  data/icon-themes/kbflags/21x14/ls.png,
	  data/icon-themes/kbflags/21x14/lt.png,
	  data/icon-themes/kbflags/21x14/lu.png,
	  data/icon-themes/kbflags/21x14/lv.png,
	  data/icon-themes/kbflags/21x14/ly.png,
	  data/icon-themes/kbflags/21x14/ma.png,
	  data/icon-themes/kbflags/21x14/mc.png,
	  data/icon-themes/kbflags/21x14/md.png,
	  data/icon-themes/kbflags/21x14/mg.png,
	  data/icon-themes/kbflags/21x14/mh.png,
	  data/icon-themes/kbflags/21x14/mk.png,
	  data/icon-themes/kbflags/21x14/ml.png,
	  data/icon-themes/kbflags/21x14/mm.png,
	  data/icon-themes/kbflags/21x14/mn.png,
	  data/icon-themes/kbflags/21x14/mo.png,
	  data/icon-themes/kbflags/21x14/mq.png,
	  data/icon-themes/kbflags/21x14/mr.png,
	  data/icon-themes/kbflags/21x14/ms.png,
	  data/icon-themes/kbflags/21x14/mt.png,
	  data/icon-themes/kbflags/21x14/mu.png,
	  data/icon-themes/kbflags/21x14/mv.png,
	  data/icon-themes/kbflags/21x14/mw.png,
	  data/icon-themes/kbflags/21x14/mx.png,
	  data/icon-themes/kbflags/21x14/my.png,
	  data/icon-themes/kbflags/21x14/mz.png,
	  data/icon-themes/kbflags/21x14/na.png,
	  data/icon-themes/kbflags/21x14/nc.png,
	  data/icon-themes/kbflags/21x14/ne.png,
	  data/icon-themes/kbflags/21x14/nf.png,
	  data/icon-themes/kbflags/21x14/ng.png,
	  data/icon-themes/kbflags/21x14/ni.png,
	  data/icon-themes/kbflags/21x14/nl.png,
	  data/icon-themes/kbflags/21x14/no.png,
	  data/icon-themes/kbflags/21x14/np.png,
	  data/icon-themes/kbflags/21x14/nr.png,
	  data/icon-themes/kbflags/21x14/nu.png,
	  data/icon-themes/kbflags/21x14/nz.png,
	  data/icon-themes/kbflags/21x14/om.png,
	  data/icon-themes/kbflags/21x14/pa.png,
	  data/icon-themes/kbflags/21x14/pe.png,
	  data/icon-themes/kbflags/21x14/pf.png,
	  data/icon-themes/kbflags/21x14/pg.png,
	  data/icon-themes/kbflags/21x14/ph.png,
	  data/icon-themes/kbflags/21x14/pk.png,
	  data/icon-themes/kbflags/21x14/pl.png,
	  data/icon-themes/kbflags/21x14/pm.png,
	  data/icon-themes/kbflags/21x14/pn.png,
	  data/icon-themes/kbflags/21x14/pr.png,
	  data/icon-themes/kbflags/21x14/ps.png,
	  data/icon-themes/kbflags/21x14/pt.png,
	  data/icon-themes/kbflags/21x14/pw.png,
	  data/icon-themes/kbflags/21x14/py.png,
	  data/icon-themes/kbflags/21x14/qa.png,
	  data/icon-themes/kbflags/21x14/ro.png,
	  data/icon-themes/kbflags/21x14/ru.png,
	  data/icon-themes/kbflags/21x14/rw.png,
	  data/icon-themes/kbflags/21x14/sa.png,
	  data/icon-themes/kbflags/21x14/sb.png,
	  data/icon-themes/kbflags/21x14/sc.png,
	  data/icon-themes/kbflags/21x14/sd.png,
	  data/icon-themes/kbflags/21x14/se.png,
	  data/icon-themes/kbflags/21x14/sg.png,
	  data/icon-themes/kbflags/21x14/sh.png,
	  data/icon-themes/kbflags/21x14/si.png,
	  data/icon-themes/kbflags/21x14/sk.png,
	  data/icon-themes/kbflags/21x14/sm.png,
	  data/icon-themes/kbflags/21x14/sn.png,
	  data/icon-themes/kbflags/21x14/so.png,
	  data/icon-themes/kbflags/21x14/sr.png,
	  data/icon-themes/kbflags/21x14/st.png,
	  data/icon-themes/kbflags/21x14/sv.png,
	  data/icon-themes/kbflags/21x14/sy.png,
	  data/icon-themes/kbflags/21x14/sz.png,
	  data/icon-themes/kbflags/21x14/tc.png,
	  data/icon-themes/kbflags/21x14/td.png,
	  data/icon-themes/kbflags/21x14/tg.png,
	  data/icon-themes/kbflags/21x14/th.png,
	  data/icon-themes/kbflags/21x14/tj.png,
	  data/icon-themes/kbflags/21x14/tk.png,
	  data/icon-themes/kbflags/21x14/tm.png,
	  data/icon-themes/kbflags/21x14/tn.png,
	  data/icon-themes/kbflags/21x14/to.png,
	  data/icon-themes/kbflags/21x14/tp.png,
	  data/icon-themes/kbflags/21x14/tr.png,
	  data/icon-themes/kbflags/21x14/tt.png,
	  data/icon-themes/kbflags/21x14/tv.png,
	  data/icon-themes/kbflags/21x14/tw.png,
	  data/icon-themes/kbflags/21x14/tz.png,
	  data/icon-themes/kbflags/21x14/ua.png,
	  data/icon-themes/kbflags/21x14/ug.png,
	  data/icon-themes/kbflags/21x14/us.png,
	  data/icon-themes/kbflags/21x14/uy.png,
	  data/icon-themes/kbflags/21x14/uz.png,
	  data/icon-themes/kbflags/21x14/va.png,
	  data/icon-themes/kbflags/21x14/vc.png,
	  data/icon-themes/kbflags/21x14/ve.png,
	  data/icon-themes/kbflags/21x14/vg.png,
	  data/icon-themes/kbflags/21x14/vi.png,
	  data/icon-themes/kbflags/21x14/vn.png,
	  data/icon-themes/kbflags/21x14/vu.png,
	  data/icon-themes/kbflags/21x14/wf.png,
	  data/icon-themes/kbflags/21x14/ws.png,
	  data/icon-themes/kbflags/21x14/ye.png,
	  data/icon-themes/kbflags/21x14/yu.png,
	  data/icon-themes/kbflags/21x14/za.png,
	  data/icon-themes/kbflags/21x14/zm.png,
	  data/icon-themes/kbflags/21x14/zw.png,
	  data/icon-themes/kbflags/COPYING,
	  data/icon-themes/kbflags/README: Adding national flags describing
	  keyboard layout.
	  Updated Jamfile to install it in icon directory.

2009-10-08 13:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.conf: Dump ewmconf usage

2009-10-08 13:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/TaskButton.cpp: Update callback data
	  when menu is going to be clicked

2009-10-08 12:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Make label transparent by default.
	  Use nice darker blue for default background.

2009-10-08 12:13  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in: Do not compile code with -pedantic by
	  default, since eFLTK code will fail on it.
	  Pass checks for FLTK 1.1.10 and FLTK 1.3.x branch

2009-10-08 09:49  Sanel Zukan <karijes@users.sourceforge.net>

	* README: Marking it as beta

2009-10-08 09:47  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, README, README.alpha: Renaming

2009-10-08 09:45  Sanel Zukan <karijes@users.sourceforge.net>

	* data/desktop-links/Jamfile,
	  data/desktop-links/install-in-desktop-dir.sh,
	  ede-screensaver-conf/ede-screensaver-conf.cpp: Prevented
	  ede-screensaver-conf to crash when xscreensaver is not installed.
	  
	  Default desktop files will be installed during compilation time;
	  if this was done during installation
	  time, files will be installed in superuser directory, which isn't
	  the goal.
	  
	  Fixed Jamfile to use correct path.

2009-10-07 15:11  Sanel Zukan <karijes@users.sourceforge.net>

	* data/Jamfile, data/desktop-links/Internet.desktop,
	  data/desktop-links/Jamfile, data/desktop-links/Terminal.desktop,
	  data/desktop-links/ede-xterm.desktop,
	  data/desktop-links/install-in-desktop-dir.sh: Dumping unused
	  default icons.
	  Install ede-xterm.desktop only if Desktop directory is not
	  present or it is empty. This is done by install-in-desktop-dir.sh
	  script. With this, when EDE is started for the first time,
	  something will be on desktop.

2009-10-07 14:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Small report change

2009-10-07 14:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h: Arrange
	  icons if file with icon position wasn't found

2009-10-07 11:04  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile: Fixed a typo

2009-10-07 11:02  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile: Link ede-shutdown with libm too

2009-10-07 10:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/Jamfile, emountd/Jamfile: Explicitly link the against
	  libm. NetBSD requires this

2009-10-07 10:44  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in: Reverting previous changes. Added LIBM variable, so
	  -lm can be used explicitly

2009-10-07 10:39  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in: NetBSD requires explicit -lm for libstdc++

2009-10-07 10:25  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, m4/largefile.m4, m4/stat64.m4: Large
	  file support.
	  Dumping checks for stat64(), since flags from --enable-largefile
	  will solve this

2009-10-07 09:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp: Commented unused function

2009-10-07 09:25  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconProperties.cpp, ede-launch/ede-launch.cpp: Fix
	  some warnings on *BSD's

2009-10-07 09:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/ede-tip.cpp: Correctly check the box when ede-tip should
	  be run and reverse

2009-10-06 15:47  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Splash.cpp: Reduced timeout

2009-10-06 14:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/XdgMenuReader.cpp: Run commands from
	  the menu items

2009-10-06 14:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/DesktopEntry.cpp,
	  ede-panel/applets/start-menu/DesktopEntry.h: Expand Exec codes
	  and quote Desktop Entry Specification required characters

2009-10-06 12:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/DesktopEntry.cpp: Check OnlyShowIn
	  and NotShowIn values if they are given

2009-10-06 11:39  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/start-menu/applications.menu,
	  ede-panel/applets/start-menu/applications.menu.1: Removed unused
	  testing files

2009-10-06 11:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile: Use FLTK include flags as we are using it here

2009-10-06 11:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Netwm.cpp, ede-panel/Panel.cpp,
	  ede-panel/applets/taskbar/Taskbar.cpp: Using error handler to
	  block XGetImage errors caused in FLTK. Seems how these errors can
	  cause
	  panel to stop event processing

2009-10-05 12:10  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Syncing with changes in edelib fltk.m4 macro

2009-10-05 12:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile: Added X11 and FLTK include paths since they
	  are on non-standard locations on *BSD's.

2009-10-05 11:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Panel.cpp: Do not quit on Esc key.

2009-10-05 09:45  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Install.jam: When installing, first remove a target then do
	  'cp'. If not so, programs with .so plugins would
	  crash when .so file was updated and program is running.

2009-10-05 09:43  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/applets/taskbar/Taskbar.cpp,
	  ede-panel/applets/taskbar/tests,
	  ede-panel/applets/taskbar/tests/utf8-test.html: Some comment fix.
	  Simple utf8 test.

2009-10-03 12:28  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Free some allocations

2009-10-03 09:29  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-autostart/Jamfile, ede-autostart/ede-autostart.cpp,
	  ede-autostart/icons, evoke/Jamfile, evoke/ede-autostart.cpp,
	  evoke/icons: Moving ede-autostart code in separate directory,
	  since is pretty unrelated to evoke.

2009-10-03 09:24  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-autostart, ede-autostart/Jamfile: Adding
	  ede-autostart dir

2009-10-03 09:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile: See it as program, so chmod +x can be done on
	  shared library

2009-10-03 09:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-launch/ede-launch.cpp: Allow
	  ede-launch arguments to be quoted or unquoted

2009-10-03 07:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile, ede-panel/applets/Jamfile,
	  ede-panel/applets/clock/Jamfile, ede-panel/applets/demo/Jamfile,
	  ede-panel/applets/pager/Jamfile,
	  ede-panel/applets/quick-launch/Jamfile,
	  ede-panel/applets/start-menu/Jamfile,
	  ede-panel/applets/taskbar/Jamfile: Updated paths

2009-10-03 07:47  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: ...so jam can recognize 'not' token

2009-10-03 07:37  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Compile ede-panel conditionally.

2009-10-03 07:33  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel: Merging new panel in the trunk.

2009-10-03 07:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel: Removing old panel.

2009-10-03 07:24  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, Jamfile, build/Install.jam, data/Jamfile,
	  data/ede.conf, data/efltk.conf, data/menu/Jamfile,
	  data/menu/applications.menu,
	  data/menu/applications/ede-calc.desktop,
	  data/menu/applications/ede-conf.desktop,
	  data/menu/applications/ede-image-view.desktop,
	  data/menu/applications/ede-tip.desktop,
	  data/menu/applications/ede-xterm.desktop,
	  data/menu/ede-applications.menu, data/programs-links,
	  data/startede.in, ede-panel/locale/messages.pot,
	  ede-panel/workpanel.cpp, evoke/ede-autostart.cpp: Removed
	  obsolete program-links, efltk.conf and ede.conf.
	  Added some additional menu entries.
	  Removed unsed build rules.
	  Fixing autostart code due the latest try_exec() changes.

2009-10-02 13:34  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/index.txt.in: Lowercased program names

2009-10-02 13:06  Sanel Zukan <karijes@users.sourceforge.net>

	* data/menu, data/menu/applications, data/menu/applications.menu,
	  data/menu/applications/ede-about.desktop,
	  data/menu/applications/ede-help.desktop,
	  data/menu/applications/ede-launch.desktop,
	  data/menu/desktop-directories,
	  data/menu/desktop-directories/ede-accessories.directory,
	  data/menu/desktop-directories/ede-development.directory,
	  data/menu/desktop-directories/ede-education.directory,
	  data/menu/desktop-directories/ede-games.directory,
	  data/menu/desktop-directories/ede-graphics.directory,
	  data/menu/desktop-directories/ede-multimedia.directory,
	  data/menu/desktop-directories/ede-network.directory,
	  data/menu/desktop-directories/ede-office.directory,
	  data/menu/desktop-directories/ede-other.directory,
	  data/menu/desktop-directories/ede-settings.directory,
	  data/menu/desktop-directories/ede-system.directory: Importing
	  some starting data for panel menu

2009-10-02 12:35  Sanel Zukan <karijes@users.sourceforge.net>

	* data/schemes: Removing efltk schemes. Not used.

2009-10-01 08:01  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in: Default directory path for panel applets

2009-09-22 11:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp: Updated bug address. Removed some lines

2009-09-04 16:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/Jamfile, ede-launch/ede-launch-sn.cpp: Some indenting.
	  Use EdeProgram rule for ede-launch-sn so it can be compiled
	  whenre edelib is shared library.

2009-09-04 16:00  Sanel Zukan <karijes@users.sourceforge.net>

	* data/icon-themes/icon-theme-convert: Script for easier icon theme
	  conversion

2009-09-03 12:03  Sanel Zukan <karijes@users.sourceforge.net>

	* data/Jamfile, data/icons-16, data/icons-48: Removed obsolete
	  icons

2009-09-03 11:35  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in: Modified installation path for themes and tips, so
	  they match 'prefix' value
	  in edelib Resource::find_data().
	  Temporary fixed issue with linking with pthreads on SunStudio.

2009-08-12 15:26  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, data/ede.desktop.in, ede-desktop/fl/icon_create.fl,
	  ede-dialog, ede-dialog/Jamfile, ede-dialog/ede-dialog.cpp,
	  ede-dialog/ede-dialog.txt, ede-help/ede-help.in,
	  ede-tip/ede-tip.conf, ede-tip/ede-tip.cpp, edialog,
	  evoke/ede-autostart.cpp: Removed incomplete edialog.
	  Imported new and functional ede-dialog.
	  ede-help uses ede-dialog for error reports; xmessage is not used
	  since some OS-es to not install it
	  by default, e.g. OpenSolaris.
	  Removed obsolete ede-tip.conf.
	  Fixed background issue in ede-tip; background will now always be
	  white so it can nicely blend with the image.
	  Commit fixed ede.desktop.in; previous commit was only renaming
	  without content change.
	  Reduce some debug output in ede-autostart.

2009-08-05 22:19  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, data/Jamfile: Allow to full path be used in
	  ede.desktop, so display managers could correctly pick it up

2009-08-05 22:16  Sanel Zukan <karijes@users.sourceforge.net>

	* data/ede.desktop, data/ede.desktop.in: Renaming

2009-07-11 10:45  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/IconProperties.cpp: Prevent crash when there is no
	  image data

2009-07-09 14:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h: Removed
	  unneeded execute() member

2009-07-09 13:59  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h: Run icon
	  action via menu 'Open'

2009-07-09 13:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h: Again,
	  replacing FLTK menus...

2009-07-09 13:26  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h: Replacing
	  FLTK menus with the ones from edelib.
	  Some icons in menus

2009-07-09 12:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp, ede-about/ede-about.fl,
	  ede-bug-tools/ede-bug-report/ede-bug-report.cpp,
	  ede-bug-tools/ede-bug-report/fl/ede-bug-report.fl,
	  ede-bug-tools/ede-crasher/CrashDialog.cpp,
	  ede-bug-tools/ede-crasher/GdbOutput.cpp,
	  ede-bug-tools/ede-crasher/GdbOutput.h: Implementing temporary
	  file handling via TempFile.
	  Made ede-about and ede-bug-report resizeable

2009-07-07 11:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch-sn.cpp, ede-launch/ede-launch.cpp,
	  evoke/EvokeService.cpp, evoke/doc/evoke.txt: A small
	  documentation update for evoke.
	  Do not compile running code for ede-launch-sn in ede-launch when
	  startup-notification was not found.
	  Allow report button only for ede applications.

2009-07-06 15:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/Jamfile,
	  ede-bug-tools/ede-bug-report/ede-bug-report.cpp: Do not compile
	  xmlrpc-c (and related code) when curl wasn't found

2009-07-06 11:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report/ede-bug-report.cpp,
	  ede-bug-tools/ede-crasher/CoreIcon.h,
	  ede-bug-tools/ede-crasher/CrashDialog.cpp,
	  ede-bug-tools/ede-crasher/CrashDialog.h,
	  ede-bug-tools/ede-crasher/GdbOutput.cpp,
	  ede-bug-tools/ede-crasher/GdbOutput.h,
	  ede-bug-tools/ede-crasher/Jamfile,
	  ede-bug-tools/ede-crasher/ede-crasher.cpp,
	  ede-bug-tools/ede-crasher/fl/crash.fl,
	  ede-bug-tools/ede-crasher/fl/crash_expanded.fl,
	  ede-bug-tools/ede-crasher/icons/core.png,
	  ede-bug-tools/ede-crasher/icons/core.xpm: Some text alignement in
	  ede-bug-report so it can be easily read in the source.
	  Rewriten ede-crasher. Now is able to call ede-bug-report, display
	  png icon, do
	  backtrace in random temporary files and etc.

2009-07-03 14:27  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-bug-tools/Jamfile,
	  ede-bug-tools/ede-bug-report/Jamfile,
	  ede-bug-tools/ede-crasher/Jamfile: Fixing paths

2009-07-03 14:23  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools/ede-bug-report: Copying ede-bug-report from
	  branches in trunk

2009-07-03 14:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bug-tools, ede-bug-tools/ede-crasher, ede-crasher: Moving
	  ede-crasher to ede-bug-tools directory

2009-06-25 15:37  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, m4/acx-pthread.m4: Added checks for
	  pthread and curl libraries

2009-05-26 13:35  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-autostart.cpp: Display comment too if possible

2009-05-20 15:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Small refactoring
	  Allow translation of the name of none icon

2009-05-20 08:55  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp: Let DesktopIcon::rename() handle
	  most of the stuff

2009-05-19 13:16  Sanel Zukan <karijes@users.sourceforge.net>

	* emountd/emountd.cpp: Allow only one instance of emountd

2009-05-19 11:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h,
	  ede-desktop/Wallpaper.cpp, ede-desktop/Wallpaper.h,
	  ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h: Some
	  refactoring so icon properties does not get's copied
	  Added some hack to make valgrind silent in wallpaper code

2009-05-18 14:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/fl/deskconf.fl: Obsolete file

2009-05-18 14:12  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Splash.cpp, evoke/ede-startup.conf: Allow fully customized
	  messages in splash

2009-05-15 16:36  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bell-conf/ede-bell-conf.cpp: No needs for icon theme and
	  images

2009-05-15 13:30  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Obsoleted flag

2009-05-15 13:22  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-autostart.cpp: Added support for autostart files

2009-05-15 12:26  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-startup.conf: Show dialog of items registered for
	  startup

2009-05-15 12:24  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile: Actually run programs

2009-05-15 12:23  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile, evoke/ede-autostart.cpp, evoke/ede-startup.conf,
	  evoke/evoke.cpp, evoke/splash-themes/scape/autostart.png,
	  evoke/splash-themes/standard/autostart.png: Autostart code is now
	  placed in external, ede-autostart file. This should make it
	  easier for extending and calling from external programs, without
	  cluttering evoke

2009-05-15 12:20  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Autostart.cpp, evoke/Autostart.h, evoke/ede-autostart.cpp:
	  Renaming files

2009-05-14 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, build/Program.jam, configure.in: Link against
	  edelib-gui library

2009-04-24 20:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/Fortune.cpp: Use some more standard header for htonl()
	  and the family.
	  Instead to redefine, include header where FreeBSD keeps off_t
	  type

2009-04-22 17:32  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-calc/Main.cpp, ede-calc/Main.h: How the hell gcc/sunCC didn't
	  found these?

2009-04-22 11:26  Sanel Zukan <karijes@users.sourceforge.net>

	* BUGS, ChangeLog, NEWS: Removed obsolete files

2009-04-22 11:00  Sanel Zukan <karijes@users.sourceforge.net>

	* data/icon-themes/Jamfile: Fix variable name for the final icon
	  theme directory

2009-04-22 10:37  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, evoke/Splash.cpp: Let efiler be compiled only when
	  WITH_EFILER=1 was given.
	  Reduced timeout in splash screen on 1 second per item.

2009-04-18 14:22  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/pkg.m4: Removed obsolete line

2009-04-17 20:36  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/pkg.m4: Synced with pkg.m4 from edelib

2009-04-16 17:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/ede-tip-compiler.c: Fixed some warnings

2009-04-16 16:56  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, Jamrules: Let sun compiler does not get gcc
	  specific flags that will break the build

2009-04-16 16:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Jamfile: Call dbus flags/libs declared in Jamconfig

2009-04-16 16:46  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Program.jam: Fix with appending flags

2009-04-16 11:36  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/batterymonitor.cpp: Fix a warning

2009-04-16 11:32  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Splash.cpp: Replaced deprecated
	  functions

2009-04-16 11:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-timedate/EDE_Calendar.cpp: Seems how some of the Linux
	  headers (or glibc) has typedef-ed uint. FreeBSD does not

2009-04-16 11:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/XScreenSaver.cpp: Replaced deprecated
	  functions

2009-04-16 11:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Replaced deprecated functions

2009-04-16 11:18  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-crasher/CrashDialog.cpp: Removed deprecated functions.
	  Recoded so file/dir checks existance is not done before target
	  was opened

2009-04-14 16:18  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile: Fixed a typo that break build on FreeBSD

2009-04-13 17:37  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Option to compile ede without efiler

2009-04-13 17:06  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/jam.m4: Update jam checks here too

2009-04-12 12:18  Sanel Zukan <karijes@users.sourceforge.net>

	* data/Jamfile, data/ede.desktop: Install entry for
	  login/desktop/display managers

2009-04-10 17:11  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, configure.in: Warn if efltk wasn't found.
	  Added FORCE_EFILER option to force efiler compiling on FreeBSD.

2009-04-10 16:03  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Added --with-edelib-path option to specify
	  alternative edelib installation

2009-04-01 20:18  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Added options so alternative fltk and efltk
	  installations could be used

2009-03-30 15:21  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Compile these too

2009-03-30 15:17  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, Jamfile, README.alpha, doc/dbus-usage.txt,
	  doc/index.txt.in, doc/introduction.txt, ede-about/ede-about.cpp,
	  ede-crasher/CrashDialog.cpp, ede-crasher/CrashDialog.h,
	  ede-crasher/ede-crasher.cpp, ede-launch/ede-launch.cpp,
	  ede-screensaver-conf/ede-screensaver-conf.cpp,
	  ede-timedate/ede-timedate.cpp, ede-tip/ede-tip.cpp,
	  evoke/Autostart.cpp: Very tiny documentation revision.
	  Fixed code so it can be compiled on SunStudio without errors.

2009-03-27 10:27  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/Jamfile: ...this file too.

2009-03-27 10:24  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, doc/index.txt.in: Updating build files

2009-03-27 10:23  Sanel Zukan <karijes@users.sourceforge.net>

	* HACKING, doc/hacking.txt: Moving it to the doc directory.

2009-03-27 09:40  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h:
	  Refactoring, cleanup...

2009-03-27 09:38  Sanel Zukan <karijes@users.sourceforge.net>

	* services/Jamfile,
	  services/org.equinoxproject.StartupNotify.service.in: Adding
	  org.equinoxproject.StartupNotify.service.in

2009-03-27 09:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/menu.h: Update links

2009-03-26 18:27  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Menu items changed.

2009-03-26 18:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp: Update background when wallpaper was
	  disabled.

2009-03-26 18:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/Jamfile,
	  ede-desktop/ede-desktop.cpp, ede-desktop/ede-desktop.h: Instead
	  local USE_SHAPE, use HAVE_SHAPE from global config.h.
	  Some code style update.

2009-03-26 17:05  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/Wallpaper.cpp,
	  ede-desktop/Wallpaper.h, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h: Finishing wallpaper options
	  (centering, stretching, tiling).
	  Some refactoring.

2009-03-26 13:01  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/Wallpaper.cpp: Code refactoring.

2009-03-25 16:13  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules: Remove it when 'jam distclean' was given

2009-03-25 16:11  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, doc/index.txt.in: Find edelib api documentation and
	  place in manual index.
	  Removed some playing with directories.

2009-03-25 16:08  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/index.txt, doc/index.txt.in: Moving

2009-03-25 11:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-timedate/ede-timedate.cpp, ede-timedate/ede-timedate.h: Make
	  it compileable again.

2009-03-25 11:13  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp,
	  ede-desktop/DesktopIcon.cpp, ede-desktop/IconProperties.cpp,
	  ede-desktop/ede-desktop.cpp: Update to the latest IconLoader
	  changes.

2009-03-25 10:33  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.cpp: Updating to the new IconLoader code.
	  Removed tip box; tips are now inside tooltips.

2009-03-06 18:16  Sanel Zukan <karijes@users.sourceforge.net>

	* services/org.equinoxproject.Launch.service.in: Use prefix instead
	  bindir, since autoconf will not expand it

2009-03-06 17:43  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Use dataroot variable too so user supplied paths
	  could be checked

2009-03-06 17:30  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, Jamfile, configure.in, m4/checkdir.m4, services,
	  services/Jamfile, services/org.equinoxproject.Launch.service.in:
	  Added EDE_CHECK_DIR m4 macro for directory existance checking
	  
	  Imported services directory with org.equinoxproject.Launch
	  service; directory should
	  be place for all D-BUS services
	  
	  Changed configure.in to find and set D-BUS service directory

2009-03-06 14:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, build/Install.jam: Added rule for installing D-BUS
	  service files

2009-03-06 12:43  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Program.jam, ede-launch/Jamfile: Renaming EdeProgramBar to
	  EdeProgramAsFltkBare; much more descriptive

2009-03-06 12:13  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch-sn.cpp: Actually commit ede-launch-sn.cpp

2009-03-06 12:12  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, build/Program.jam, configure.in, data/startede.in,
	  ede-launch/Jamfile, ede-launch/ede-launch.cpp: Added
	  EdeProgramBare rule, that will link with FLTK libs, without
	  images
	  libstartup-notification checks in configure.in
	  ede-launch now uses startup notification protocol via
	  ede-launch-sn helper
	  Added removal of /tmp/.evoke.lock at the startup, in case evoke
	  crashed during sesssion

2009-03-05 18:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Let failed start be reported even when
	  program was started from console

2009-03-03 13:32  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-settings-apply: Added missing ede-settings-apply

2009-03-03 11:48  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/index.txt: Removed link without link

2009-03-03 11:47  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, doc/index.txt,
	  ede-bell-conf/ede-bell-conf.cpp, ede-conf/ede-conf.cpp,
	  ede-crasher/CrashDialog.cpp, ede-desktop/DesktopIcon.cpp,
	  ede-panel/aboutdialog.cpp, ede-panel/batterymonitor.cpp,
	  ede-panel/menu.h, evoke/EvokeService.cpp, evoke/EvokeService.h,
	  evoke/Jamfile, evoke/SettingsApplicator.cpp,
	  evoke/SettingsApplicator.h, evoke/evoke.cpp, m4/pkg.m4: Merged
	  changed pkg.m4 from edelib
	  
	  ede-panel has alternative way of calling ede-about dialog
	  
	  Dumped SettingsApplicator.* code from evoke. They are replaced
	  with ede-settings-apply script
	  which should call all programs that needs to apply stored
	  settings. This will reduce code entropy
	  
	  evoke will call ede-settings-apply at the startup
	  
	  ede-bell-conf modified to use "--apply" arg and to apply known
	  settings
	  
	  ede-desktop will start icon exec path via ede-launch
	  
	  Fixed freebsd specific code in ede-panel's battery code

2009-02-27 15:43  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile, evoke/SettingsApplicator.cpp,
	  evoke/SettingsApplicator.h: Added applicator for global settings

2009-02-27 14:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.cpp, ede-desktop/ede-desktop.cpp,
	  ede-screensaver-conf/XScreenSaver.cpp,
	  ede-timedate/ede-timedate.cpp, evoke/Autostart.cpp,
	  evoke/Splash.cpp: Update changes in run_* commands

2009-02-27 14:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp: Some output when some functions fails
	  Correctly propagate returned value from spawned process
	  Check returned values and display appropriate dialog

2009-02-26 17:37  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-bell-conf/ede-bell-conf.cpp: Let changes be stored in
	  XSETTINGS manager

2009-02-26 14:35  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/dbus-usage.txt: Document Shutdown signal

2009-02-26 13:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/logoutdialog.cpp, ede-panel/logoutdialog.h,
	  ede-panel/menu.h: Reduced one warning message
	  Let logout menu option call ede-shutdown

2009-02-26 13:25  Sanel Zukan <karijes@users.sourceforge.net>

	* emountd/emountd.cpp: Process shutdown signal

2009-02-26 12:04  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Jamfile: Added shutdown dbus signal
	  that will be broadcasted when EDE starts to shut down
	  so apps (but not X11 related) could quit nicely. Primarly
	  intended for services, like emountd

2009-02-26 11:34  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-image-view/Jamfile,
	  ede-image-view/ede-image-view.cpp: Updated needed files to
	  reflect the latest renaming

2009-02-26 11:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-image-view/ede-image-view.cpp, ede-image-view/eimage.cpp:
	  Renaming file

2009-02-26 11:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-image-view, eimage: eimage is now known as ede-image-view

2009-02-26 11:28  Sanel Zukan <karijes@users.sourceforge.net>

	* emountd/emountd.cpp: Replaced C-isms

2009-02-26 11:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, doc/Jamfile, ede-bell-conf, ede-bell-conf/Jamfile,
	  ede-bell-conf/ede-bell-conf.cpp, ede-bell-conf/fl,
	  ede-bell-conf/fl/ede-bell-conf.fl, ede-conf/ede-conf.conf,
	  ede-desktop/DesktopIcon.h, ede-desktop/IconProperties.cpp,
	  ede-desktop/Wallpaper.h, ede-desktop/ede-desktop.h,
	  ede-panel/batterymonitor.cpp,
	  ede-screensaver-conf/XScreenSaver.cpp, ede-tip/Fortune.cpp: Added
	  ede-bell-conf, a tool to configure system bell (that annoying
	  beep thing)
	  Rest are changes so can nicely be compiled on freebsd
	  Also, some changes are in coding style

2009-02-25 17:34  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/menu.h: Run ede-help and ede-about

2009-02-25 17:18  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-shutdown.cpp: Send correct message

2009-02-25 15:19  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-shutdown.cpp: Let request be processed

2009-02-25 15:12  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile, evoke/ede-shutdown.cpp, evoke/test: Adding command
	  to nicely shutdown EDE

2009-02-25 15:03  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Jamfile, evoke/Xshutdown.cpp,
	  evoke/Xshutdown.h: Support for X quitting

2009-02-25 14:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp, ede-launch/fl/ede-launch.fl: Support
	  for launching with terminal
	  Added missing title in fl file

2009-02-25 14:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/Jamfile: Let it be translated

2009-02-25 14:09  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/menu.h: Real launch command

2009-02-25 14:03  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-launch/ede-launch.cpp, ede-launch/fl,
	  ede-launch/fl/ede-launch.fl, ede-launch/icons,
	  ede-launch/icons/run.xpm: Dialog support

2009-02-25 13:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/mainmenu.cpp, ede-panel/menu.h,
	  ede-panel/workpanel.cpp: elauncher calls replaced with ede-launch

2009-02-25 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-desktop/ede-desktop.cpp, ede-launch,
	  ede-launch/Jamfile, ede-launch/ede-launch.cpp, elauncher:
	  Imported ede-launch, a replacement for elauncher.
	  A bunch of things is still missing, but we have to start from
	  something

2009-02-24 16:27  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Splash.h,
	  evoke/Xsm.h: Code style update

2009-02-24 14:11  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/ede-tip.cpp: Correctly load system tips
	  Some code cleanup

2009-02-24 13:54  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, build/Install.jam, ede-tip/Jamfile: Let tips be
	  installed

2009-02-24 13:43  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/BoxBlur.cpp, ede-desktop-conf/BoxBlur.h,
	  ede-desktop-conf/Jamfile, ede-desktop-conf/ede-desktop-conf.cpp:
	  Removed unfinished bluring code

2009-02-24 13:39  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh: Copied from edelib

2009-02-23 18:51  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp: Config path update

2009-02-23 15:28  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-timedate/ede-timedate.cpp: Making it compileable. Some
	  options are disabled until external runner with
	  su capabilities is done

2009-02-23 15:05  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/Jamfile, ede-conf/ede-conf.conf, ede-conf/ede-conf.cpp:
	  New config file format
	  Config updated to the existing programs
	  ede-conf will read config from XDG paths

2009-02-23 14:48  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Xsm.cpp: Removing "ede" prefix for
	  config files

2009-02-23 10:12  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/stat64.m4: Removed uneeded space

2009-02-20 17:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.cpp, evoke/EvokeService.cpp,
	  evoke/Jamfile, evoke/ede-settings.conf: Let ede-desktop run
	  system installed ede-desktop-conf
	  
	  Set Gtk/FontName in ede-settings.conf to the sane values so
	  firefox (and other gtk apps)
	  does not yield unreadable windows
	  
	  Removed some debugging code in evoke

2009-02-20 16:41  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Fix an syntax error

2009-02-20 16:39  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/evoke.cpp: Fixing a typo that didn't properly start EDE

2009-02-20 16:27  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Splash.cpp, evoke/splash-themes/scape/Jamfile,
	  evoke/splash-themes/standard/Jamfile: Changed path for splash
	  themes
	  Small Jamfile(s) refactoring

2009-02-20 15:41  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Let evoke use autostart-safe option

2009-02-20 15:29  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, build/Install.jam, ede-help/Jamfile: Refactored
	  globals used by build system

2009-02-20 15:03  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Added $PREFIX/share as part of XDG_DATA_DIRS

2009-02-20 14:54  Sanel Zukan <karijes@users.sourceforge.net>

	* data/Jamfile: Install startede too

2009-02-20 14:45  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in: Unused dependecy feature is not good when is linked
	  with shared libraries

2009-02-20 13:10  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel/Jamfile, ede-panel/Makefile, ede-panel/aboutdialog.cpp,
	  ede-panel/batterymonitor.cpp, ede-panel/batterymonitor.h,
	  ede-panel/cpumonitor.h, ede-panel/keyboardchooser.cpp,
	  ede-panel/keyboardchooser.h, ede-panel/mainmenu.cpp,
	  ede-panel/menu.h, ede-panel/workpanel.cpp, edewm/Frame.h,
	  edewm/Icccm.cpp, edewm/Jamfile, edewm/Makefile, edewm/Theme.cpp,
	  edewm/Theme.h, edewm/main.cpp: Fixing code to use config.h as
	  default config incude file

2009-02-20 13:05  Sanel Zukan <karijes@users.sourceforge.net>

	* edewm: Copying wm from old ede

2009-02-20 13:04  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-panel: Copying panel from old ede

2009-02-20 13:03  Sanel Zukan <karijes@users.sourceforge.net>

	* edewm: Removing unfinished wm

2009-02-20 13:03  Sanel Zukan <karijes@users.sourceforge.net>

	* eworkpanel: Removing unfinished panel

2009-02-20 13:00  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-crasher/Jamfile: Generate translation strings

2009-02-20 12:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/Jamfile: Generate translation strings

2009-02-20 12:54  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-startup.conf, evoke/splash-themes/scape/Jamfile,
	  evoke/splash-themes/scape/ede-panel.png,
	  evoke/splash-themes/scape/eworkpanel.png,
	  evoke/splash-themes/standard/Jamfile,
	  evoke/splash-themes/standard/ede-panel.png,
	  evoke/splash-themes/standard/eworkpanel.png: Renaming eworkpanel
	  to ede-panel

2009-02-20 12:44  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Link with efltk xml library when images are used

2009-02-19 17:36  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-startup.conf, evoke/splash-themes/scape/Jamfile,
	  evoke/splash-themes/scape/emountd.png,
	  evoke/splash-themes/standard/Jamfile,
	  evoke/splash-themes/standard/emountd.png: Let emountd be started
	  at the startup

2009-02-19 09:15  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile, evoke/doc/evoke.txt: Documentation update

2009-02-19 08:52  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Jamfile: Use FFileName

2009-02-19 08:49  Sanel Zukan <karijes@users.sourceforge.net>

	* INSTALL: Install stuff is in README.alpha

2009-02-19 08:40  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, tools/Jamfile: Removing obsolete Jamfile

2009-02-19 08:35  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/Jamfile: Updated Jamfile

2009-02-19 08:35  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone: Moving capone scheme in branches

2009-02-19 08:26  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ede-startup.conf, evoke/splash-themes/scape/Jamfile,
	  evoke/splash-themes/scape/background.xcf,
	  evoke/splash-themes/scape/ede-desktop.png,
	  evoke/splash-themes/scape/eiconman.png,
	  evoke/splash-themes/standard/Jamfile,
	  evoke/splash-themes/standard/ede-desktop.png,
	  evoke/splash-themes/standard/eiconman.png: s/eiconman/ede-desktop
	  Removed background.xcf

2009-02-19 08:12  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke: Moving back an newer evoke

2009-02-19 08:10  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke: Moving old evoke to branches

2009-02-09 09:14  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Setting Id property so it can be updated

2009-01-27 15:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp: Commenting testing code

2009-01-27 15:22  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in: Small shell independence tweak

2009-01-26 13:41  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh, configure.in, m4/stat64.m4, m4/statfs.m4: Added
	  checks for statfs() and stat64() functions.
	  Added removal of 'config.h.in~' in autogen.sh

2009-01-26 12:57  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh: Removing unused line

2009-01-26 12:31  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, build/Library.jam, build/Program.jam, build/Utils.jam,
	  ede-desktop-conf/BoxBlur.cpp, ede-desktop-conf/BoxBlur.h,
	  ede-desktop-conf/Jamfile, ede-desktop-conf/ede-desktop-conf.cpp,
	  ede-tip/Jamfile, emountd/Jamfile: Changes in build scripts
	  Changed SharedLibrary rule so it can generate .la files, like
	  libtool
	  Added some bluring of preview image, although it pretty sucks
	  emountd will now use global HAL flags and libraries

2009-01-23 15:10  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, configure.in: startede will be created by configure
	  'jam clean' will clean data/startede and tools/l10-prepare.sh
	  EDE_INSTALL_DIR points to /usr/local by default

2009-01-23 15:04  Sanel Zukan <karijes@users.sourceforge.net>

	* data/startede.in, data/startede2.in: Replacing with new

2009-01-23 14:20  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/ede-about.cpp: Read version from config.h
	  Updated link for bug tracker

2009-01-23 13:12  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/XScreenSaver.cpp,
	  ede-screensaver-conf/XScreenSaver.h,
	  ede-screensaver-conf/ede-screensaver-conf.cpp: Added header
	  infos.
	  Added min_to_time() function, that will convert minutes to
	  formated time
	  that xscreensaver daemon (and xscreensaver-demo) expects

2009-01-23 12:46  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Removing not used definition

2009-01-22 14:25  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, emountd/emountd.cpp: Added PYTHON path ot
	  Jamconfig.
	  Introduced HAVE_CONFIG_H flag for each source file so config.h
	  can be included safely. For now some things
	  collides with some edelib macros.
	  Added conditional code in emountd: if HAL is not present or
	  system does not supports it, emountd will
	  be compiled without and will display a message about it.

2009-01-20 13:27  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules: Cleaning rule updated too

2009-01-20 13:26  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Master config compilation is now config.h, instead
	  nonstandard edeconf.h; also
	  prevents possible collision with ede-conf name

2009-01-17 13:05  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.cpp: Let window know for global colors

2009-01-14 15:46  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules: Removed builtin values; configure script will do the
	  rest

2009-01-14 15:41  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Doc.jam, configure.in: Checks for libXpm
	  Check if PYTHON variable have some value; if not, skip
	  documentation building
	  Let documentation contains full ede version

2009-01-14 15:30  Sanel Zukan <karijes@users.sourceforge.net>

	* m4/libxpm.m4: Added code for libXpm checks

2009-01-14 15:10  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, configure.in, m4/pkg.m4,
	  tools/capone/src/pcre/pcre.c: Add checks for efltk
	  Small modification in pkg.m4 so returned variables does not have
	  ending spaces
	  s/DEBUG/DEBUG_PCRE in pcre.c so it does not gets included when
	  ede is compiled with
	  debug flags

2009-01-14 14:01  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamconfig.in, config.jam.in, configure.in: Make some consistency
	  with edelib

2009-01-14 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/l10n-prepare.sh.in: Updating names

2009-01-14 13:51  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, README.alpha: Create TOC
	  Small corrections

2009-01-14 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, README.alpha, doc/index.txt: Some docs enhacements.
	  Let README content be shown on the start page

2009-01-14 12:35  Sanel Zukan <karijes@users.sourceforge.net>

	* HACKING, HACKING.txt, Jamfile: Dumping extension

2009-01-13 15:59  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/Jamfile, ede-screensaver-conf/locale:
	  Removing obsolete translations
	  Extract translation strings during compile

2009-01-13 14:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/XScreenSaver.cpp,
	  ede-screensaver-conf/ede-screensaver-conf.cpp: Let vrious DPMS
	  and screensaver timeout be written.
	  Corrected merging temporary file with our values with
	  .xscreensaver one if exists, and
	  if not, re-create .xscreensaver again

2009-01-13 13:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/XScreenSaver.cpp,
	  ede-screensaver-conf/XScreenSaver.h,
	  ede-screensaver-conf/ede-screensaver-conf.cpp: Let
	  off/blank/one/random modes could be recognized.
	  Added "(None)" option to disable screensaver.
	  Increased spinners range

2009-01-12 13:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/Jamfile,
	  ede-screensaver-conf/XScreenSaver.cpp,
	  ede-screensaver-conf/XScreenSaver.h,
	  ede-screensaver-conf/ede-screensaver-conf.cpp,
	  ede-screensaver-conf/ede-screensaver-conf.fl: Adding a bunch of
	  stuff, including reading ~/.xscreensaver file, previewing hacks,
	  sniffing hack/config dirs if ~/.xscreensaver was not found etc.
	  Changed options will
	  be tried to be saved in user .xscreensaver file including merge
	  of previous options and
	  this is not working as expected.

2009-01-09 16:32  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/XScreenSaver.cpp,
	  ede-screensaver-conf/XScreenSaver.h,
	  ede-screensaver-conf/ede-screensaver-conf.cpp,
	  ede-screensaver-conf/ede-screensaver-conf.fl,
	  ede-screensaver-conf/ehacklist.h,
	  ede-screensaver-conf/escreensaver.cpp,
	  ede-screensaver-conf/escreensaver.h,
	  ede-screensaver-conf/escrsaverconf.cpp,
	  ede-screensaver-conf/escrsaverconf.fl,
	  ede-screensaver-conf/escrsaverconf.fld,
	  ede-screensaver-conf/escrsaverconf.h,
	  ede-screensaver-conf/icons/energy.xpm: Importing new code. Not
	  finished yet

2008-11-05 14:43  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/common.ss: Added a small macro for easier
	  variable declaration

2008-11-05 13:27  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/src/capone.cpp, tools/capone/src/scheme.c: Some
	  error pretty printer
	  Removed dead code

2008-11-05 11:50  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/capone.init: Replaced map impl. with the better
	  one. At least faster...

2008-11-05 11:20  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/src/capone-doc: Small refactoring

2008-11-04 10:32  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/common.ss, tools/capone/src/capone-doc,
	  tools/capone/src/capone.cpp: Some mods on capone-doc
	  Added slet

2008-11-03 13:22  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/test/if-not.ss, tools/capone/test/main.ss: Some
	  tests...

2008-11-03 13:02  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/common.ss, tools/capone/src/capone-doc: Added
	  if-not expression.
	  Importing documentation generator tool. A kind of...

2008-10-30 15:24  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/capone.init, tools/capone/lib/common.ss,
	  tools/capone/src/Jamfile, tools/capone/src/bbb.ss,
	  tools/capone/src/sys.cpp: Replaced random-next with C version,
	  which yields a much better random number generator.
	  Added shuffle-vector! for inplace random shuffling in a vector

2008-10-29 12:55  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf/Jamfile: Update

2008-10-29 12:52  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-screensaver-conf, esvrconf: Renaming...

2008-10-29 11:27  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileIconView.cpp, efiler/EDE_FileIconView.h: Try very
	  hard to find icon of different name/size if the exact match
	  doesn't exist

2008-10-29 11:17  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileDetailsView.cpp, efiler/EDE_FileDetailsView.h: Try
	  very hard to find icon of different name/size if the exact match
	  doesn't exist

2008-10-29 11:16  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp: Load icon theme (command line parameter) after
	  edelib::Window::init() so
	  that it doesn't get overrided with system settings

2008-10-29 11:14  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/mailcap.cpp: Fix crash in mailcap reader

2008-10-17 13:41  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/capone.init: Alternative implementation

2008-10-08 13:22  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Logout.cpp, evoke/Logout.h,
	  evoke/evoke.cpp, evoke/fl/logout.fl: New logout dialog
	  Some compilation fix with the new FLTK versions

2008-10-07 09:23  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Updating due etimedate renaming

2008-10-07 09:03  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-timedate/Jamfile, ede-timedate/ede-timedate.cpp,
	  ede-timedate/ede-timedate.h: Content update due renamings

2008-10-07 08:59  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-timedate/ede-timedate.cpp, ede-timedate/ede-timedate.fld,
	  ede-timedate/ede-timedate.h, ede-timedate/etimedate.cpp,
	  ede-timedate/etimedate.fld, ede-timedate/etimedate.h: Renaming
	  files

2008-10-07 08:17  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-timedate, etimedate: Renaming

2008-10-03 11:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h,
	  ede-desktop/ede-desktop.cpp: s/icon1()/use_icon1()
	  s/icon2()/use_icon2()
	  Let selected icon be darker; it is a much better visual than only
	  selected icon label

2008-10-03 10:14  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/ede-desktop.cpp: Remove
	  commented code
	  Some refactoring

2008-10-02 12:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/Utils.cpp,
	  ede-desktop/Utils.h, ede-desktop/ede-desktop.cpp: Small
	  refactoring

2008-10-02 09:58  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/dbus-usage.txt: Updated ede-deskop names

2008-10-02 09:42  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/DesktopIcon.cpp, ede-desktop/DesktopIcon.h,
	  ede-desktop/IconProperties.cpp, ede-desktop/IconProperties.h,
	  ede-desktop/Jamfile, ede-desktop/Utils.cpp, ede-desktop/Utils.h,
	  ede-desktop/Wallpaper.cpp, ede-desktop/Wallpaper.h,
	  ede-desktop/ede-desktop.conf, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h: Names over the code updating.
	  Small code reordering.
	  Interface where ede-desktop listens is now
	  org.equinoxproject.Desktop.
	  New config format.

2008-10-02 09:33  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop/ede-desktop.conf, ede-desktop/ede-desktop.cpp,
	  ede-desktop/ede-desktop.h, ede-desktop/eiconman.conf,
	  ede-desktop/eiconman.cpp, ede-desktop/eiconman.h: Renaming files

2008-10-02 09:30  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp: ede-desktop new config
	  format update
	  Fixed issue with transparent labels

2008-10-02 08:44  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Updated renaming changes

2008-10-02 08:35  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop, eiconman: Renaming eiconman to ede-desktop

2008-10-02 08:23  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Xsm.cpp: Updated changes for
	  build_filename()

2008-10-02 08:21  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.conf, ede-conf/ede-conf.cpp: Better icon
	  selection
	  Fixed issue with resizing where some icons would not get proper
	  enter/leave events
	  Updating config format

2008-09-22 14:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-help/ede-help.in: Remove 'images' when --titles is given.
	  Remove '-z' from empty strings tests: csh doesn't like it

2008-09-22 14:16  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/doc/ede-tip.txt: s/Etip/ede-tip

2008-09-22 14:06  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp: Fix

2008-09-22 14:04  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: s/ede-control/ede-conf

2008-09-22 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/doc/ede-tip.txt, ede-tip/ede-tip-compiler.c,
	  ede-tip/ede-tip.cpp: Updating files

2008-09-22 13:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-tip/Jamfile, ede-tip/doc/ede-tip.jpg,
	  ede-tip/doc/ede-tip.txt, ede-tip/doc/etip.jpg,
	  ede-tip/doc/etip.txt, ede-tip/ede-tip-compiler.c,
	  ede-tip/ede-tip.conf, ede-tip/ede-tip.cpp,
	  ede-tip/etip-compiler.c, ede-tip/etip.conf, ede-tip/etip.cpp,
	  ede-tip/fl/ede-tip.fl, ede-tip/fl/etip.fl: Renaming files

2008-09-22 13:50  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-tip, etip: Renaming etip to ede-tip
	  Updating Jamfile

2008-09-22 13:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-help/ede-help.in, ede-help/ede-help.txt: Updated files

2008-09-22 13:46  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-help/Jamfile, ede-help/ede-help.in, ede-help/ede-help.txt,
	  ede-help/ehelp.in, ede-help/ehelp.txt: Renaming files

2008-09-22 13:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-help, ehelp: Renaming ehelp to ede-help

2008-09-22 13:43  Sanel Zukan <karijes@users.sourceforge.net>

	* doc/index.txt: Updating links

2008-09-22 13:38  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/ede-desktop-conf.cpp: Updated file

2008-09-22 13:36  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-desktop-conf/Jamfile, ede-desktop-conf/ede-desktop-conf.cpp,
	  ede-desktop-conf/ede-desktop-conf.fl,
	  ede-desktop-conf/edesktopconf.cpp,
	  ede-desktop-conf/edesktopconf.fl: Renaming files

2008-09-22 13:33  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ede-desktop-conf, edesktopconf: Renaming edesktopconf to
	  ede-desktop-conf.
	  Updated Jamfile to reflect previous changes

2008-09-22 13:31  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/ede-conf.conf, ede-conf/ede-conf.cpp: Updated contents

2008-09-22 13:29  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-conf/Jamfile, ede-conf/econtrol.conf, ede-conf/econtrol.cpp,
	  ede-conf/econtrol.fl, ede-conf/ede-conf.conf,
	  ede-conf/ede-conf.cpp, ede-conf/ede-conf.fl: Renaming files

2008-09-22 13:26  Sanel Zukan <karijes@users.sourceforge.net>

	* econtrol, ede-conf: Renamed econtrol to ede-conf

2008-09-22 13:24  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-crasher/ede-crasher.cpp: Updates file too

2008-09-22 12:57  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-crasher/Jamfile, ede-crasher/ecrasher.cpp,
	  ede-crasher/ede-crasher.cpp: Renaming rest of the files

2008-09-22 12:56  Sanel Zukan <karijes@users.sourceforge.net>

	* ecrasher, ede-crasher: Renaming ecrasher to ede-crasher

2008-09-22 12:54  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-calc/doc/ede-calc.txt: Names changed too

2008-09-22 12:53  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-calc/Jamfile, ede-calc/doc/ecalc.jpg, ede-calc/doc/ecalc.txt,
	  ede-calc/doc/ede-calc.jpg, ede-calc/doc/ede-calc.txt: Renaming
	  ecalc files

2008-09-22 12:50  Sanel Zukan <karijes@users.sourceforge.net>

	* ecalc, ede-calc: Moving ecalc to ede-calc

2008-09-22 12:49  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/Jamfile: Updated Jamfile too

2008-09-22 12:48  Sanel Zukan <karijes@users.sourceforge.net>

	* ede-about/eabout, ede-about/eabout.cpp, ede-about/eabout.fl,
	  ede-about/ede-about.cpp, ede-about/ede-about.fl: Renaming files.
	  Cleaning some junk svn created

2008-09-22 12:45  Sanel Zukan <karijes@users.sourceforge.net>

	* eabout, ede-about, ede-about/Jamfile, ede-about/eabout,
	  ede-about/eabout.cpp, ede-about/eabout.fl,
	  ede-about/eabout/Jamfile, ede-about/eabout/eabout.cpp,
	  ede-about/eabout/eabout.fl, ede-about/eabout/gen-about.sh,
	  ede-about/eabout/icons, ede-about/gen-about.sh, ede-about/icons:
	  Moving eabout to ede-about

2008-09-15 11:00  Sanel Zukan <karijes@users.sourceforge.net>

	* eabout/eabout.cpp, econtrol/econtrol.cpp,
	  ecrasher/CrashDialog.cpp, ecrasher/CrashDialog.h,
	  eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/IconProperties.cpp, eiconman/Utils.cpp,
	  eiconman/Utils.h, eiconman/Wallpaper.cpp, eiconman/Wallpaper.h,
	  eiconman/eiconman.cpp, eiconman/eiconman.h,
	  eiconman/test/notify.cpp, elma/Background.cpp, elma/Background.h,
	  elma/ElmaService.cpp, elma/ElmaWindow.cpp, elma/ElmaWindow.h,
	  elma/TextArea.h, elma/elma.cpp, etip/etip.cpp,
	  evoke/Autostart.cpp, evoke/Autostart.h, evoke/Composite.cpp,
	  evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Logout.cpp,
	  evoke/Splash.cpp, evoke/Splash.h, evoke/Xsm.cpp, evoke/evoke.cpp,
	  evoke/test/evoke_test.cpp, evoke/test/opacity_test.cpp,
	  evoke/test/stress_test.cpp: a massive fix of FLTK headers
	  inclusion;

2008-09-08 11:09  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/Logout.cpp, evoke/Spawn.cpp, evoke/Spawn.h,
	  evoke/Splash.cpp, evoke/Splash.h, evoke/Xsm.cpp,
	  evoke/evoke.conf, evoke/evoke.cpp: Removed leftovers from sound
	  stuff.
	  Replaced hardcoded values for screen sizes used by logout dialog
	  with passed values.
	  Removed spawn_backtrace() function; not used any more.
	  Some code reordering

2008-09-04 10:16  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, build/Doc.jam, data/Jamfile, data/icon-themes/Jamfile,
	  data/mime-types/Jamfile, doc/Jamfile: Update paths

2008-09-04 10:03  Sanel Zukan <karijes@users.sourceforge.net>

	* data, datas: s/datas/data directory

2008-09-04 10:02  Sanel Zukan <karijes@users.sourceforge.net>

	* doc, docs: s/docs/doc directory

2008-08-25 15:40  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, tools/l10n-prepare.sh.in: Let configure creates
	  l10n-prepare script with correct version and do chmod +x on it.

2008-08-25 15:39  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/l10n-prepare.sh, tools/l10n-prepare.sh.in: Renaming for
	  configure script

2008-08-25 13:55  Sanel Zukan <karijes@users.sourceforge.net>

	* BUGS, README.alpha: Updated tracker address
	  Small change in README.alpha, but it should be replaced with the
	  new, fresh content in the future. A large part is obsolete.

2008-08-25 13:51  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh, configure.in, edeconf.h.in: Updated wrongly named
	  AC_INIT parameter
	  
	  Removed edeconf.h.in; now is generated by autogen.sh
	  
	  autogen.sh content of configure.in dump moved to dump_config()
	  but is not called by default

2008-08-25 13:39  Sanel Zukan <karijes@users.sourceforge.net>

	* etip/etip.conf, etip/etip.cpp: Now etip will correctly setup
	  autostart even if etip.desktop wasn't existed before

2008-08-25 13:33  Sanel Zukan <karijes@users.sourceforge.net>

	* autogen.sh, docs/vedran.plan, install-sh, mkinstalldirs, prepare,
	  vedran.plan: Moved Vedran's plan file to docs
	  Renamed prepare to autogen.sh
	  Removed unneeded mkinstalldirs and install-sh scripts; jam build
	  already is doing that

2008-08-25 13:28  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules: Added EDEMIMEDIR used by InstallEdeMimeFiles rule

2008-08-25 13:27  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/evoke.conf: Small config file updates for my system changes

2008-08-25 13:25  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Jamfile: Better linking order

2008-08-25 13:24  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Install.jam, build/Program.jam: Added InstallEdeDoc and
	  LinkAgainstFirst rules

2008-08-25 13:21  Sanel Zukan <karijes@users.sourceforge.net>

	* config.jam.in, configure.in, m4/fltk.m4, m4/initjamfile.m4,
	  m4/libmagic.m4, m4/pkg.m4, m4/sound.m4, m4/time.m4,
	  m4/various.m4: Removed obsolete m4 macros
	  Updated initjamfile.m4
	  Added pkg.m4 for pkg-config
	  Added new configure.in script and following config.jam.in

2008-08-25 13:18  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/ede.spec.in, tools/l10n-prepare.pl, tools/l10n-prepare.sh:
	  Removed old ede.spec.in
	  Replaced l10-prepare.pl with updated l10-prepare.sh

2008-08-22 16:40  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, build/Install.jam, build/Utils.jam, docs/Jamfile,
	  ehelp/Jamfile, ehelp/ehelp.in, tools/capone/src/Jamfile: Relaxed
	  EXEMODE jam sets
	  Let manual be installed in docsdir
	  jam will also create ehelp from ehelp.in setting correct location
	  Fixed a typo with RMDIR_UNSAFE so Cleandir can work now
	  Added CopyDir rule
	  Added missing linking libraries for capone

2008-08-10 18:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, build/Program.jam: Programs will be, by default, linke
	  with "-Wl,--as-needed" to
	  reduce unused library dependencies.

2008-08-10 17:49  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Jamfile, eiconman/Utils.cpp,
	  eiconman/eiconman.conf, eiconman/eiconman.cpp,
	  eiconman/eiconman.h: Renamings to clarify some actions
	  Commented building of test/notify; previous code that was tested
	  was removed long time ago

2008-08-10 17:47  Sanel Zukan <karijes@users.sourceforge.net>

	* edesktopconf/edesktopconf.cpp: Read/save from
	  ~/.config/ede/eiconman.conf instead local directory
	  Removed Apply button; OK button should do the work

2008-08-10 17:44  Sanel Zukan <karijes@users.sourceforge.net>

	* ehelp/Jamfile, ehelp/ehelp.in: Let ehelp be installed.
	  Some cosmetic modifications.

2008-08-07 14:22  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, docs/index.txt, ehelp, ehelp/Jamfile, ehelp/ehelp.in,
	  ehelp/ehelp.txt, eiconman/DesktopIcon.cpp,
	  eiconman/DesktopIcon.h, eiconman/IconProperties.cpp,
	  eiconman/IconProperties.h, eiconman/Jamfile, eiconman/Utils.cpp,
	  eiconman/eiconman.cpp, eiconman/eiconman.h,
	  eiconman/fl/icon_properties.fl: eiconman:
	  Implemented dialog for icon properties.
	  EDEBUG, EWARNING, EASSERT replaced with E_DEBUG, E_WARNING,
	  E_ASSERT
	  
	  ehelp:
	  Imported ehelp. It is meant for displaying ede help or some of
	  documented programs in the browser, no matter where help is
	  installed.
	  
	  Remanining thing is to be added in configure script so it can set
	  correct
	  paths, when configure be written.
	  
	  Documented ehelp.

2008-08-05 14:28  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Doc.jam: EdeManual will use tidy tool if available to
	  reformat html pages.
	  Added EdeManualWithToc rule that will build Table of Contents on
	  page.

2008-08-05 14:26  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, docs/Jamfile, docs/asciidoc/xhtml11.conf,
	  docs/dbus-usage.txt, docs/index.txt, docs/jambuild.txt,
	  econtrol/econtrol.cpp, emountd, emountd/Jamfile,
	  emountd/emountd.cpp, emountd/emountd.txt: Added emountd, a simple
	  daemon that uses HAL to monitor when
	  devices get mounted or unmounted; reports will be send via dbus.
	  
	  Updated docs for dbus usage.
	  
	  Removed obsolete parts from jambuild.txt.
	  
	  Small tunings in asciidoc's xhtml11.conf.
	  
	  econtrol now can run program applets.

2008-08-01 19:07  Sanel Zukan <karijes@users.sourceforge.net>

	* docs/dbus-usage.txt: Added something useful

2008-08-01 18:30  Sanel Zukan <karijes@users.sourceforge.net>

	* econtrol/econtrol.cpp, econtrol/econtrol.h: Reworked econtrol
	  code

2008-08-01 18:27  Sanel Zukan <karijes@users.sourceforge.net>

	* docs/Jamfile, docs/dbus-usage.txt, docs/index.txt: Added doc
	  aboud dbus usage. Not filled yet thought.

2008-07-18 12:34  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/common.ss, tools/capone/src/capone.cpp: Added
	  range function
	  Reimplemented iota via range
	  Added global *args* variable that contains program/script
	  arguments

2008-07-15 16:00  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/capone.init, tools/capone/lib/common.ss,
	  tools/capone/src/Jamfile, tools/capone/src/bbb.ss,
	  tools/capone/src/capone.cpp, tools/capone/src/dynload.c,
	  tools/capone/src/scheme-private.h, tools/capone/src/scheme.c,
	  tools/capone/src/scheme.h, tools/capone/src/xxx.ss: Replaced
	  for-each function with faster alternative
	  Added scheme_error() for error reporting from C code
	  load-extension exists now, althought it does not do what I want
	  Added timeit-start, timeit-end and timeit-result functions for
	  easier timing
	  Some map, and my map timing for comparison

2008-07-14 18:04  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/src/capone.cpp: A typo fix.
	  Parameter list reorder

2008-07-14 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/common.ss: Added inc/dec familly

2008-07-14 13:04  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/src/capone.cpp: Added '-e' and '--expr' options
	  Some terminal colors removal

2008-07-14 10:42  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/lib/common.ss, tools/capone/src/bbb.ss,
	  tools/capone/src/foo.ss, tools/capone/src/sys.cpp,
	  tools/capone/src/xxx.ss: Added clock and timeit functions
	  Some musings with examples

2008-07-08 12:24  Sanel Zukan <karijes@users.sourceforge.net>

	* tools/capone/test/string.ss: More tests

2008-07-07 15:07  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, tools/Jamfile, tools/capone, tools/capone/Jamfile,
	  tools/capone/lib, tools/capone/lib/capone.init,
	  tools/capone/lib/common.ss, tools/capone/src,
	  tools/capone/src/Jamfile, tools/capone/src/bbb.ss,
	  tools/capone/src/capone.cpp, tools/capone/src/dbus.cpp,
	  tools/capone/src/dbus.h, tools/capone/src/dynload.c,
	  tools/capone/src/dynload.h, tools/capone/src/foo.ss,
	  tools/capone/src/opdefines.h, tools/capone/src/pcre,
	  tools/capone/src/pcre/pcre-chartables.c,
	  tools/capone/src/pcre/pcre-config.h,
	  tools/capone/src/pcre/pcre-internal.h,
	  tools/capone/src/pcre/pcre.c, tools/capone/src/pcre/pcre.h,
	  tools/capone/src/re.cpp, tools/capone/src/re.h,
	  tools/capone/src/scheme-private.h, tools/capone/src/scheme.c,
	  tools/capone/src/scheme.h, tools/capone/src/sys.cpp,
	  tools/capone/src/sys.h, tools/capone/src/tok.ss,
	  tools/capone/src/xxx.ss, tools/capone/test,
	  tools/capone/test/main.ss, tools/capone/test/math.ss,
	  tools/capone/test/run-all.sh, tools/capone/test/string.ss,
	  tools/capone/test/utest.ss: Capone import

2008-06-22 21:21  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile, efiler/OpenWith.cpp, efiler/OpenWith.h,
	  efiler/Properties.cpp, efiler/Properties.h, efiler/efiler.cpp,
	  efiler/mailcap.cpp, efiler/mailcap.h: - Add new entries to
	  mailcap using Open with.. dialog
	  - Start of work on Properties window. For now, the code is very
	  ugly and it is read only.

2008-06-22 07:12  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile, efiler/mailcap.h: Forgot to commit some files

2008-06-14 06:14  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/OpenWith.cpp, efiler/OpenWith.h, efiler/efiler.cpp: Open
	  with... dialog with autocompletion

2008-06-12 06:25  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp: Code cleanup in efiler.cpp

2008-06-09 15:08  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/ede-settings.xml: Composite part now can be conditionally
	  compiled
	  Added some more common colors in ede-settings.xml

2008-06-09 15:07  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Wallpaper.cpp: Fixed conversion for 32bit images

2008-06-08 20:34  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp, efiler/mailcap.cpp, efiler/mailcap.h: Efiler:
	  Add mimetype handling via mailcap file. Context menu can now
	  recognize several operation depending on file type

2008-06-03 22:58  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp: Fix resizing and loading configuration for
	  location bar and directory tree

2008-06-03 21:55  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_DirTree.cpp, efiler/EDE_FileDetailsView.cpp,
	  efiler/EDE_FileIconView.cpp, efiler/EDE_FileIconView.h,
	  efiler/EDE_FileView.h, efiler/fileops.cpp, efiler/fileops.h:
	  EFiler v0.2.2:
	  - Use edelib::Window (fixes problem with titlebar icon and some
	  cruft in main)
	  - Store user preferences in edelib::Resource
	  - Work better with edeneu icon theme, follow fdo icon-naming-spec
	  - Expand . in directory path (e.g. when called from command
	  line), show just last part of path in window title, full width
	  status bar :)
	  - Some fixes to ExpandableGroup usage, use EG by default
	  - In fileops, don't update view manually when notify is available
	  - Improve documentation of EDE_FileView.h
	  - Temporary "Open with" callback for testing

2008-06-03 21:53  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp: EFiler v0.2.2:
	  - Use edelib::Window (fixes problem with titlebar icon and some
	  cruft in main)
	  - Store user preferences in edelib::Resource
	  - Work better with edeneu icon theme, follow fdo icon-naming-spec
	  - Expand . in directory path (e.g. when called from command
	  line), show just last part of path in window title, full width
	  status bar :)
	  - Some fixes to ExpandableGroup usage, use EG by default
	  - In fileops, don't update view manually when notify is available
	  - Improve documentation of EDE_FileView.h
	  - Temporary "Open with" callback for testing

2008-06-02 11:51  Sanel Zukan <karijes@users.sourceforge.net>

	* datas/icon-themes/Jamfile: Icon theme builder fix

2008-05-29 11:09  Sanel Zukan <karijes@users.sourceforge.net>

	* efiler/ede_strverscmp.c, efiler/ede_strverscmp.h,
	  efiler/efiler.cpp: Let ede_strverscmp() be linked correctly

2008-05-27 18:58  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.h, efiler/EDE_FileIconView.cpp,
	  efiler/Jamfile, efiler/Util.cpp, efiler/Util.h,
	  efiler/ede_strverscmp.c, efiler/ede_strverscmp.h,
	  efiler/efiler.cpp, efiler/efiler.xpm: - Add notify support with
	  edelib::DirWatch
	  - Fix support for large files (>2GB)
	  - Fix switching between iconview and listview (sometimes both
	  checkboxes would be active)
	  - Import local copy of strverscmp (doesn't compile at the moment)
	  - EDE_Browser: fix redrawing of column title buttons
	  - EDE_FileIconView: switch back to ordinary FLAT_BOX (RFLAT_BOX
	  is ugly :), fix bug with using scrollbar when view
	  isn't focused, laso-selection sometimes selected too much
	  - Clean up some compiler warnings

2008-05-27 18:48  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/BUGS: Update list of bugs

2008-04-07 15:35  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Jamfile, eiconman/NotifyBox.cpp, eiconman/NotifyBox.h,
	  eiconman/Utils.cpp, eiconman/Utils.h, eiconman/eiconman.cpp,
	  eiconman/eiconman.h: Removed NotifyBox. It should be replaced
	  with notification stuff
	  Added some dbus code. Desktop changes are reported via
	  'org.equinoxproject.Eiconman.DesktopChanged' signal

2008-02-18 14:50  Sanel Zukan <karijes@users.sourceforge.net>

	* eabout/gen-about.sh: Added script for easier generating about
	  content. Still not used.

2008-02-18 14:46  Sanel Zukan <karijes@users.sourceforge.net>

	* elma/ElmaService.cpp, elma/ElmaService.h, elma/ElmaWindow.cpp,
	  elma/ElmaWindow.h, elma/Jamfile, elma/TextArea.h, elma/Theme.cpp,
	  elma/Theme.h, elma/elma.conf, elma/elma.cpp,
	  elma/themes/default/elma.theme, elma/themes/sky/background.jpg,
	  elma/themes/sky/elma.theme, elma/themes/sky/panel.png: Work on
	  theming support...

2008-02-12 14:52  Sanel Zukan <karijes@users.sourceforge.net>

	* etip/Fortune.cpp, etip/Fortune.h, etip/tips/ede: Hide struct
	  inside cpp file.
	  Removed my testing inspiration from tip file.

2008-02-11 17:30  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, elma, elma/Background.cpp, elma/Background.h,
	  elma/ElmaWindow.cpp, elma/ElmaWindow.h, elma/Jamfile,
	  elma/NumLock.cpp, elma/NumLock.h, elma/TextArea.h,
	  elma/elma.conf, elma/elma.cpp, elma/themes, elma/themes/default,
	  elma/themes/default/AUTHOR, elma/themes/default/background.jpg,
	  elma/themes/default/panel.png, elma/themes/fragile,
	  elma/themes/fragile/AUTHOR, elma/themes/fragile/background.jpg,
	  elma/themes/passenger, elma/themes/passenger/AUTHOR,
	  elma/themes/passenger/background.jpg, elma/themes/sky,
	  elma/themes/sky/AUTHOR, elma/themes/sky/background.jpg: Imported
	  login manager code. Real stuff is not implemented yet...

2008-02-11 13:55  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Install.jam, datas/Jamfile, datas/mime-types,
	  datas/mime-types/Jamfile, datas/mime-types/x-fluid.xml,
	  datas/mime.conf, datas/mimetypes.conf: Dumped some old mimetype
	  files.
	  Added InstallEdeMimeFiles rule, which should install a new XDG
	  mime types and update mime database.
	  Added fluid mime until fd.o merge it into official mime
	  distribution.

2008-01-21 19:08  Sanel Zukan <karijes@users.sourceforge.net>

	* edesktopconf/edesktopconf.cpp, edesktopconf/edesktopconf.fl:
	  Preview works.
	  Option for setting desktop icon fonts; still needs work...

2008-01-17 16:44  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Logout.cpp: Let logout screen correctly darken background

2008-01-16 13:01  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Doc.jam: Removed 'alpha 1' part. This value should be read
	  from Jamrules...

2008-01-16 12:58  Sanel Zukan <karijes@users.sourceforge.net>

	* docs/index.txt, etip/doc/etip.txt: Completed etip documentation.
	  Added link to etip documentation in main manual page.

2008-01-16 11:03  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Xsm.cpp: Correct that comment

2008-01-16 10:59  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Xsm.cpp, evoke/Xsm.h: Added support for xrdb

2008-01-15 15:04  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/evoke_csize.txt: Old file for comparison.

2008-01-15 14:42  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Wallpaper.cpp,
	  eiconman/eiconman.cpp, etip/Jamfile, evoke/Crash.cpp,
	  evoke/Crash.h, evoke/EvokeService.cpp, evoke/Jamfile: Let
	  etip-compiler be silent.
	  Removed Crash handler code from evoke. ecrasher is for that.
	  Add some transparency to desktop icons when they are moved.

2008-01-14 18:11  Sanel Zukan <karijes@users.sourceforge.net>

	* etip/etip.cpp: Implemented autostart support

2008-01-14 13:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile: Let etip be compiled

2008-01-14 13:15  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/test/stress_test.cpp: Added missing file

2008-01-14 12:58  Sanel Zukan <karijes@users.sourceforge.net>

	* ecalc/SciCalc.cpp, ecalc/SciCalc.fl: Let title shows ecalc name

2008-01-14 12:53  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Composite.cpp: Commented some code reserved for the future

2008-01-14 12:50  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Autostart.cpp, evoke/Composite.cpp, evoke/Composite.h,
	  evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/Splash.cpp, evoke/Splash.h, evoke/evoke.cpp: A lot of
	  changes, especially the ways how screen is repainted (in
	  composite).
	  Composite will now draw only damaged regions, and their damage is
	  (now) correctly
	  reported, mostly due changes in main FLTK loop.
	  
	  Also there are two ways how evoke will be running: if
	  USE_FLTK_LOOP_EMULATION
	  is defined (default yes), it will fully emulate FLTK loop (as
	  done before). Oposite
	  way (without emulation) it will relay on FLTK message passing,
	  but it is very unpredictable
	  since FLTK will sometime miss SelectionClear events (XSETTINGS
	  relay on it), probably due
	  large XDamageNotify throttling. When emulation is used, there are
	  no such problems
	  since all events are processed before they are routed to FLTK.
	  
	  In composite is added another way of repainting (when USE_CHECK
	  is defined), and it will
	  relay on Fl::add_check() function; there are some differences
	  between this function
	  and timer used for screen refresh. Timer will try to refresh it
	  every XX ms and when
	  there are large number of XDamageNotify reports, this will not be
	  suitable for
	  movements smoothing on the screen; on other hand add_check() will
	  call callback every
	  time when event is processed, which brings smooth movements. For
	  now only timer is used
	  untill I finish compositing stuff.
	  
	  Also composite will handle messages from it's own add_handler()
	  since (somehow), all pending
	  XDamageNotify events will not be correctly reported inside
	  EvokeService handler.
	  
	  And about splash... splash will now keep it's window at the top,
	  no matter what window is
	  raised. This is a small hack until I implement
	  _NET_WM_WINDOW_TYPE_SPLASH in edewm (I don't
	  have to say that this hack works for all wm's I tested :P).
	  
	  Sound from splash is removed; reason for this is when evoke
	  starts childs (only when X session
	  was started), device descriptors will be used by childs too
	  making sound device unusable and
	  marked as busy. This can be solved by using better sound library,
	  which is story for itself...

2008-01-14 12:03  Sanel Zukan <karijes@users.sourceforge.net>

	* etip/locale: Dump old locale directory with translations. They
	  are obsolete anyway.

2008-01-14 12:02  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, build/Program.jam, eabout, eabout/Jamfile,
	  eabout/eabout.cpp, eabout/eabout.fl, eabout/icons,
	  eabout/icons/ede.xpm, etip/Fortune.cpp, etip/Fortune.h,
	  etip/Jamfile, etip/doc, etip/doc/etip.jpg, etip/doc/etip.txt,
	  etip/etip-compiler.c, etip/etip.conf, etip/etip.cpp,
	  etip/etip.fl, etip/etip.fld, etip/fl, etip/fl/etip.fl,
	  etip/icons/hint.xpm, etip/locale, etip/tips, etip/tips/ede:
	  Imported eabout, a small program that displays current EDE
	  version, authors, contibutors, etc.
	  
	  Added ProgramBare rule in Program.jam so there could be built
	  plain (command-line) programs
	  and so they could be installed where other EDE programs resides.
	  
	  New etip on FLTK1 code. Also, instead hardcoded tips, etip now
	  uses fortune-like files
	  for tips. Ah yes, it is able to read fortune files too :)

2008-01-05 13:23  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ecrasher, ecrasher/CrashDialog.cpp,
	  ecrasher/CrashDialog.h, ecrasher/Jamfile, ecrasher/ecrasher.cpp,
	  ecrasher/fl, ecrasher/fl/crash.fl, ecrasher/fl/crash_expanded.fl,
	  ecrasher/icons, ecrasher/icons/core.xpm: Added external crash
	  handler

2007-12-28 10:58  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/ClassHack.c, evoke/ClassHack.h, evoke/Composite.cpp,
	  evoke/Composite.h, evoke/EvokeService.cpp, evoke/EvokeService.h,
	  evoke/Jamfile, evoke/Spawn.cpp, evoke/Splash.cpp,
	  evoke/evoke.cpp, evoke/test/opacity_test.cpp: Added composite
	  stuff (alpha stage, of course).
	  A lot of things are pending for implementation like region
	  translucency, shadows, fading...
	  Per window translucency is in, but now working as expected.

2007-12-12 13:02  Sanel Zukan <karijes@users.sourceforge.net>

	* eimage/eimage.cpp: Removed title box from menu

2007-12-07 17:01  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Svg.jam, datas/Jamfile, datas/icon-themes/Jamfile: Better
	  icon conversion code with new rule.
	  Added rule for icon theme installation.

2007-12-06 15:54  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, Jamrules, build/Svg.jam, datas/Jamfile,
	  datas/icon-themes, datas/icon-themes/Jamfile,
	  datas/icon-themes/edeneu, datas/icon-themes/edeneu/AUTHORS,
	  datas/icon-themes/edeneu/COPYING,
	  datas/icon-themes/edeneu/index.theme,
	  datas/icon-themes/edeneu/scalable,
	  datas/icon-themes/edeneu/scalable/actions,
	  datas/icon-themes/edeneu/scalable/actions/address-book-new.svg,
	  datas/icon-themes/edeneu/scalable/actions/appointment-new.svg,
	  datas/icon-themes/edeneu/scalable/actions/bookmark-new.svg,
	  datas/icon-themes/edeneu/scalable/actions/contact-new.svg,
	  datas/icon-themes/edeneu/scalable/actions/dialog-cancel.svg,
	  datas/icon-themes/edeneu/scalable/actions/dialog-close.svg,
	  datas/icon-themes/edeneu/scalable/actions/dialog-ok.svg,
	  datas/icon-themes/edeneu/scalable/actions/document-new.svg,
	  datas/icon-themes/edeneu/scalable/actions/document-open.svg,
	  datas/icon-themes/edeneu/scalable/actions/document-print-preview.svg,
	  datas/icon-themes/edeneu/scalable/actions/document-print.svg,
	  datas/icon-themes/edeneu/scalable/actions/document-properties.svg,
	  datas/icon-themes/edeneu/scalable/actions/document-save-as.svg,
	  datas/icon-themes/edeneu/scalable/actions/document-save.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-clear.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-copy.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-cut.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-delete.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-find-replace.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-find.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-paste.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-redo.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-select-all.svg,
	  datas/icon-themes/edeneu/scalable/actions/edit-undo.svg,
	  datas/icon-themes/edeneu/scalable/actions/folder-new.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-indent-less.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-indent-more.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-justify-center.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-justify-fill.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-justify-left.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-justify-right.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-text-bold.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-text-italic.svg,
	  datas/icon-themes/edeneu/scalable/actions/format-text-underline.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-bottom.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-down.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-first.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-home.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-jump.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-last.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-next.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-previous.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-top.svg,
	  datas/icon-themes/edeneu/scalable/actions/go-up.svg,
	  datas/icon-themes/edeneu/scalable/actions/help-about.svg,
	  datas/icon-themes/edeneu/scalable/actions/list-add.svg,
	  datas/icon-themes/edeneu/scalable/actions/list-remove.svg,
	  datas/icon-themes/edeneu/scalable/actions/mail-forward.svg,
	  datas/icon-themes/edeneu/scalable/actions/mail-message-new.svg,
	  datas/icon-themes/edeneu/scalable/actions/mail-reply-all.svg,
	  datas/icon-themes/edeneu/scalable/actions/mail-reply-sender.svg,
	  datas/icon-themes/edeneu/scalable/actions/mail-send-receive.svg,
	  datas/icon-themes/edeneu/scalable/actions/process-stop.svg,
	  datas/icon-themes/edeneu/scalable/actions/system-lock-screen.svg,
	  datas/icon-themes/edeneu/scalable/actions/system-log-out.svg,
	  datas/icon-themes/edeneu/scalable/actions/system-search.svg,
	  datas/icon-themes/edeneu/scalable/actions/system-shutdown.svg,
	  datas/icon-themes/edeneu/scalable/actions/view-refresh.svg,
	  datas/icon-themes/edeneu/scalable/actions/window-new.svg,
	  datas/icon-themes/edeneu/scalable/apps,
	  datas/icon-themes/edeneu/scalable/apps/accessories-archiver.svg,
	  datas/icon-themes/edeneu/scalable/apps/accessories-character-map.svg,
	  datas/icon-themes/edeneu/scalable/apps/accessories-text-editor.svg,
	  datas/icon-themes/edeneu/scalable/apps/epiphany-bookmarks.svg,
	  datas/icon-themes/edeneu/scalable/apps/evolution.svg,
	  datas/icon-themes/edeneu/scalable/apps/gaim.svg,
	  datas/icon-themes/edeneu/scalable/apps/gimp.svg,
	  datas/icon-themes/edeneu/scalable/apps/graphics-image-editor.svg,
	  datas/icon-themes/edeneu/scalable/apps/graphics-image-viewer.svg,
	  datas/icon-themes/edeneu/scalable/apps/graphics-svg-editor.svg,
	  datas/icon-themes/edeneu/scalable/apps/help-browser.svg,
	  datas/icon-themes/edeneu/scalable/apps/internet-ftp-client.svg,
	  datas/icon-themes/edeneu/scalable/apps/internet-group-chat.svg,
	  datas/icon-themes/edeneu/scalable/apps/internet-mail.svg,
	  datas/icon-themes/edeneu/scalable/apps/internet-web-browser.svg,
	  datas/icon-themes/edeneu/scalable/apps/multimedia-volume-control.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-date-time.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-desktop-accessibility.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-desktop-assistive-technology.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-desktop-font.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-desktop-remote-desktop.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-desktop-screensaver.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-desktop-wallpaper.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-system-network-proxy.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-system-session.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-system-windows.svg,
	  datas/icon-themes/edeneu/scalable/apps/preferences-user-information.svg,
	  datas/icon-themes/edeneu/scalable/apps/sound-juicer.svg,
	  datas/icon-themes/edeneu/scalable/apps/system-file-manager.svg,
	  datas/icon-themes/edeneu/scalable/apps/system-installer.svg,
	  datas/icon-themes/edeneu/scalable/apps/system-lock-screen.svg,
	  datas/icon-themes/edeneu/scalable/apps/system-software-update.svg,
	  datas/icon-themes/edeneu/scalable/apps/system-users.svg,
	  datas/icon-themes/edeneu/scalable/apps/utilities-system-monitor.svg,
	  datas/icon-themes/edeneu/scalable/apps/utilities-terminal.svg,
	  datas/icon-themes/edeneu/scalable/categories,
	  datas/icon-themes/edeneu/scalable/categories/applications-accessories.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-development.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-games.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-graphics.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-internet.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-multimedia.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-office.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-other.svg,
	  datas/icon-themes/edeneu/scalable/categories/applications-system.svg,
	  datas/icon-themes/edeneu/scalable/categories/preferences-desktop-peripherals.svg,
	  datas/icon-themes/edeneu/scalable/categories/preferences-desktop.svg,
	  datas/icon-themes/edeneu/scalable/categories/preferences-system.svg,
	  datas/icon-themes/edeneu/scalable/devices,
	  datas/icon-themes/edeneu/scalable/devices/battery.svg,
	  datas/icon-themes/edeneu/scalable/devices/computer.svg,
	  datas/icon-themes/edeneu/scalable/devices/drive-cdrom.svg,
	  datas/icon-themes/edeneu/scalable/devices/drive-harddisk.svg,
	  datas/icon-themes/edeneu/scalable/devices/drive-removable-media.svg,
	  datas/icon-themes/edeneu/scalable/devices/input-keyboard.svg,
	  datas/icon-themes/edeneu/scalable/devices/input-mouse.svg,
	  datas/icon-themes/edeneu/scalable/devices/media-cdrom-audio.svg,
	  datas/icon-themes/edeneu/scalable/devices/media-cdrom.svg,
	  datas/icon-themes/edeneu/scalable/devices/media-cdrw.svg,
	  datas/icon-themes/edeneu/scalable/devices/media-dvd.svg,
	  datas/icon-themes/edeneu/scalable/devices/media-dvdrw.svg,
	  datas/icon-themes/edeneu/scalable/devices/media-floppy.svg,
	  datas/icon-themes/edeneu/scalable/devices/printer.svg,
	  datas/icon-themes/edeneu/scalable/devices/video-display.svg,
	  datas/icon-themes/edeneu/scalable/emblems,
	  datas/icon-themes/edeneu/scalable/emblems/emblem-important.svg,
	  datas/icon-themes/edeneu/scalable/emblems/emblem-pictures.svg,
	  datas/icon-themes/edeneu/scalable/emblems/emblem-readonly.svg,
	  datas/icon-themes/edeneu/scalable/emblems/emblem-symbolic-link.svg,
	  datas/icon-themes/edeneu/scalable/emblems/emblem-system.svg,
	  datas/icon-themes/edeneu/scalable/emblems/emblem-unreadable.svg,
	  datas/icon-themes/edeneu/scalable/emblems/emblem-web.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes,
	  datas/icon-themes/edeneu/scalable/mimetypes/application-certificate.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/application-x-executable.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/audio-x-generic.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/empty.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/font-x-generic.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/image-x-generic.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/misc-cd-image.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/package-x-generic.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/text-html.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/text-x-generic.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/text-x-script.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/text-x-source.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/video-x-generic.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/x-office-address-book.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/x-office-document.svg,
	  datas/icon-themes/edeneu/scalable/mimetypes/x-office-spreadsheet.svg,
	  datas/icon-themes/edeneu/scalable/places,
	  datas/icon-themes/edeneu/scalable/places/folder-remote.svg,
	  datas/icon-themes/edeneu/scalable/places/folder-saved-search.svg,
	  datas/icon-themes/edeneu/scalable/places/folder.svg,
	  datas/icon-themes/edeneu/scalable/places/network-server.svg,
	  datas/icon-themes/edeneu/scalable/places/network-workgroup.svg,
	  datas/icon-themes/edeneu/scalable/places/start-here.svg,
	  datas/icon-themes/edeneu/scalable/places/user-desktop.svg,
	  datas/icon-themes/edeneu/scalable/places/user-home.svg,
	  datas/icon-themes/edeneu/scalable/places/user-trash.svg,
	  datas/icon-themes/edeneu/scalable/status,
	  datas/icon-themes/edeneu/scalable/status/audio-volume-high.svg,
	  datas/icon-themes/edeneu/scalable/status/audio-volume-low.svg,
	  datas/icon-themes/edeneu/scalable/status/audio-volume-medium.svg,
	  datas/icon-themes/edeneu/scalable/status/audio-volume-muted.svg,
	  datas/icon-themes/edeneu/scalable/status/audio-volume-zero.svg,
	  datas/icon-themes/edeneu/scalable/status/battery-caution.svg,
	  datas/icon-themes/edeneu/scalable/status/dialog-error.svg,
	  datas/icon-themes/edeneu/scalable/status/dialog-information.svg,
	  datas/icon-themes/edeneu/scalable/status/dialog-password.svg,
	  datas/icon-themes/edeneu/scalable/status/dialog-question.svg,
	  datas/icon-themes/edeneu/scalable/status/dialog-warning.svg,
	  datas/icon-themes/edeneu/scalable/status/folder-drag-accept.svg,
	  datas/icon-themes/edeneu/scalable/status/folder-open.svg,
	  datas/icon-themes/edeneu/scalable/status/folder-visiting.svg,
	  datas/icon-themes/edeneu/scalable/status/image-loading.svg,
	  datas/icon-themes/edeneu/scalable/status/image-missing.svg,
	  datas/icon-themes/edeneu/scalable/status/network-error.svg,
	  datas/icon-themes/edeneu/scalable/status/network-idle.svg,
	  datas/icon-themes/edeneu/scalable/status/network-offline.svg,
	  datas/icon-themes/edeneu/scalable/status/network-receive.svg,
	  datas/icon-themes/edeneu/scalable/status/network-transmit-receive.svg,
	  datas/icon-themes/edeneu/scalable/status/network-transmit.svg,
	  datas/icon-themes/edeneu/scalable/status/printer-error.svg,
	  datas/icon-themes/edeneu/scalable/status/user-trash-full.svg:
	  Imported edeneu theme.
	  Added svg convertor rule.

2007-12-03 13:39  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/Spawn.cpp, evoke/Splash.cpp, evoke/Xsm.cpp,
	  evoke/evoke.conf, evoke/evoke.cpp: Removed obsolete code.
	  Adapted new dir_list.
	  Now pid and status for childs are reported directly via channel
	  instead
	  storing (and locking) them in global variables.

2007-11-28 12:42  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/Jamfile, eiconman/eiconman.cpp, eiconman/eiconman.h: Let
	  trash icon be updated when something is deleted.

2007-11-14 16:13  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Wallpaper.cpp: XDestroyImage uses free() so we must
	  malloc() it's data

2007-11-14 15:01  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Wallpaper.cpp: Use wallpaper sizes for creating drawable
	  area

2007-11-14 14:45  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Wallpaper.cpp, eiconman/Wallpaper.h,
	  eiconman/eiconman.conf: Let unneeded wallpaper resources be freed
	  after image
	  was drawn to rootpmap

2007-11-12 15:30  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/eiconman.cpp: Removed, for now

2007-11-06 14:34  Sanel Zukan <karijes@users.sourceforge.net>

	* edesktopconf/edesktopconf.cpp: New settings code

2007-11-06 14:33  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Jamfile, eiconman/Utf8.cpp,
	  eiconman/Utf8.h, eiconman/Wallpaper.h, eiconman/eiconman.conf,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: eiconman now uses
	  settings code.
	  Removed dead utf8 parts.
	  Misc stuff...

2007-11-01 16:47  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, edesktopconf, edesktopconf/Jamfile,
	  edesktopconf/edesktopconf.cpp, edesktopconf/edesktopconf.fl:
	  Added edesktopconf

2007-11-01 16:45  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib2, eiconsconf: Removed obsolete code

2007-10-26 12:01  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Jamfile, evoke/Xsm.cpp,
	  evoke/Xsm.h, evoke/ede-settings.xml: New settings manager based
	  on XSettingsManager. Also it have
	  ability to serialize data at the shutdown and load it at the
	  startup.

2007-09-28 14:08  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Doc.jam, build/Install.jam, build/Library.jam,
	  build/Program.jam, build/Translation.jam, build/Utils.jam: Synced
	  same behaviour between haiku jam and vanilla jam

2007-09-27 13:58  Sanel Zukan <karijes@users.sourceforge.net>

	* Makefile, ecolorconf/Makefile, edelib2/Makefile,
	  edewm/tests/Makefile, edialog/Makefile, edisplayconf/Makefile,
	  efinder/Makefile, eiconsconf/Makefile, einstaller/Makefile,
	  ekeyconf/Makefile, elauncher/Makefile, elauncher/locale/Makefile,
	  emenueditor/Makefile, epanelconf/Makefile, esvrconf/Makefile,
	  etip/Makefile, evolume/Makefile, ewmconf/Makefile,
	  eworkpanel/Makefile, makeinclude.in: Removed obsolete makefiles.
	  Added main Makefile which will try to detect installed jam and
	  call it as background process

2007-09-24 11:47  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Spawn.cpp,
	  evoke/Spawn.h, evoke/Splash.cpp, evoke/Xsm.cpp, evoke/evoke.cpp:
	  Reworked process handler due a large number of races. Now process
	  reports
	  should not interfere with popped up message boxes. Still there is
	  a issue
	  with childs during splash startup: when one of them crashes with
	  core dump
	  crash dialog will not be shown, but the main process handler
	  correctly returns crash flag.

2007-09-20 08:47  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/Spawn.cpp, evoke/Splash.cpp: After splash would finish,
	  evoke would ignore first request to run external command,
	  althought
	  second and rest would be fine. That is hopefully fixed now.
	  
	  Splash window still gets hidden by old eiconman; for other apps
	  it is fine. Pending for revision.

2007-09-19 14:12  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Xsm.cpp, evoke/Xsm.h: Finished
	  manager part of XSETTINGS. Left to be done is to implement the
	  same for the clients ;)

2007-09-18 15:43  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Splash.cpp, evoke/Xsm.cpp,
	  evoke/evoke.cpp: Fixed issues with add_fd() addon. Dialogs popped
	  up, especially from
	  service_watcher() would not be drawn correctly yielding program
	  hang since
	  add_fd() would not send events to fltk.
	  
	  Also commented hack from Splash to keep it's window at the top of
	  all;
	  now, using add_fd() evoke will get events before fltk which is
	  what I want.
	  Not tested with other wm's.
	  
	  Note: enabling that hack will surely crash evoke unless
	  fl_handle() is removed
	  from main evoke loop.

2007-09-18 14:06  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/Splash.cpp, evoke/Xsm.cpp, evoke/Xsm.h, evoke/evoke.cpp:
	  Replaced X event notifying via add_fd(). Now all X events could
	  be reported
	  without possible stealing from fltk. Prevous, add_handler(),
	  would send only
	  unknown events for fltk which leave us without really important
	  ones, like selection events
	  used by XSETTINGS manager.
	  
	  Added XSETTINGS support (yet unfinished) which will make evoke as
	  XSETTINGS manager.

2007-09-17 10:36  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Jamfile, evoke/Logout.cpp,
	  evoke/Spawn.cpp, evoke/evoke.conf, evoke/evoke.cpp: Evoke will
	  now correctly shutdown (try) all running windows, when
	  session should be logged out. Previous version (althought
	  commented) was
	  closing all windows (buttons and rest are counted too), not their
	  main
	  window. Thanks to some old code from babaya project I found,
	  XmuClientWindow
	  is what I needed, so emulation is provided to avoid linking with
	  libXmu.
	  
	  Also added some more signals to detect quitting.
	  
	  Pending issue: I'm getting strange sound driver locks when X are
	  started
	  via evoke. This is un-reporoduceable when evoke is started from
	  gui console.
	  This still needs to be investigate.

2007-09-14 12:46  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp: Reordering...

2007-09-14 12:31  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Spawn.cpp,
	  evoke/Splash.cpp, evoke/evoke.conf: Recognize return codes and
	  display appropriate dialog. Works only if
	  executable was not found or file is not executable.
	  Add mutexes since childs return codes comes from second thread.
	  This
	  will also prevent races when report dialogs are shown.

2007-09-11 14:06  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Autostart.cpp, evoke/Autostart.h, evoke/EvokeService.cpp,
	  evoke/EvokeService.h, evoke/data, evoke/data/startup.ogg,
	  evoke/doc/evoke.txt, evoke/evoke.conf, evoke/evoke.cpp,
	  evoke/images, evoke/startup.ogg: Allow autostart programs be
	  started without dialog
	  Documentation update
	  ImagesDirectory key renamed to DataDirectory; images renamed
	  to data to follow later changes

2007-09-06 13:06  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* README.alpha, vedran.plan: Update README and my .plan with stuff
	  from past 12 months...

2007-09-05 19:51  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* Jamfile, etimedate/Date_Time.h, etimedate/EDE_Calendar.cpp,
	  etimedate/EDE_Calendar.h, etimedate/Fl_Date_Time.cpp,
	  etimedate/Fl_Date_Time.h, etimedate/Fl_Time_Input.h,
	  etimedate/Jamfile, etimedate/Makefile, etimedate/TODO,
	  etimedate/TimeBox.cpp, etimedate/TimeBox.h,
	  etimedate/etimedate.cpp, etimedate/etimedate.h: Resurrect
	  etimedate:
	  - Redesigned Calendar widget, many new options
	  - Killed a lot of code by porting to edelib::Date (timezone
	  handling is still
	  internal)
	  - Added syncing with time servers using ntpdate

2007-09-05 11:19  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp, efiler/fileops.cpp: Fix for previous commit.
	  This is what happens when you commit code without
	  testing first :(

2007-09-05 08:26  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile, efiler/ede_ask.cpp, efiler/ede_ask.h,
	  efiler/efiler.cpp, efiler/fileops.cpp: Port efiler to new
	  MessageBox class, remove some debugging msg

2007-09-03 12:34  Sanel Zukan <karijes@users.sourceforge.net>

	* datas/startede2.in: New startede2 script which properly set XDG
	  directories and
	  starts evoke as main service.

2007-09-03 12:26  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: Synced code with
	  edelib changes.
	  Directory notifier added (still needs a work).
	  Internal changes for easier directory events handling.

2007-09-03 12:25  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/doc/evoke.txt: Some documentation

2007-09-03 12:24  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Crash.cpp, evoke/EvokeService.cpp, evoke/EvokeService.h,
	  evoke/Jamfile, evoke/Spawn.cpp, evoke/Spawn.h, evoke/Splash.cpp,
	  evoke/Splash.h, evoke/evoke.conf, evoke/startup.ogg: Startup make
	  some noise :)
	  Crash dialog will cleanup generated data. Also will
	  check availability to write/read data it generates.

2007-08-31 13:41  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Spawn.cpp,
	  evoke/Spawn.h: Commands can contain $TERM to allow running apps
	  in terminal.
	  Some heuristic gui/console determination, but pretty sucks for
	  now.

2007-08-29 16:38  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Autostart.cpp, evoke/Autostart.h: Run those programs...

2007-08-28 15:54  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Autostart.cpp, evoke/Autostart.h, evoke/EvokeService.cpp,
	  evoke/Jamfile, evoke/fl/autostart.fl, evoke/icons/warning.xpm:
	  Autostart directory support added. Items does not get executed
	  yet.
	  Dialog for autostart added.

2007-08-24 09:19  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/BUGS, efiler/EDE_FileDetailsView.cpp,
	  efiler/EDE_FileDetailsView.h, efiler/EDE_FileIconView.cpp,
	  efiler/EDE_FileIconView.h, efiler/EDE_FileView.h,
	  efiler/efiler.cpp: - F2 to rename
	  - F8 to switch between active views
	  - Finally fix dnd in FileIconView

2007-08-24 07:51  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/BUGS, efiler/EDE_FileDetailsView.cpp,
	  efiler/EDE_FileIconView.cpp, efiler/EDE_FileIconView.h,
	  efiler/TODO, efiler/fileops.cpp: - Add renaming support to
	  FileIconView. Also some tweaks to renaming in
	  FileDetailsView (accidental renaming should now be rare).
	  - Fix keyboard support for edelib::ExpandableGroup in FIV. The
	  remaining bugs
	  are in ExpandableGroup class and not in efiler.

2007-08-23 15:30  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile: Forgot to send the Jamfile

2007-08-23 11:09  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileDetailsView.cpp, efiler/EDE_FileView.h,
	  efiler/fileops.cpp: FileView::update_path() will now also update
	  the displayed filename - this
	  will simplify FileIconView implementation

2007-08-23 10:54  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileDetailsView.cpp, efiler/EDE_FileDetailsView.h,
	  efiler/EDE_FileIconView.cpp, efiler/EDE_FileIconView.h,
	  efiler/EDE_FileView.h, efiler/efiler.cpp, efiler/fileops.h: Split
	  FileView properly into files. Slowly it is getting its final
	  form.

2007-08-22 13:35  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Splash.h: const removal

2007-08-21 12:17  Sanel Zukan <karijes@users.sourceforge.net>

	* econtrol/econtrol.cpp, econtrol/econtrol.h: Synced with edelib
	  changes

2007-08-21 11:10  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp: Fix includes (it worked with old edelib)

2007-08-21 10:42  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile: Fix efiler Jamfile

2007-08-21 09:40  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* eimage/eimage.cpp: I forgot the opening comment...

2007-08-21 09:26  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* eimage/eimage.cpp: EImage: command line parsing, localization and
	  minor fixes

2007-08-20 18:34  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/BUGS, efiler/EDE_FileView.h, efiler/TODO,
	  efiler/efiler.cpp: - Add DnD support to icon view - drag works,
	  but drop doesn't for some reason!
	  - Rename FileView::setType() and getType() to type(), for
	  consistency with
	  fltk
	  - Fix hiding of views in type()
	  - Remove some old commented code (shouldn't be needed ever again)
	  - Make the selecion box around icons rounded
	  - Show "directory not found" error when needed (previously,
	  efiler would
	  silently jump to home)
	  - Fix DirTree not respecting default settings
	  - Attempt to fix callback for dirtree - impossible - documented
	  in BUGS so
	  someone could fix it someday
	  - Selecting with Space key and increasing selection by holding
	  down shift

2007-08-20 16:53  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Flu_Wrap_Group.cpp, efiler/Flu_Wrap_Group.h,
	  efiler/Jamfile: Import local copy of Flu_Wrap_Group with a minor
	  change (enable to compile
	  outside FLU)

2007-08-20 12:16  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileView.h, efiler/efiler.cpp: This is it! Beginning
	  to implement icon view! Very fragile - please use
	  inside gdb for a while. Drag&drop and file ops currently don't
	  work in icon
	  view. Other fixes:
	  - implement Ctrl+arrow and Ctrl+shift+arrow in location bar,
	  create shortcut
	  (Alt+O)
	  - display file permissions
	  - clean some bugs and code cleanup in efiler.cpp

2007-08-17 11:16  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/fileops.cpp: Miscellaneous code cleanup, minor bug fixes,
	  improved usage of edelib

2007-08-17 11:15  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.cpp, efiler/EDE_Browser.h: Better layout of
	  browser, fix hiding

2007-08-07 11:54  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Crash.cpp, evoke/EvokeService.cpp, evoke/EvokeService.h,
	  evoke/Jamfile, evoke/Spawn.cpp, evoke/Spawn.h, evoke/evoke.conf,
	  evoke/images/splash-alpha1.png,
	  evoke/images/splash-alpha1.png.old: core file is now given from
	  CrashDialog
	  Added run_program()
	  Added new splash image
	  New spawn_program() error codes

2007-08-06 12:39  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/Crash.cpp, evoke/Crash.h, evoke/EvokeService.cpp,
	  evoke/EvokeService.h, evoke/Jamfile, evoke/Spawn.cpp,
	  evoke/Spawn.h, evoke/fl, evoke/fl/crash.fl,
	  evoke/fl/crash_expanded.fl, evoke/fl/logout.fl, evoke/icons,
	  evoke/icons/core.xpm, evoke/logout.fl: Runing programs can spit
	  core if they crashed. It will be picked up
	  by gdb and debug it with nice dialog.
	  Processes are now kept in list so pid/cmd can be easily tracked.
	  Rest...

2007-08-03 20:18  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileView.h, efiler/TODO, efiler/fileops.cpp: Fixes to
	  dnd. Summary:
	  - Konqueror: dnd works, classic copypaste konq->efiler works,
	  efiler->konq
	  wants to create a text file
	  - Nautilus: dnd works both ways, copy/paste buffer is
	  incompatible (neither
	  side sees anything in the buffer)
	  - Rox-filer: dnd works both ways, rox apparently has no
	  copy/paste buffer

2007-08-03 18:47  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/fileops.cpp: Fix usage of edelib in fileops

2007-08-03 18:43  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.cpp, efiler/EDE_DirTree.cpp,
	  efiler/EDE_FileView.h, efiler/Fl_Icon_Browser.cxx,
	  efiler/ede_ask.cpp, efiler/efiler.cpp: Silence warnings produces
	  by -Wall -pedantic

2007-08-03 18:31  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/fileops.h: Fix usage of edelib in fileops

2007-08-03 18:31  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp, efiler/efiler.xpm: Add window manager icon

2007-08-03 12:42  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/fileops.cpp: Forgot to include a library...

2007-08-03 12:35  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.cpp: Fix for standards compliance

2007-08-03 09:59  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile, efiler/TODO, efiler/ede_ask.cpp,
	  efiler/ede_ask.h, efiler/efiler.cpp, efiler/fileops.cpp,
	  efiler/fileops.h: - Beginning of ede_ask.h/.cpp
	  - Proper fix for label and text size - no more hacks
	  - Command line parsing, so fltk args can be used (use --help for
	  details)
	  - Autocomplete in location bar and callbacks for shortcut buttons

2007-08-03 09:53  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_DirTree.cpp, efiler/EDE_DirTree.h, efiler/Jamfile:
	  Forgot to import EDE_DirTree class :(

2007-08-03 09:49  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Fl_Icon_Browser.cxx: Fix one case when collapse/expand
	  didn't work

2007-08-01 18:06  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile, efiler/filesystem.cpp, efiler/filesystem.h: -
	  Split out filesystem functions in filesystem.h/.cpp
	  - Update Jamfile

2007-08-01 18:04  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.cpp, efiler/EDE_Browser.h,
	  efiler/EDE_FileView.h, efiler/Fl_Icon_Browser.cxx,
	  efiler/Fl_Icon_Browser.h, efiler/efiler.cpp, efiler/fileops.cpp,
	  efiler/fileops.h: - Finish dnd support. It currently doesn't work
	  with other file managers
	  (sporadically it works with Konqueror) because fltk always sets
	  text/plain
	  mimetype.
	  - Fix cut/copy/paste to use system clipboard instead of internal
	  arrays.
	  Again, it would work with other fm's with proper mimetype.
	  - Many tweaks to EDE_Browser to make it render properly inside a
	  Fl_Tile.
	  - Add treeview support to Fl_Icon_Browser and implement directory
	  tree in
	  efiler.
	  - Add location bar.
	  - Beggining of multi-view support.

2007-08-01 17:59  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Util.h: Clarifications and comments

2007-07-31 15:42  Sanel Zukan <karijes@users.sourceforge.net>

	* docs/index.txt: Added evoke link

2007-07-31 15:37  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/Logout.cpp, evoke/Logout.h, evoke/doc, evoke/doc/evoke.txt,
	  evoke/evoke.conf, evoke/evoke.cpp, evoke/logout.fl,
	  evoke/splash.fl: Added logout dialog, bone documentation, more
	  cmd options... forgot the rest

2007-07-30 13:30  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/Spawn.cpp, evoke/Spawn.h,
	  evoke/Splash.cpp: Removed 'wait' parameter from spawn_program

2007-07-30 13:25  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/EvokeService.cpp, evoke/EvokeService.h, evoke/Jamfile,
	  evoke/Spawn.cpp, evoke/Spawn.h, evoke/Splash.cpp, evoke/Splash.h,
	  evoke/evoke.conf, evoke/evoke.cpp, evoke/evoke_csize.txt,
	  evoke/images, evoke/images/edewm.png, evoke/images/eiconman.png,
	  evoke/images/eworkpanel.png, evoke/images/splash-alpha1.png,
	  evoke/images/splash-alpha1.png.old,
	  evoke/images/xscreensaver.png, evoke/splash-alpha1.png,
	  evoke/splash.fl, evoke/test, evoke/test/evoke_test.cpp,
	  evoke/test/evoke_test.fl: Work, work...

2007-07-30 12:46  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Jamfile, eiconman/Utf8.cpp, eiconman/Utf8.h,
	  eiconman/Utils.cpp, eiconman/eiconman.cpp: Added some basic
	  UTF-16 to UTF-8 code. Works nicely with mozilla/seamonkey
	  clipboard, but messes everything else. More work, more work...
	  Also added terminating char when strncpy is used. I miss that
	  strlcpy...

2007-07-27 08:36  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.cpp, efiler/EDE_Browser.h,
	  efiler/EDE_FileView.h, efiler/efiler.cpp, efiler/fileops.cpp,
	  efiler/fileops.h: - Beggining of dnd support
	  - Click on selected item to rename
	  - Fix problems reported by Valgrind

2007-07-25 14:54  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke/evoke.cpp: Removed forking option. Actually evoke must not
	  be forked or
	  who will then hold and quit X11 session.

2007-07-23 19:59  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileView.h, efiler/efiler.cpp, efiler/fileops.cpp,
	  efiler/fileops.h: - Implement rename, the same way it was done
	  before (Fl_Input that hovers above item)
	  - Implement delete
	  - Separate all file operations (cut/copy/paste etc) into
	  fileops.cpp/.h

2007-07-20 16:08  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Jamfile: Updated.

2007-07-20 15:48  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Library.jam, build/Program.jam, ecalc/SciCalc.h: Don't know
	  how I missed SciCalc.h compilation errors.
	  
	  Sanitizing Library and Program rules. No needs to pass
	  compiler/linker
	  options throught the build rules since ObjectXXFlags are designed
	  for that.
	  Also reduces parameter numbers for rules iteself.
	  
	  Added LinkAgainst rule; jam's LinkLibraries will build library
	  that we
	  want to link against which is no too good for system libraries.
	  LinkAgainst will directly pass libraries to the linker.
	  
	  Also fixed few bugs like GLOBALFLAGS inclusion since it was
	  skipped
	  throught the compilation (that brought a lot of warnings due
	  appended
	  -Wall -pedantic options :P).

2007-07-19 13:36  Sanel Zukan <karijes@users.sourceforge.net>

	* efiler/Jamfile, efiler/Util.cpp: SOURCE should not contain .h
	  files (they will be implicitly included by jam).
	  Removed fltk2 leftower in Util.cpp so code can compile on system
	  where fltk2 does not exits.

2007-07-18 18:09  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/efiler.cpp: Show free space on statusbar, attempt to
	  cleanup filesystem functions
	  (to be continued...), use some of the new edelib stuff (to be
	  continued...)

2007-07-18 18:08  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Util.cpp: Improve nice_size() a bit

2007-07-18 18:03  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Jamfile, efiler/Makefile: Adding efiler to build system

2007-07-18 18:02  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* Jamfile: eimage was already there ;) removing it

2007-07-18 17:32  Sanel Zukan <karijes@users.sourceforge.net>

	* build/Doc.jam, docs/asciidoc/stylesheets/xhtml11.css,
	  docs/index.txt, docs/introduction.txt, ecalc/Jamfile, ecalc/doc,
	  ecalc/doc/ecalc.jpg, ecalc/doc/ecalc.txt: Work on
	  introduction.txt
	  Stylesheet mod.
	  Ecalc docs.
	  EdeManual rule now accepts images too; they will
	  be copied where manual's main images/icons resides.

2007-07-18 16:14  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules, build/Install.jam, build/Program.jam,
	  build/Translation.jam, build/Utils.jam, datas/Jamfile,
	  edewm/Jamfile, eiconman/Jamfile, eimage/Jamfile, evoke/Jamfile:
	  XXXProgram rules will trigger installation when 'jam install' is
	  given.
	  Some Translation.jam changes.
	  Moved build used variables to Jamrules.

2007-07-18 15:12  Sanel Zukan <karijes@users.sourceforge.net>

	* docs/jambuild.txt: Updated.

2007-07-18 14:13  Sanel Zukan <karijes@users.sourceforge.net>

	* datas/Jamfile, ecalc/Jamfile, edewm/main.cpp: Added missing
	  Jamfile.
	  Few tweaks so compilation can pass.

2007-07-18 13:35  Sanel Zukan <karijes@users.sourceforge.net>

	* datas/Makefile, datas/desktop-links/Makefile,
	  datas/icons-16/Makefile, datas/icons-48/Makefile,
	  datas/programs-links/Makefile, datas/schemes/Makefile,
	  docs/Jamfile, ecalc/Jamfile, ecalc/Makefile, econtrol/Jamfile,
	  edewm/Jamfile, edewm/Makefile, eiconman/Jamfile, eimage/Jamfile,
	  eimage/Makefile, evoke/Jamfile: Added/modified Jamfiles for new
	  builds.
	  Removed obsolete Makefiles.

2007-07-18 13:21  Sanel Zukan <karijes@users.sourceforge.net>

	* HACKING.txt, Jamfile, Jamrules, README.patches, build,
	  build/Doc.jam, build/Install.jam, build/Library.jam,
	  build/Program.jam, build/Translation.jam, build/Utils.jam,
	  docs/Jamfile, docs/asciidoc, docs/asciidoc/README,
	  docs/asciidoc/a2x, docs/asciidoc/asciidoc.conf,
	  docs/asciidoc/asciidoc.py, docs/asciidoc/docbook-xsl,
	  docs/asciidoc/docbook-xsl/asciidoc-docbook-xsl.txt,
	  docs/asciidoc/docbook-xsl/chunked.xsl,
	  docs/asciidoc/docbook-xsl/common.xsl,
	  docs/asciidoc/docbook-xsl/fo.xsl,
	  docs/asciidoc/docbook-xsl/htmlhelp.xsl,
	  docs/asciidoc/docbook-xsl/manpage-sp.patch,
	  docs/asciidoc/docbook-xsl/manpage.xsl,
	  docs/asciidoc/docbook-xsl/shaded-literallayout.patch,
	  docs/asciidoc/docbook-xsl/xhtml.xsl, docs/asciidoc/docbook.conf,
	  docs/asciidoc/filters,
	  docs/asciidoc/filters/code-filter-readme.txt,
	  docs/asciidoc/filters/code-filter-test-c++.txt,
	  docs/asciidoc/filters/code-filter-test.txt,
	  docs/asciidoc/filters/code-filter.conf,
	  docs/asciidoc/filters/code-filter.py,
	  docs/asciidoc/filters/music-filter-test.txt,
	  docs/asciidoc/filters/music-filter.conf,
	  docs/asciidoc/filters/music2png.py,
	  docs/asciidoc/filters/source-highlight-filter-test.txt,
	  docs/asciidoc/filters/source-highlight-filter.conf,
	  docs/asciidoc/help.conf, docs/asciidoc/html4.conf,
	  docs/asciidoc/images, docs/asciidoc/images/icons,
	  docs/asciidoc/images/icons/README,
	  docs/asciidoc/images/icons/callouts,
	  docs/asciidoc/images/icons/callouts/1.png,
	  docs/asciidoc/images/icons/callouts/10.png,
	  docs/asciidoc/images/icons/callouts/11.png,
	  docs/asciidoc/images/icons/callouts/12.png,
	  docs/asciidoc/images/icons/callouts/13.png,
	  docs/asciidoc/images/icons/callouts/14.png,
	  docs/asciidoc/images/icons/callouts/15.png,
	  docs/asciidoc/images/icons/callouts/2.png,
	  docs/asciidoc/images/icons/callouts/3.png,
	  docs/asciidoc/images/icons/callouts/4.png,
	  docs/asciidoc/images/icons/callouts/5.png,
	  docs/asciidoc/images/icons/callouts/6.png,
	  docs/asciidoc/images/icons/callouts/7.png,
	  docs/asciidoc/images/icons/callouts/8.png,
	  docs/asciidoc/images/icons/callouts/9.png,
	  docs/asciidoc/images/icons/caution.png,
	  docs/asciidoc/images/icons/example.png,
	  docs/asciidoc/images/icons/home.png,
	  docs/asciidoc/images/icons/important.png,
	  docs/asciidoc/images/icons/next.png,
	  docs/asciidoc/images/icons/note.png,
	  docs/asciidoc/images/icons/prev.png,
	  docs/asciidoc/images/icons/tip.png,
	  docs/asciidoc/images/icons/up.png,
	  docs/asciidoc/images/icons/warning.png,
	  docs/asciidoc/javascripts,
	  docs/asciidoc/javascripts/ASCIIMathML.js,
	  docs/asciidoc/javascripts/toc.js, docs/asciidoc/latex.conf,
	  docs/asciidoc/linuxdoc.conf, docs/asciidoc/stylesheets,
	  docs/asciidoc/stylesheets/docbook-xsl.css,
	  docs/asciidoc/stylesheets/xhtml-deprecated-manpage.css,
	  docs/asciidoc/stylesheets/xhtml-deprecated.css,
	  docs/asciidoc/stylesheets/xhtml11-manpage.css,
	  docs/asciidoc/stylesheets/xhtml11-quirks.css,
	  docs/asciidoc/stylesheets/xhtml11.css, docs/asciidoc/text.conf,
	  docs/asciidoc/xhtml-deprecated-css.conf,
	  docs/asciidoc/xhtml-deprecated.conf,
	  docs/asciidoc/xhtml11-quirks.conf, docs/asciidoc/xhtml11.conf,
	  docs/index.txt, docs/introduction.txt, docs/jambuild.txt,
	  docs/manual, docs/manual/images, docs/manual/images/README,
	  docs/manual/images/callouts, docs/manual/images/callouts/1.png,
	  docs/manual/images/callouts/10.png,
	  docs/manual/images/callouts/11.png,
	  docs/manual/images/callouts/12.png,
	  docs/manual/images/callouts/13.png,
	  docs/manual/images/callouts/14.png,
	  docs/manual/images/callouts/15.png,
	  docs/manual/images/callouts/2.png,
	  docs/manual/images/callouts/3.png,
	  docs/manual/images/callouts/4.png,
	  docs/manual/images/callouts/5.png,
	  docs/manual/images/callouts/6.png,
	  docs/manual/images/callouts/7.png,
	  docs/manual/images/callouts/8.png,
	  docs/manual/images/callouts/9.png,
	  docs/manual/images/caution.png, docs/manual/images/example.png,
	  docs/manual/images/home.png, docs/manual/images/important.png,
	  docs/manual/images/next.png, docs/manual/images/note.png,
	  docs/manual/images/prev.png, docs/manual/images/tip.png,
	  docs/manual/images/up.png, docs/manual/images/warning.png:
	  Imported asciidoc, jam builds and some docs.

2007-07-17 19:16  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_FileView.h, efiler/efiler.cpp: Add menu, statusbar,
	  cut/copy/paste support

2007-07-17 19:15  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/Fl_Icon_Browser.cxx, efiler/Fl_Icon_Browser.h: Implement
	  get_icon() method... it's useful sometimes

2007-07-17 19:14  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.cpp, efiler/EDE_Browser.h: Fix resizing
	  problem in EDE_Browser, fix menu grabbing keyboard
	  shortcuts

2007-07-16 07:35  Vedran Ljubovic <vljubovic@users.sourceforge.net>

	* efiler/EDE_Browser.cpp, efiler/EDE_Browser.h,
	  efiler/EDE_DirTree.cpp, efiler/EDE_DirTree.h,
	  efiler/EDE_FileBrowser.cpp, efiler/EDE_FileBrowser.h,
	  efiler/EDE_FileView.h, efiler/Fl_Icon_Browser.cxx,
	  efiler/Fl_Icon_Browser.h, efiler/Util.cpp, efiler/Util.h,
	  efiler/efiler.cpp: Beginning of work on efiler fltk1.x

2007-07-11 16:03  Sanel Zukan <karijes@users.sourceforge.net>

	* evoke, evoke/EvokeService.cpp, evoke/EvokeService.h,
	  evoke/Jamfile, evoke/Log.cpp, evoke/Log.h, evoke/evoke.conf,
	  evoke/evoke.cpp, evoke/splash-alpha1.png, evoke/splash.fl:
	  Imported evoke

2007-07-02 10:28  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/Utils.cpp, eiconman/Wallpaper.cpp,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: Ok let's see:
	  * DND now should work reasonable (still not finished DND on
	  icons)
	  * Added menus (icon specific, desktop)
	  * Icon renaming works too
	  * Some code to change icons fonts (unfinished)
	  * Desktop main instance will be now first created and then call
	  rest of
	  init data. This will allow init data to re-use desktop instance
	  and peek
	  it's own data (area() for example). Previously, calling such
	  functions would
	  crash app since constructor didn't finished with creation of
	  desktop instance.

2007-06-29 11:22  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Wallpaper.cpp,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: Rethumbed init data,
	  so Desktop::instance() call can be
	  called from DesktopIcon constructor. In previous case, Desktop
	  constructor
	  wasn't finished, but Desktop::instance() was called in the mean
	  time which
	  yields crashing.

2007-06-28 14:31  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Wallpaper.cpp,
	  eiconman/eiconman.conf: Icon labels have pseudo-shadow.
	  Other stuff I forgot.

2007-06-28 11:21  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/NotifyBox.cpp, eiconman/NotifyBox.h,
	  eiconman/eiconman.cpp: NotifyBox is now window... to simplify a
	  bunch of things.

2007-06-27 17:52  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Wallpaper.cpp, eiconman/Wallpaper.h: Finished tile code.
	  Tiled image is showed as rootpmap too :)

2007-06-27 14:42  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/eiconman.cpp: Route some certain events to parent
	  Window, so later
	  additional X events can be caught with desktop_xmessage_handler.

2007-06-26 16:33  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Wallpaper.cpp,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: Selection overlay
	  will now be correctly redrawed.
	  Tiled background code. Needs some cleanup.

2007-06-26 09:22  Sanel Zukan <karijes@users.sourceforge.net>

	* ecalc/Makefile: Makefile addoption

2007-06-26 09:19  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, ecalc, ecalc/Jamfile, ecalc/Main.cpp, ecalc/Main.fl,
	  ecalc/Main.h, ecalc/Makefile, ecalc/README, ecalc/SciCalc.cpp,
	  ecalc/SciCalc.fl, ecalc/SciCalc.h: Imported ecalc, based on
	  original flCalc.

2007-06-25 09:21  Sanel Zukan <karijes@users.sourceforge.net>

	* eimage/eimage.cpp: Vedran's port of eimage to fltk1

2007-06-25 09:20  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Utils.cpp,
	  eiconman/Wallpaper.cpp, eiconman/eiconman.cpp,
	  eiconman/eiconman.h: .desktop files are read by DesktopFile
	  Added selection box, but needs more work with redrawing
	  DND mess; still not work as expected

2007-06-23 11:31  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Wallpaper.cpp,
	  eiconman/Wallpaper.h, eiconman/eiconman.cpp, eiconman/eiconman.h:
	  DND stuff (unfinished).

2007-06-22 09:43  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/Utils.cpp, eiconman/Wallpaper.cpp,
	  eiconman/eiconman.cpp: Small fix in case of desktop icon without
	  image.
	  Rootpmap accepts now works for 16/24 bit displays with 16/24/32
	  bit images.

2007-06-20 11:01  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Wallpaper.cpp: Deny pixmap creation if screen is not in
	  16/24 depth.

2007-06-20 10:58  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/Utils.cpp, eiconman/Utils.h, eiconman/Wallpaper.cpp,
	  eiconman/Wallpaper.h, eiconman/eiconman.cpp: Root pixmap is set
	  when wallpaper is choosed (pseudo transparency).
	  When icons are moved, correct shape is applied on that window.
	  ...maybe something forgot to add...

2007-06-19 10:10  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/eiconman.cpp: eiconman will not accept any shortcut
	  (meaning Esc will not close it)

2007-06-19 09:59  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/Jamfile,
	  eiconman/NotifyBox.cpp, eiconman/NotifyBox.h, eiconman/Utils.cpp,
	  eiconman/Utils.h, eiconman/eiconman.cpp, eiconman/eiconman.h,
	  eiconman/test, eiconman/test/notify.cpp, eiconman/test/notify.fl:
	  NotifyBox almost finished.
	  Atom initialization moved to one place.
	  Added few ede specific atoms with implementation.
	  Added sample test.

2007-06-18 16:46  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Jamfile, eiconman/NotifyBox.cpp, eiconman/NotifyBox.h,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: NotifyBox added.
	  Still needs work.

2007-06-18 14:18  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopConfig.cpp, eiconman/DesktopConfig.h,
	  eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/Jamfile, eiconman/Utils.cpp, eiconman/Utils.h,
	  eiconman/Wallpaper.cpp, eiconman/Wallpaper.h,
	  eiconman/eiconman.conf, eiconman/eiconman.cpp,
	  eiconman/eiconman.h, eiconman/fl/deskconf.fl: eiconman based on
	  fltk1. Most of the stuff is
	  revised from scratch.

2007-06-15 11:05  Sanel Zukan <karijes@users.sourceforge.net>

	* econtrol/econtrol.cpp, econtrol/econtrol.fl, econtrol/econtrol.h:
	  Converted to fltk1

2007-05-25 17:45  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/eiconman.conf, eiconman/eiconman.cpp,
	  eiconman/eiconman.h: Implemented save_config().
	  eiconman recognize plain files besides .desktop files.

2007-05-24 12:53  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopConfig.cpp, eiconman/DesktopConfig.h,
	  eiconman/DesktopIcon.cpp, eiconman/eiconman.conf,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: Removed multiple
	  views support. Slow for my taste especially in case different
	  huge background images for each view; also eats up memory. Not to
	  say that complicates code.
	  Added dnd basics.

2007-05-23 12:43  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopConfig.cpp, eiconman/DesktopIcon.cpp,
	  eiconman/DesktopIcon.h, eiconman/eiconman.conf,
	  eiconman/eiconman.cpp, eiconman/eiconman.h: Work,work...

2007-05-22 17:49  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Utils.cpp: Selection box is in dotted style

2007-05-22 16:29  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Jamfile: Looks like I forgot this one

2007-05-22 16:27  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/Utils.cpp, eiconman/Utils.h, eiconman/eiconman.cpp,
	  eiconman/eiconman.h: Made correctly working selection box

2007-05-22 14:53  Sanel Zukan <karijes@users.sourceforge.net>

	* eiconman/DesktopConfig.cpp, eiconman/DesktopConfig.h,
	  eiconman/DesktopIcon.cpp, eiconman/DesktopIcon.h,
	  eiconman/Jamfile, eiconman/Makefile, eiconman/Utils.cpp,
	  eiconman/Utils.h, eiconman/edeskconf.cpp, eiconman/edeskconf.fl,
	  eiconman/edeskconf.fld, eiconman/edeskconf.h,
	  eiconman/edeskicon.cpp, eiconman/edeskicon.h,
	  eiconman/eiconman.conf, eiconman/eiconman.cpp,
	  eiconman/eiconman.h, eiconman/fl, eiconman/fl/deskconf.fl,
	  eiconman/icons, eiconman/locale, eiconman/propdialog.cpp,
	  eiconman/propdialog.fl, eiconman/propdialog.fld,
	  eiconman/propdialog.h: Imported new eiconman

2007-05-22 14:51  Sanel Zukan <karijes@users.sourceforge.net>

	* econtrol/Jamfile, econtrol/Makefile, econtrol/econtrol.conf,
	  econtrol/econtrol.cpp, econtrol/econtrol.fl,
	  econtrol/econtrol.fld, econtrol/econtrol.h, econtrol/icons,
	  econtrol/locale: Imported new econtrol

2007-03-23 16:48  Sanel Zukan <karijes@users.sourceforge.net>

	* datas/startede2.in: Added new script for starting with XDG parts.

2007-03-22 17:14  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Added checks for headers/functions/tools used by
	  elauncher.

2007-03-20 17:19  Sanel Zukan <karijes@users.sourceforge.net>

	* etip/etip.cpp, etip/etip.fl, etip/etip.h: Updated to new etip,
	  and converted to fltk2 version.

2007-03-20 15:45  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in: Little reorderings.

2007-03-19 14:36  Sanel Zukan <karijes@users.sourceforge.net>

	* configure.in, m4/initjamfile.m4: Added initjamfile.m4 from
	  autojam, so make specific
	  variables can be correctly translated to jam world.

2007-03-19 10:32  Sanel Zukan <karijes@users.sourceforge.net>

	* README.alpha, configure.in, m4/time.m4, m4/various.m4: Added
	  checks for doxygen and STL.
	  README.alpha updated for latest changes.

2007-03-17 11:28  Sanel Zukan <karijes@users.sourceforge.net>

	* EDE, README.alpha, configure.in, m4, m4/fltk.m4, m4/jam.m4,
	  m4/libmagic.m4, m4/sound.m4, m4/time.m4, m4/various.m4,
	  m4/xlib.m4, prepare: New configure facility.

2007-03-16 16:11  Sanel Zukan <karijes@users.sourceforge.net>

	* edelib2/Run.h, etimedate/EDE_Calendar.cpp: Fixes for clean
	  compilation.

2007-03-16 16:06  Sanel Zukan <karijes@users.sourceforge.net>

	* README.in, configure.in, docs/ede: Cleanup.

2007-03-16 15:48  Sanel Zukan <karijes@users.sourceforge.net>

	* l10n-prepare.pl, tools/l10n-prepare.pl: Moving.

2007-03-16 15:47  Sanel Zukan <karijes@users.sourceforge.net>

	* ede.spec.in, tools/ede.spec.in: Moving.

2007-03-16 15:32  Sanel Zukan <karijes@users.sourceforge.net>

	* tools: Added tools directory for various scripts/data.

2007-03-16 15:18  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, Jamrules, ecolorconf/Jamfile, ecolorconf/ecolorutils.h,
	  econtrol/Jamfile, edialog/Jamfile, edisplayconf/Jamfile,
	  edisplayconf/edisplayconf.cpp, edisplayconf/edisplayconf.fl,
	  efinder/Jamfile, eiconman/Jamfile, eiconsconf/Jamfile,
	  eimage/Jamfile, einstaller/Jamfile, ekeyconf/Jamfile,
	  elauncher/Jamfile, emenueditor/Jamfile, epanelconf/Jamfile,
	  esvrconf/Jamfile, etimedate/Jamfile, etip/Jamfile,
	  evolume/Jamfile, ewmconf/Jamfile, eworkpanel/Jamfile: Imported
	  Jamfiles for subprojects.
	  It compiles everything, except few programs who uses old fltk2
	  api.

2007-03-16 13:06  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamrules: Other jam fixes.
	  New rules.

2007-03-15 16:21  Sanel Zukan <karijes@users.sourceforge.net>

	* Jamfile, Jamrules, edelib2/Jamfile, edialog/Jamfile,
	  eimage/Jamfile: Added initial jamfiles.

2007-03-15 12:50  Sanel Zukan <karijes@users.sourceforge.net>

	* install-sh, mkinstalldirs, tempfile.tmp: Removed some junk after
	  my connection broked.
	  chmod +x on some scripts that should be chmoded.

2007-03-15 01:06  Sanel Zukan <karijes@users.sourceforge.net>

	* AUTHORS, BUGS, COPYING, ChangeLog, EDE, INSTALL, Makefile, NEWS,
	  configure.in, datas/Makefile,
	  datas/desktop-links/Internet.desktop,
	  datas/desktop-links/Makefile,
	  datas/desktop-links/Terminal.desktop, datas/ede.conf,
	  datas/efltk.conf, datas/icons-16/3floppy_mount.png,
	  datas/icons-16/3floppy_unmount.png, datas/icons-16/Makefile,
	  datas/icons-16/about.png, datas/icons-16/access.png,
	  datas/icons-16/access2.png, datas/icons-16/applix.png,
	  datas/icons-16/archos_mount.png,
	  datas/icons-16/archos_unmount.png, datas/icons-16/back.png,
	  datas/icons-16/back2.png, datas/icons-16/back3.png,
	  datas/icons-16/binary.png, datas/icons-16/blockdevice.png,
	  datas/icons-16/bookmark.png, datas/icons-16/bookmark2.png,
	  datas/icons-16/bookmark_add.png,
	  datas/icons-16/bookmark_add2.png,
	  datas/icons-16/bookmark_folder.png,
	  datas/icons-16/bookmark_folder2.png,
	  datas/icons-16/bookmark_toolbar.png,
	  datas/icons-16/bookmark_toolbar2.png, datas/icons-16/cancel.png,
	  datas/icons-16/cd-record.png, datas/icons-16/cd_mount.png,
	  datas/icons-16/cd_unmount.png, datas/icons-16/cdrom_mount.png,
	  datas/icons-16/cdrom_unmount.png, datas/icons-16/cdtrack.png,
	  datas/icons-16/chardevice.png, datas/icons-16/colorset.png,
	  datas/icons-16/configure.png, datas/icons-16/core.png,
	  datas/icons-16/deb.png, datas/icons-16/decrypted.png,
	  datas/icons-16/desktop.png, datas/icons-16/document.png,
	  datas/icons-16/down.png, datas/icons-16/e.png,
	  datas/icons-16/econtrol.png, datas/icons-16/edit.png,
	  datas/icons-16/editcopy.png, datas/icons-16/editcut.png,
	  datas/icons-16/editdelete.png, datas/icons-16/editpaste.png,
	  datas/icons-16/editshred.png, datas/icons-16/edittrash.png,
	  datas/icons-16/efinder.png, datas/icons-16/ehelpbook.png,
	  datas/icons-16/emenueditor.png, datas/icons-16/empty2.png,
	  datas/icons-16/empty_ascii.png, datas/icons-16/encrypted.png,
	  datas/icons-16/exec.png, datas/icons-16/exit.png,
	  datas/icons-16/file_broken.png, datas/icons-16/file_locked.png,
	  datas/icons-16/fileclose.png, datas/icons-16/filefind.png,
	  datas/icons-16/filenew.png, datas/icons-16/fileopen.png,
	  datas/icons-16/fileprint.png, datas/icons-16/filesave.png,
	  datas/icons-16/find.png, datas/icons-16/folder.png,
	  datas/icons-16/folder_green.png, datas/icons-16/folder_home.png,
	  datas/icons-16/folder_image.png, datas/icons-16/folder_mail.png,
	  datas/icons-16/folder_man.png, datas/icons-16/folder_new.png,
	  datas/icons-16/folder_open.png, datas/icons-16/folder_orange.png,
	  datas/icons-16/folder_red.png, datas/icons-16/folder_sound.png,
	  datas/icons-16/folder_tar.png, datas/icons-16/folder_video.png,
	  datas/icons-16/folder_violet.png,
	  datas/icons-16/folder_yellow.png, datas/icons-16/font.png,
	  datas/icons-16/font_bitmap.png, datas/icons-16/font_truetype.png,
	  datas/icons-16/font_type1.png, datas/icons-16/forward.png,
	  datas/icons-16/forward2.png, datas/icons-16/forward3.png,
	  datas/icons-16/frameprint.png, datas/icons-16/gimp.png,
	  datas/icons-16/gimp2.png, datas/icons-16/gnome-apps.png,
	  datas/icons-16/go.png, datas/icons-16/go2.png,
	  datas/icons-16/gohome.png, datas/icons-16/history.png,
	  datas/icons-16/history_clear.png, datas/icons-16/html.png,
	  datas/icons-16/ica.png, datas/icons-16/image.png,
	  datas/icons-16/info.png, datas/icons-16/java_src.png,
	  datas/icons-16/kcontrol.png, datas/icons-16/kde1.png,
	  datas/icons-16/kde2.png, datas/icons-16/kde3.png,
	  datas/icons-16/kde4.png, datas/icons-16/kde5.png,
	  datas/icons-16/kde6.png, datas/icons-16/kdisknav.png,
	  datas/icons-16/key_enter.png, datas/icons-16/kfm_home.png,
	  datas/icons-16/khelpcenter.png, datas/icons-16/klipper.png,
	  datas/icons-16/klpq.png, datas/icons-16/kmail.png,
	  datas/icons-16/kmultiple.png, datas/icons-16/konqueror.png,
	  datas/icons-16/konqueror2.png, datas/icons-16/konqueror3.png,
	  datas/icons-16/konsole.png, datas/icons-16/konsole2.png,
	  datas/icons-16/konsole3.png, datas/icons-16/kvirc.png,
	  datas/icons-16/licq.png, datas/icons-16/lime.png,
	  datas/icons-16/linuxconf.png, datas/icons-16/lock.png,
	  datas/icons-16/lockoverlay.png, datas/icons-16/log.png,
	  datas/icons-16/logout.png, datas/icons-16/mail_generic.png,
	  datas/icons-16/make.png, datas/icons-16/midi.png,
	  datas/icons-16/mime_empty.png, datas/icons-16/misc.png,
	  datas/icons-16/moc_src.png, datas/icons-16/mozilla-m.png,
	  datas/icons-16/mozilla-mail.png, datas/icons-16/mozilla.png,
	  datas/icons-16/nedit.png, datas/icons-16/netscape.png,
	  datas/icons-16/network.png, datas/icons-16/no.png,
	  datas/icons-16/noatun.png, datas/icons-16/noatun2.png,
	  datas/icons-16/openterm.png, datas/icons-16/opera.png,
	  datas/icons-16/package_application.png,
	  datas/icons-16/package_multimedia.png,
	  datas/icons-16/pdf-document.png, datas/icons-16/quicktime.png,
	  datas/icons-16/real_doc.png, datas/icons-16/reload.png,
	  datas/icons-16/remove.png, datas/icons-16/resource.png,
	  datas/icons-16/rpm.png, datas/icons-16/run.png,
	  datas/icons-16/scanner.png, datas/icons-16/services.png,
	  datas/icons-16/shell1.png, datas/icons-16/socket.png,
	  datas/icons-16/soffice.png, datas/icons-16/sound.png,
	  datas/icons-16/source.png, datas/icons-16/spreadsheet.png,
	  datas/icons-16/stop.png, datas/icons-16/synaptic.png,
	  datas/icons-16/tar.png, datas/icons-16/tex.png,
	  datas/icons-16/tgz.png, datas/icons-16/trash.png,
	  datas/icons-16/trashcan_empty.png,
	  datas/icons-16/trashcan_full.png, datas/icons-16/tux.png,
	  datas/icons-16/txt.png, datas/icons-16/unknown.png,
	  datas/icons-16/unlock.png, datas/icons-16/up.png,
	  datas/icons-16/video.png, datas/icons-16/view_bottom.png,
	  datas/icons-16/view_choose.png, datas/icons-16/view_detailed.png,
	  datas/icons-16/view_icon.png, datas/icons-16/view_left_right.png,
	  datas/icons-16/view_multicolumn.png,
	  datas/icons-16/view_remove.png, datas/icons-16/view_right.png,
	  datas/icons-16/view_sidetree.png, datas/icons-16/view_text.png,
	  datas/icons-16/view_top_bottom.png, datas/icons-16/view_tree.png,
	  datas/icons-16/viewmag+.png, datas/icons-16/viewmag-.png,
	  datas/icons-16/viewmag.png, datas/icons-16/vnc.png,
	  datas/icons-16/widget_doc.png,
	  datas/icons-16/window_fullscreen.png,
	  datas/icons-16/window_list.png, datas/icons-16/window_new.png,
	  datas/icons-16/window_nofullscreen.png,
	  datas/icons-16/wizard.png, datas/icons-16/www.png,
	  datas/icons-16/xmms.png, datas/icons-16/xmms_classic.png,
	  datas/icons-16/zip.png, datas/icons-16/zip_mount.png,
	  datas/icons-16/zip_unmount.png, datas/icons-48/3floppy_mount.png,
	  datas/icons-48/3floppy_unmount.png, datas/icons-48/Makefile,
	  datas/icons-48/access.png, datas/icons-48/access2.png,
	  datas/icons-48/applix.png, datas/icons-48/archos_mount.png,
	  datas/icons-48/archos_unmount.png, datas/icons-48/ascii.png,
	  datas/icons-48/binary.png, datas/icons-48/blockdevice.png,
	  datas/icons-48/cd.png, datas/icons-48/cd_audio.png,
	  datas/icons-48/cd_video.png, datas/icons-48/cdr.png,
	  datas/icons-48/cdrom_mount.png, datas/icons-48/cdrom_unmount.png,
	  datas/icons-48/cdtrack.png, datas/icons-48/cdwriter_mount.png,
	  datas/icons-48/cdwriter_unmount.png,
	  datas/icons-48/chardevice.png, datas/icons-48/colorscm.png,
	  datas/icons-48/core.png, datas/icons-48/core2.png,
	  datas/icons-48/deb.png, datas/icons-48/desktop.png,
	  datas/icons-48/document.png, datas/icons-48/document2.png,
	  datas/icons-48/dvd_mount.png, datas/icons-48/dvd_unmount.png,
	  datas/icons-48/encrypted.png, datas/icons-48/exec.png,
	  datas/icons-48/file_broken.png, datas/icons-48/file_locked.png,
	  datas/icons-48/folder.png, datas/icons-48/folder2_html.png,
	  datas/icons-48/folder2_html2.png,
	  datas/icons-48/folder2_sound.png,
	  datas/icons-48/folder2_video.png, datas/icons-48/folder_cool.png,
	  datas/icons-48/folder_gray.png, datas/icons-48/folder_green.png,
	  datas/icons-48/folder_gz.png, datas/icons-48/folder_home.png,
	  datas/icons-48/folder_home1.png, datas/icons-48/folder_html.png,
	  datas/icons-48/folder_image.png,
	  datas/icons-48/folder_locked.png, datas/icons-48/folder_mail.png,
	  datas/icons-48/folder_man.png, datas/icons-48/folder_orange.png,
	  datas/icons-48/folder_red.png, datas/icons-48/folder_rpm.png,
	  datas/icons-48/folder_sound.png, datas/icons-48/folder_tar.png,
	  datas/icons-48/folder_video.png,
	  datas/icons-48/folder_violet.png,
	  datas/icons-48/folder_yelow.png, datas/icons-48/font.png,
	  datas/icons-48/font_truetype.png, datas/icons-48/font_type1.png,
	  datas/icons-48/fonts_bitmap.png,
	  datas/icons-48/freeBSD_hdd_mount.png,
	  datas/icons-48/freeBSD_hdd_unmount.png, datas/icons-48/ftp.png,
	  datas/icons-48/gimp.png, datas/icons-48/gimp2.png,
	  datas/icons-48/gnome-apps.png, datas/icons-48/go.png,
	  datas/icons-48/go2.png, datas/icons-48/handheld.png,
	  datas/icons-48/hdd_mount.png, datas/icons-48/hdd_unmount.png,
	  datas/icons-48/html.png, datas/icons-48/html2.png,
	  datas/icons-48/ica.png, datas/icons-48/image.png,
	  datas/icons-48/info.png, datas/icons-48/kcalc.png,
	  datas/icons-48/kcontrol.png, datas/icons-48/kdevelop1.png,
	  datas/icons-48/kdisknav.png, datas/icons-48/kfm_home.png,
	  datas/icons-48/khelpcenter.png, datas/icons-48/klpq.png,
	  datas/icons-48/kmail.png, datas/icons-48/kmenu.png,
	  datas/icons-48/kmultiple.png, datas/icons-48/knode.png,
	  datas/icons-48/konqueror.png, datas/icons-48/konqueror2.png,
	  datas/icons-48/konqueror2a.png, datas/icons-48/konqueror3,
	  datas/icons-48/konsole.png, datas/icons-48/konsole2.png,
	  datas/icons-48/konsole3.png, datas/icons-48/kppp.png,
	  datas/icons-48/kvirc.png, datas/icons-48/licq.png,
	  datas/icons-48/lime.png, datas/icons-48/link.png,
	  datas/icons-48/linux-classic_hdd_mount.png,
	  datas/icons-48/linux-classic_hdd_unmount.png,
	  datas/icons-48/linux_hdd_mount.png,
	  datas/icons-48/linux_hdd_unmount.png,
	  datas/icons-48/linuxconf.png, datas/icons-48/lockoverlay.png,
	  datas/icons-48/log.png, datas/icons-48/mac_hdd_mount.png,
	  datas/icons-48/mac_hdd_unmount.png, datas/icons-48/make.png,
	  datas/icons-48/make2.png, datas/icons-48/message.png,
	  datas/icons-48/midi.png, datas/icons-48/mime.png,
	  datas/icons-48/mime_html.png, datas/icons-48/mime_soffice.png,
	  datas/icons-48/mime_sound.png, datas/icons-48/mime_track.png,
	  datas/icons-48/mime_txt.png, datas/icons-48/misc_doc.png,
	  datas/icons-48/mouse.png, datas/icons-48/mozilla-m.png,
	  datas/icons-48/mozilla-mail.png, datas/icons-48/mozilla.png,
	  datas/icons-48/mshdd_mount.png, datas/icons-48/mshdd_unmount.png,
	  datas/icons-48/nedit.png, datas/icons-48/netscape.png,
	  datas/icons-48/netscape_doc.png, datas/icons-48/network.png,
	  datas/icons-48/network_local.png, datas/icons-48/noatun.png,
	  datas/icons-48/noatun2.png, datas/icons-48/opera.png,
	  datas/icons-48/package_multimedia.png, datas/icons-48/pdf.png,
	  datas/icons-48/php.png, datas/icons-48/postscript.png,
	  datas/icons-48/postscript2.png, datas/icons-48/printer.png,
	  datas/icons-48/quicktime.png, datas/icons-48/real_doc.png,
	  datas/icons-48/recycled.png, datas/icons-48/resource.png,
	  datas/icons-48/rpm.png, datas/icons-48/scanner.png,
	  datas/icons-48/shellscript.png, datas/icons-48/socket.png,
	  datas/icons-48/soffice.png, datas/icons-48/sound.png,
	  datas/icons-48/source.png, datas/icons-48/source_c.png,
	  datas/icons-48/source_cpp.png, datas/icons-48/source_f.png,
	  datas/icons-48/source_h.png, datas/icons-48/source_java.png,
	  datas/icons-48/source_l.png, datas/icons-48/source_moc.png,
	  datas/icons-48/source_o.png, datas/icons-48/source_p.png,
	  datas/icons-48/source_pl.png, datas/icons-48/source_s.png,
	  datas/icons-48/source_y.png, datas/icons-48/spreadsheet.png,
	  datas/icons-48/synaptic.png, datas/icons-48/tar.png,
	  datas/icons-48/template_source.png, datas/icons-48/tex.png,
	  datas/icons-48/tgz.png, datas/icons-48/trashcan_empty.png,
	  datas/icons-48/trashcan_full.png, datas/icons-48/tux.png,
	  datas/icons-48/txt.png, datas/icons-48/unknown.png,
	  datas/icons-48/unknown2.png, datas/icons-48/vcalendar.png,
	  datas/icons-48/vcard.png, datas/icons-48/video.png,
	  datas/icons-48/vmware.png, datas/icons-48/vnc.png,
	  datas/icons-48/widget_doc.png, datas/icons-48/window_list.png,
	  datas/icons-48/wmaker_apps.png,
	  datas/icons-48/wordprocessing.png, datas/icons-48/www.png,
	  datas/icons-48/xmms2.png, datas/icons-48/xmms_classic.png,
	  datas/icons-48/zip.png, datas/icons-48/zip_mount.png,
	  datas/icons-48/zip_unmount.png, datas/mime.conf,
	  datas/programs-links/Applications.directory,
	  datas/programs-links/Casino.desktop,
	  datas/programs-links/Development.directory,
	  datas/programs-links/Emacs.desktop,
	  datas/programs-links/Eterm.desktop,
	  datas/programs-links/GIMP.desktop,
	  datas/programs-links/Games.directory,
	  datas/programs-links/Graphics.directory,
	  datas/programs-links/Internet.directory,
	  datas/programs-links/Kterm.desktop,
	  datas/programs-links/Makefile,
	  datas/programs-links/Mastermind.desktop,
	  datas/programs-links/Mozilla.desktop,
	  datas/programs-links/Multimedia.directory,
	  datas/programs-links/Netscape.desktop,
	  datas/programs-links/Opera.desktop,
	  datas/programs-links/Qubix.desktop,
	  datas/programs-links/Root.directory,
	  datas/programs-links/Settings.directory,
	  datas/programs-links/System.directory,
	  datas/programs-links/UNIX-regular.desktop,
	  datas/programs-links/UNIX.desktop,
	  datas/programs-links/Utilities.directory,
	  datas/programs-links/Vim.desktop,
	  datas/programs-links/Vnterm.desktop,
	  datas/programs-links/WordPerfect.desktop,
	  datas/programs-links/Xemacs.desktop,
	  datas/programs-links/abiword.desktop,
	  datas/programs-links/acroread.desktop,
	  datas/programs-links/alsaplayer.desktop,
	  datas/programs-links/calc.desktop,
	  datas/programs-links/colorsconf.desktop,
	  datas/programs-links/control.desktop,
	  datas/programs-links/cooledit.desktop,
	  datas/programs-links/dialup.desktop,
	  datas/programs-links/ecdplayer.desktop,
	  datas/programs-links/edisplayconf.desktop,
	  datas/programs-links/ehardware.desktop,
	  datas/programs-links/eiconconf.desktop,
	  datas/programs-links/eimgviewer.desktop,
	  datas/programs-links/epanelconf.desktop,
	  datas/programs-links/esoundmixer.desktop,
	  datas/programs-links/etimedate.desktop,
	  datas/programs-links/ewmconf.desktop,
	  datas/programs-links/finder.desktop,
	  datas/programs-links/fluid.desktop,
	  datas/programs-links/fstabedit.desktop,
	  datas/programs-links/gv.desktop,
	  datas/programs-links/lbreak.desktop,
	  datas/programs-links/lynx.desktop,
	  datas/programs-links/lyx.desktop,
	  datas/programs-links/mplayer.desktop,
	  datas/programs-links/notepad.desktop,
	  datas/programs-links/ooffice.desktop,
	  datas/programs-links/postoffice.desktop,
	  datas/programs-links/printers.desktop,
	  datas/programs-links/realplayer.desktop,
	  datas/programs-links/rxvt.desktop,
	  datas/programs-links/sccalc.desktop,
	  datas/programs-links/scrsaver.desktop,
	  datas/programs-links/tips.desktop,
	  datas/programs-links/x11amp.desktop,
	  datas/programs-links/xbill.desktop,
	  datas/programs-links/xdvi.desktop,
	  datas/programs-links/xmag.desktop,
	  datas/programs-links/xmms.desktop,
	  datas/programs-links/xpdf.desktop,
	  datas/programs-links/xsane.desktop,
	  datas/programs-links/xwpe.desktop,
	  datas/programs-links/xxgdb.desktop, datas/schemes/Active.scheme,
	  datas/schemes/Blueworld.scheme, datas/schemes/Brown1.scheme,
	  datas/schemes/Brown2.scheme, datas/schemes/Ede1.scheme,
	  datas/schemes/Ede2.scheme, datas/schemes/Ede3.scheme,
	  datas/schemes/Futuristic.scheme, datas/schemes/Gray1.scheme,
	  datas/schemes/GrayBrown.scheme, datas/schemes/LightBrown.scheme,
	  datas/schemes/Lilola.scheme, datas/schemes/Makefile,
	  datas/schemes/None.scheme, datas/schemes/Tubus.scheme,
	  datas/schemes/TypicalBrown.scheme, datas/startede.in,
	  datas/wmanager.conf, docs/ede/Makefile, docs/ede/authors.html,
	  docs/ede/changelog.html, docs/ede/copying.html,
